<?php
namespace Teknisa\FIN\Modules\ContaReceber\Services\Emissao\Exception;

use Geral\Logic\Exception;

/**
 * Class ExcecaoBoletoGeralService
 * @package Teknisa\FIN\Modules\ContaReceber\Services\Emissao\Exception
 */
class ExcecaoBoletoGeralService extends Exception
{

    private $mensagem;

    public function __construct($mensagem,$message = "", $code = 0, \Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->mensagem = $mensagem;

    }

    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName(){
        return $this->mensagem;
    }

    public static function contaCorrenteNaoInformada()
    {
        throw new self("Conta Corrente não informada.");
    }

    public static function carteiraNaoInformada()
    {
        throw new \Exception("Carteira não informada.");
    }

    public static function codigoCedenteNaoInformado()
    {
        throw new \Exception("Cedente não informado.");
    }

    public static function enderecoCobrancaNaoCadastrado()
    {
        throw new \Exception("Endereço de cobrança não cadastrado.");
    }



}
