var rec00001_TitulosAReceber_Controller = function(ZHPromise, General, templateManager, ScreenService, contabilizacaoController, Rec00001_TitulosAReceber_Service, ZhFilterPreferences, localStorageEngine)
{
    /** Variáveis de Inicialização */
    var self = this;
    
    var ignoredKeys = ["__rightActions", "__leftActions", "_children", "_parent", "__groupHeaders", "__index", "__isSelected", "__notSelectable", "$$hashKey"];
    
    /** [Início]Título a Receber/Recebidos[Filtro] - Título a Receber/Recebidos[Botão Filtrar] */

    self.voltarParcelamento = function(){
        var titulos = templateManager.container.getWidget('TitulosAReceberGrid');
        ScreenService.goBack().then(function(){
            titulos.reload();
        });
    };
    
    /**
     * Force Activate
     */
    self.forceActivate = function(){
        templateManager.container.getWidget('TitulosAReceberGrid').activate();
    };

    /**
     * Busca Parâmetros de Estoque
     * @return dataProcessamento
     */
    self.buscaEmpresa = function (cdempresa){
        return Rec00001_TitulosAReceber_Service.buscaEmpresa(cdempresa).then(function(empresa) {
            return empresa;
        });
    };

    /**
     * Busca Filial
     * @return filialLogada
     */
    self.buscaFilial = function (){
        return Rec00001_TitulosAReceber_Service.buscaFilial().then(function(filial) {
            return filial;
        });
    };

    /**
     * Busca Parâmetros de Estoque
     * @return dataProcessamento
     */
    self.buscaParamEstoque = function (){
        return Rec00001_TitulosAReceber_Service.buscaParamEstoque().then(function(paramestoque) {
            return paramestoque;
        });
    };

    /**
     * Busca Parametrização Geral Receber
     * @return paramGeral
     */
    self.buscaGeralRec = function (){
        return Rec00001_TitulosAReceber_Service.buscaGeralRec().then(function(geralrec) {
            return geralrec;
        });
    };

    /**
     * Busca Parametrização Expedição
     * @return paramGeral
     */
    self.buscaParExpedicao = function (cdfilial){
        return Rec00001_TitulosAReceber_Service.buscaParExpedicao(cdfilial).then(function(parexpedicao) {
            return parexpedicao;
        });
    };

    /**
     * Busca Cliente
     * @return paramGeral
     */
    self.buscaCliente = function (cdcliente){
        return Rec00001_TitulosAReceber_Service.buscaCliente(cdcliente).then(function(cliente) {
            return cliente;
        });
    };

    /**
     * Busca Parametro por Filial - Filial - Empresa Controla Filial
     * @param cdempresa
     * @param cdfilial
     * @return paramfilial_filial_emprcntrfil
     */
    self.buscaParamfilialFilialEmprcntrfil = function (cdempresa, cdfilial){
        return Rec00001_TitulosAReceber_Service.buscaParamfilialFilialEmprcntrfil(cdempresa, cdfilial).then(function(paramfilial_filial_emprcntrfil) {
            return paramfilial_filial_emprcntrfil;
        });
    };

    /**
     * Busca Tipo de Operação
     * @param cdtipooper
     * @return tipooperac
     */
    self.buscaTipooperac = function (cdtipooper){
        return Rec00001_TitulosAReceber_Service.buscaTipooperac(cdtipooper).then(function(tipooperac) {
            return tipooperac;
        });
    };

    /**
     * Busca Série NF - Filial
     * @param cdempresa
     * @param cdfilial
     * @param cdserie
     * @returns serienf_filial
     */
    self.buscaSerienfFilial = function (cdempresa, cdfilial, cdserie){
        return Rec00001_TitulosAReceber_Service.buscaSerienfFilial(cdempresa, cdfilial, cdserie).then(function(serienf_filial) {
            return serienf_filial;
        });
    };

    /**
     * Busca Tipo de Conta a Receber
     * @param cdtpctreceb
     * @returns serienf_filial
     */
    self.buscaTipoctreceber = function (cdtpctreceb){
        return Rec00001_TitulosAReceber_Service.buscaTipoctreceber(cdtpctreceb).then(function(tipoctreceber) {
            return tipoctreceber;
        });
    };
    
    self.openFilterTitulosAReceber = function(widgetTitulosAReceber){
        self.buscaDadosIniciaisFiltro(widgetTitulosAReceber).then(function(){
            var rowSetFilter = {};
            if((sessionStorage.getItem('DASHBOARD_NAME') == 'widgetTitulosReceber') || (sessionStorage.getItem('DASHBOARD_NAME') == 'clientInadimplenteWidget')){
                rowSetFilter = {
                    'DTVENBOLREC': {
                        "start": sessionStorage.getItem('DTVENBOLREC.start'),
                        "end": sessionStorage.getItem('DTVENBOLREC.end'),
                    },    
                    'CDEMPRESA': sessionStorage.getItem('CDEMPRESA'),
                    'NMEMPRESA': sessionStorage.getItem('NMEMPRESA'),
                    'IDSTATBREC': ["A", "E"]
                };
                
                ZhFilterPreferences.setOriginalFilter(widgetTitulosAReceber.id, rowSetFilter);
                ZhFilterPreferences.openFilterWidget(widgetTitulosAReceber, rowSetFilter);
            } else if((sessionStorage.getItem('DASHBOARD_NAME') == 'boletReceberVenc') || (sessionStorage.getItem('DASHBOARD_NAME') == 'boletReceberAberto') || (sessionStorage.getItem('DASHBOARD_NAME') == 'boletReceberBaixa')){
                rowSetFilter = {
                    'DTVENBOLREC': {
                        "start": sessionStorage.getItem('DTVENBOLREC.start'),
                        "end": sessionStorage.getItem('DTVENBOLREC.end'),
                    },    
                    'CDEMPRESA': sessionStorage.getItem('CDEMPRESA'),
                    'NMEMPRESA': sessionStorage.getItem('NMEMPRESA'),
                    'IDSTATBREC': sessionStorage.getItem('IDSTATBREC').split(",")
                };
                ZhFilterPreferences.setOriginalFilter(widgetTitulosAReceber.id, rowSetFilter);
                ZhFilterPreferences.openFilterWidget(widgetTitulosAReceber, rowSetFilter);
            } else {
                rowSetFilter = {
                    'DTVENBOLREC': widgetTitulosAReceber.DTVENBOLREC,
                    'CDEMPRESA': widgetTitulosAReceber.empresa.CDEMPRESA,
                    'NMEMPRESA': widgetTitulosAReceber.empresa.NMEMPRESA
                };
                ZhFilterPreferences.setOriginalFilter(widgetTitulosAReceber.id, rowSetFilter);
                ZhFilterPreferences.openFilterWidget(widgetTitulosAReceber, rowSetFilter);
            }
            
            if((sessionStorage.getItem('DASHBOARD_NAME') == 'rastreioContabil')){
                var cliente = [];
                cliente.push(sessionStorage.getItem('CDCLIENTE'));
                if(sessionStorage.getItem('ORIGEM') == 'BAIXA_REC'){
                    rowSetFilter = {   
                        'DTVENBOLREC': {start : '', end : ''},
                        'DTBAIXAREC': {start : sessionStorage.getItem('DTBAIXAREC'), 
                                         end : sessionStorage.getItem('DTBAIXAREC')},
                        'VRBAXINICIAL': sessionStorage.getItem('VRBAXINICIAL'),
                        'VRBAXFINAL': sessionStorage.getItem('VRBAXFINAL'),
                        'CDEMPRESA': sessionStorage.getItem('CDEMPRESA'),
                        'NMEMPRESA': sessionStorage.getItem('NMEMPRESA')
                    };
                }else{
                    rowSetFilter = {   
                        'DTVENBOLREC': {start : '', end : ''},
                        'NRINICIAL': sessionStorage.getItem('NRNOTAFISCINI'),
                        'NRFINAL': sessionStorage.getItem('NRNOTAFISCFIN'),
                        'CDEMPRESA': sessionStorage.getItem('CDEMPRESA'),
                        'NMEMPRESA': sessionStorage.getItem('NMEMPRESA'),
                        'CDCLIENTE': cliente
                    };
                }
                
                ZhFilterPreferences.setOriginalFilter(widgetTitulosAReceber.id, rowSetFilter);
                ZhFilterPreferences.openFilterWidget(widgetTitulosAReceber, rowSetFilter);
            }
            
        });

    };
    
    self.buscaDadosIniciaisFiltro = function(widgetTitulosAReceber) {
        var deferred = ZHPromise.defer();
        self.buscaPadraoEmpresa(widgetTitulosAReceber).then(function(){
            self.buscaPadraoIntervaloVencimento(widgetTitulosAReceber).then(function(){
                deferred.resolve();        
            });    
        });
        
        return deferred.promise;
    };

    /**
     * Busca Padrão Empresa
     * @param widget
     */
    self.buscaPadraoEmpresa = function(widget) {
        var deferred = ZHPromise.defer();
        self.buscaFilial().then(function(response_filial){
            var filial   = response_filial.dataset.filial[0];
            var cdempresa = filial.CDEMPRESA;

            self.buscaEmpresa(cdempresa).then(function (response_empresa){
                var empresa = response_empresa.dataset.empresa[0];
                widget.empresa = empresa;
                deferred.resolve();
            });
        });
        return deferred.promise;
    };

    /**
     * Busca Padrão Intervalo Vencimento
     * @returns {{start: *, end: *}}
     */
    self.buscaPadraoIntervaloVencimento = function (widget){
        var deferred = ZHPromise.defer();
        var geralrec     = self.buscaGeralRec();
        var paramestoque = self.buscaParamEstoque();

        ZHPromise.all([geralrec, paramestoque]).then(function(response){
            geralrec     = response[0].dataset.geral_rec[0];
            paramestoque = response[1].dataset.paramestoque_processamento[0];

            var qtdiaantlanr = geralrec?geralrec.QTDIAANTLANR?geralrec.QTDIAANTLANR:0:0;
            var qtdiaapolanr = geralrec?geralrec.QTDIAAPOLANR?geralrec.QTDIAAPOLANR:0:0;
            var dtprocessa   = paramestoque?paramestoque.DTPROCESSA?paramestoque.DTPROCESSA:moment():moment();

            var start = moment(dtprocessa, 'DD/MM/YYYY').subtract(qtdiaantlanr, 'days').format('DD/MM/YYYY');
            var end   = moment(dtprocessa, 'DD/MM/YYYY').add(qtdiaapolanr, 'days').format('DD/MM/YYYY');

            widget.DTVENBOLREC = {start : start, end : end};
            deferred.resolve();
        });
        return deferred.promise;
    };

    /**
     * Filtro Títulos a ReceberR
     * @param widget
     */
    self.filtroTitulosAReceber = function(widget, preference, currentRowFiltro){

        var vrbaxinicial    = currentRowFiltro.VRBAXINICIAL;
        var vrbaxfinal      = currentRowFiltro.VRBAXFINAL;
        var vrcnminicial    = currentRowFiltro.VRCNMINICIAL;
        var vrcnmfinal      = currentRowFiltro.VRCNMFINAL;
        var nrinicial       = currentRowFiltro.NRINICIAL;
        var nrfinal         = currentRowFiltro.NRFINAL;
        var vrinicial       = currentRowFiltro.VRINICIAL;
        var vrfinal         = currentRowFiltro.VRFINAL;
        var vrbinicial      = currentRowFiltro.VRBINICIAL;
        var vrbfinal        = currentRowFiltro.VRBFINAL;
        var nrcnabrecremini = currentRowFiltro.NRCNABRECREMINI;
        var nrcnabrecremfin = currentRowFiltro.NRCNABRECREMFIN;
        var nrcnabrecretini = currentRowFiltro.NRCNABRECRETINI;
        var nrcnabrecretfin = currentRowFiltro.NRCNABRECRETFIN;
        var cdreducont      = currentRowFiltro.CDREDUCONT;
        var cdnosnumrec     = currentRowFiltro.CDNOSNUMREC;
        var cdfilialnf      = currentRowFiltro.CDFILIALNF;
        var cdtiporece      = currentRowFiltro.CDTIPORECE;
        
        delete preference.FILTER_ROW.CDTIPORECE;
        preference.CUSTOM_FILTER_ROW = preference.FILTER_ROW;

        widget.dataSourceFilter.forEach(function (filtro) {
            switch(filtro.name){
                case 'VRBAXINICIAL': filtro.value = vrbaxinicial < 0 ? null : vrbaxinicial;
                    break;
                case 'VRBAXFINAL': filtro.value = vrbaxfinal < 0 ? null : vrbaxfinal;
                    break;
                case 'VRBAXTOTAL': filtro.value = (((vrbaxinicial <= 0) && (vrbaxfinal <= 0)) || ((vrbaxinicial == null) && (vrbaxfinal == null))) ? 'T' : null;
                    break;
                case 'VRCNMINICIAL': filtro.value = vrcnminicial < 0 ? null : vrcnminicial;
                    break;
                case 'VRCNMFINAL': filtro.value = vrcnmfinal < 0 ? null : vrcnmfinal;
                    break;
                case 'VRCNMTOTAL': filtro.value = (((vrcnminicial <= 0) && (vrcnmfinal <= 0)) || ((vrcnminicial == null) && (vrcnmfinal == null))) ? 'T' : null;
                    break;
                case 'NRINICIAL': filtro.value = nrinicial;
                    break;
                case 'NRFINAL': filtro.value = nrfinal;
                    break;
                case 'NRTOTAL': filtro.value = (nrinicial && nrfinal) ? null : 'T';
                    break;
                case 'VRINICIAL': filtro.value = vrinicial <= 0 ? null : vrinicial;
                    break;
                case 'VRFINAL': filtro.value = vrfinal <= 0 ? null : vrfinal;
                    break;
                case 'VRTOTAL': filtro.value = ((vrinicial > 0) && (vrfinal > 0)) ? null : 'T';
                    break;
                case 'VRBINICIAL': filtro.value = vrbinicial <= 0 ? null : vrbinicial;
                    break;
                case 'VRBFINAL': filtro.value = vrbfinal <= 0 ? null : vrbfinal;
                    break;
                case 'VRBTOTAL': filtro.value = ((vrbinicial > 0) && (vrbfinal > 0)) ? null : 'T';
                    break;
                case 'NRCNABRECREMINI': filtro.value = nrcnabrecremini;
                    break;
                case 'NRCNABRECREMFIN': filtro.value = nrcnabrecremfin;
                    break;
                case 'NRCNABRECREMT': filtro.value = (nrcnabrecremini && nrcnabrecremfin) ? null : 'T';
                    break;
                case 'NRCNABRECRETINI': filtro.value = nrcnabrecretini;
                    break;
                case 'NRCNABRECRETFIN': filtro.value = nrcnabrecretfin;
                    break;
                case 'NRCNABRECRETT': filtro.value = (nrcnabrecretini && nrcnabrecretfin) ? null : 'T';
                    break;
                case 'CDREDUCONT': filtro.value = cdreducont;
                    break;
                case 'TCDREDUCONT': filtro.value = (cdreducont) ? null : 'T';
                    break;
                case 'CDNOSNUMREC': filtro.value = cdnosnumrec;
                    break;
                case 'TCDNOSNUMREC': filtro.value = (cdnosnumrec) ? null : 'T';
                    break;
                case 'CDFILIALNF': filtro.value = (cdfilialnf) ? cdfilialnf.join('_') : null;
                    break;
                case 'CDTIPORECE': filtro.value = (cdtiporece) ? cdtiporece.join('_') : 'T';
                    break;
            }
        });
        if(preference.CUSTOM_FILTER_ROW.NRINICIAL != "" && preference.CUSTOM_FILTER_ROW.NRINICIAL != null){
            var nrInicial = preference.CUSTOM_FILTER_ROW.NRINICIAL;
            nrInicial.padStart(9, '0');
            preference.CUSTOM_FILTER_ROW.NRINICIAL = nrInicial;
        }
        if(preference.CUSTOM_FILTER_ROW.NRFINAL != "" && preference.CUSTOM_FILTER_ROW.NRFINAL != null){
            var nrFinal = preference.CUSTOM_FILTER_ROW.NRFINAL;
            nrFinal.padStart(9, '0');
            preference.CUSTOM_FILTER_ROW.NRFINAL = nrFinal;
        }
    };
    
    /**
     * Seta Data Souce Stripe
     * @param widget
     */
    self.setStripeData = function(widget) {
        var currentRow = widget.appliedFilter.FILTER_ROW;
        currentRow.DTVENBOLREC = (currentRow.DTVENBOLREC) ? currentRow.DTVENBOLREC : {'start': '', 'end': ''};
        var stripeWidget = templateManager.container.getWidget("stripe");

        stripeWidget.currentRow = {};
        stripeWidget.currentRow.NMEMPRESA   = currentRow.CDEMPRESA + ' - ' + currentRow.NMEMPRESA;
        stripeWidget.currentRow.DTVENBOLREC = 'De ' + currentRow.DTVENBOLREC.start + ' até ' + currentRow.DTVENBOLREC.end;
    };
    
    self.setStripeDataFooter = function(status) {
        var widget          = templateManager.container.getWidget("TitulosAReceberGrid");
        var stripeWidget    = templateManager.container.getWidget("stripeFooter");
        var lastSelectedRow = widget.getLastSelectedRow();
        var checkedRows     = widget.getCheckedRows();
        var dstitulo        = '';
        var totalOriginal   = 0;
        var totalAjuste     = 0;
        var totalLiquido    = 0;
       
        checkedRows.forEach(function(item){
            totalOriginal += parseFloat(parseFloat(item.VRBOLREC).toFixed(2));
            totalLiquido  += parseFloat(parseFloat(item.VRFINALBREC).toFixed(2));
        });
        
        totalAjuste = totalLiquido - totalOriginal;
        
        if(((Object.keys(lastSelectedRow).length === 0 && lastSelectedRow.constructor === Object) && (checkedRows.length > 1)) != true){ 
            
            var dsboletrec = lastSelectedRow.DSBOLETREC?" - " +lastSelectedRow.DSBOLETREC:'';
            stripeWidget.getField('DSTITULO').isVisible = true;
            dstitulo = moment(lastSelectedRow.DTVENBOLREC, 'DD/MM/YYYY').format('DD/MM/YYYY') + "  -  " +
                            lastSelectedRow.NMRAZSOCCLIE + "  -  " +
                            self.numberToReal(lastSelectedRow.VRFINALBREC) +
                            dsboletrec;
           
        }
        stripeWidget.currentRow.DSTITULO  = dstitulo;
        if (status){
            stripeWidget.getField('DSTITULO').isVisible = false;
            stripeWidget.currentRow.DSTITULO = '';
        }
        stripeWidget.currentRow.NRTITUTOT = checkedRows.length;
        stripeWidget.currentRow.VRORIGTOT = self.numberToReal(totalOriginal.toFixed(2));
        stripeWidget.currentRow.VRAJUSTOT = self.numberToReal(totalAjuste.toFixed(2));
        stripeWidget.currentRow.VRLIQTOT  = self.numberToReal(totalLiquido.toFixed(2));
    };
    
    self.unsetStripeDataFooter = function() {
        var widget        = templateManager.container.getWidget("TitulosAReceberGrid");
        var stripeWidget  = templateManager.container.getWidget("stripeFooter");
        var checkedrows   = widget.getCheckedRows();
        var dstitulo      = '';
        var totalOriginal = 0;
        var totalAjuste   = 0;
        var totalLiquido  = 0;
        
        if(checkedrows.length > 0){
            checkedrows.forEach(function(item){
                totalOriginal += self.formataValor(item.VRBOLREC);
                totalLiquido  += self.formataValor(item.VRFINALBREC);
            });
            totalAjuste = totalLiquido - totalOriginal;
        }
        
        stripeWidget.getField('DSTITULO').isVisible = false;
        stripeWidget.currentRow.NRTITUTOT = checkedrows.length;
        stripeWidget.currentRow.VRORIGTOT = self.numberToReal(totalOriginal);
        stripeWidget.currentRow.VRAJUSTOT = self.numberToReal(totalAjuste);
        stripeWidget.currentRow.VRLIQTOT  = self.numberToReal(totalLiquido);
    };
    

    /**
     * Formata Número - Ex. 1500 p/ 1.500,00
     */
    self.numberToReal = function(numero) {
        numero = parseFloat(numero).toFixed(2).split('.');
        numero[0] = numero[0].split(/(?=(?:...)*$)/).join('.');
        return numero.join(',');
    };

    /** [Fim] Título a Receber/Recebidos[Filtro] - Título a Receber/Recebidos[Botão Filtrar] */
    /** [Início] Título a Receber/Recebidos */

    /**
     * Novo Título a Receber
     */
    self.novoTituloAReceber = function(){
        if(!templateManager.container.getWidget('TitulosAReceberGrid').appliedFilter.FILTER_ROW.CDEMPRESA) {
            ScreenService.showMessage('Operação bloqueada. Empresa não selecionada no filtro.');
            return;
        }
        
        General.callRestEngine('fin#/crud/geral_rec','FilterData', []).then(function(result){
            if(result.dataset.geral_rec.length == 0){
                ScreenService.showMessage('Operação bloqueada. Favor reveja as parametrizações na tela de Parâmetros de Títulos a Receber.');
                return;
            }
            
            self.validaTipoContaEmpresa().then(function(){
                var widgetDocumentosForm = templateManager.container.getWidget('DocumentosForm');
                widgetDocumentosForm.isVisible = true;
                widgetDocumentosForm.getField('NRLICENCAUSO').isVisible = false;
                widgetDocumentosForm.getField('NMRAZSOCVEN').isVisible  = false;
                widgetDocumentosForm.editing = true;
                
                ScreenService.openSwipe(widgetDocumentosForm).then(function(){
                    templateManager.updateTemplate();
                    self.buscaPadraoTitulo();
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                    return;
                });
            }, function (error) {
                ScreenService.showMessage('Operação bloqueada. Empresa selecionada no filtro não possui tipo de conta relacionada na tela Tipo de Título a Receber.');
                return;
            });
            
        }, function (error) {
            ScreenService.showMessage(error.data.error);
            return;
        });

        
    };
    
    self.validaTipoContaEmpresa = function(){
        var deferred = ZHPromise.defer();
        
        var filter = [
            {
                "name": "CDEMPRESA",
                "operator": "=",
                "value": "T"
            }
        ];
        
        General.callRestEngine('fin#/crud/emprtpctrec_empresa','FilterData', filter).then(function(empresas){
            empresas = empresas.dataset.emprtpctrec_empresa;
            
            if(empresas.length > 0){
                var cdempresa = templateManager.container.getWidget('TitulosAReceberGrid').appliedFilter.FILTER_ROW.CDEMPRESA;
                
                filter = [
                    {
                        "name": "CDEMPRESA",
                        "operator": "=",
                        "value": cdempresa
                    }
                ];
                
                General.callRestEngine('fin#/crud/emprtpctrec_empresa','FilterData', filter).then(function(empresas){
                    empresas = empresas.dataset.emprtpctrec_empresa;
                    
                    if(empresas.length > 0)
                       deferred.resolve();
                    else deferred.reject();
                });
                
            }else{
                deferred.resolve();
            }
           
        });
        
        return deferred.promise;
    };
    
    self.alteraAjusteTitulo = function(widget){
        if(widget.currentRow.DSAJUCTREC)
            self.alteraValorAjusteRec(widget);
    };

    /**
     * Altera Valor Desejavel Título
     * @param widget
     */
    self.alteraValorDesejavel = function(widget){
        var vrajbolrec = 0;
    
        if(widget.currentRow.IDAJUCTREC == 'A') {
            if ((self.formataValor(widget.currentRow.VRDESEBREC)) < (self.formataValor(widget.currentRow.VRATUABREC))){
                vrajbolrec = 0;
                widget.currentRow.VRDESEBREC = widget.currentRow.VRATUABREC;
                ScreenService.showMessage('O valor desejável não pode ser menor que o valor atual');
            }
            else if (widget.currentRow.VRDESEBREC == "") {
                vrajbolrec = 0;
                widget.currentRow.VRDESEBREC = widget.currentRow.VRATUABREC;
            } else if ((self.formataValor(widget.currentRow.VRDESEBREC)) >= (self.formataValor(widget.currentRow.VRATUABREC))) {
                vrajbolrec = ((self.formataValor(widget.currentRow.VRDESEBREC) - self.formataValor(widget.currentRow.VRATUABREC)));
            }
            
        }
        else if(widget.currentRow.IDAJUCTREC == 'D') {
            if((self.formataValor(widget.currentRow.VRDESEBREC)) <= (self.formataValor(widget.currentRow.VRATUABREC))){
                vrajbolrec = (self.formataValor(widget.currentRow.VRATUABREC) - self.formataValor(widget.currentRow.VRDESEBREC));
            }
            else if(widget.currentRow.VRDESEBREC && widget.currentRow.VRDESEBREC != "") {
                vrajbolrec = 0;
                widget.currentRow.VRDESEBREC = widget.currentRow.VRATUABREC;
                ScreenService.showMessage('O valor desejável não pode ser maior que o valor atual');
            } else if(widget.currentRow.VRDESEBREC == ""){
                widget.currentRow.VRDESEBREC = widget.currentRow.VRATUABREC;
            }
        }

        vrajbolrec = vrajbolrec > 0 ? vrajbolrec : 0;

        widget.currentRow.VRAJBOLREC = vrajbolrec.toFixed(2);
    };
    
    /**
     * Altera Valor Ajuste Título
     * @param widget
     */
    self.alteraValorAjusteRec = function(widget){
        var vrdesebrec = widget.currentRow.VRATUABREC;

        if(widget.currentRow.IDAJUCTREC == 'A') {
            if(widget.currentRow.VRAJBOLREC && widget.currentRow.VRAJBOLREC != "") {
                vrdesebrec = (self.formataValor(widget.currentRow.VRATUABREC) + self.formataValor(widget.currentRow.VRAJBOLREC));
            } else {
                vrdesebrec = widget.currentRow.VRATUABREC;
            } 
        }
        else if(widget.currentRow.IDAJUCTREC == 'D') {
            if((self.formataValor(widget.currentRow.VRAJBOLREC)) <= (self.formataValor(widget.currentRow.VRATUABREC))){
                vrdesebrec = (self.formataValor(widget.currentRow.VRATUABREC) - self.formataValor(widget.currentRow.VRAJBOLREC));
            } 
            else if(widget.currentRow.VRAJBOLREC && widget.currentRow.VRAJBOLREC != "") {
                vrdesebrec = widget.currentRow.VRATUABREC;
                widget.currentRow.VRAJBOLREC = 0;
                ScreenService.showMessage('O valor do ajuste não pode ser maior que o valor atual');
            }
        }

        vrdesebrec = vrdesebrec > 0 ? vrdesebrec : 0;

        widget.currentRow.VRDESEBREC = parseFloat(vrdesebrec).toFixed(2);
    };
    
    
    /**
     * Busca Padrão Título
     */
    self.buscaPadraoTitulo = function (){
        // Documento
        var widgetDocumentosForm = templateManager.container.getWidget('DocumentosForm');
        
        self.buscaPadraoFilial(widgetDocumentosForm);
        widgetDocumentosForm.getField('NRORG').setValue(getLocalVar('NRORG'));
        widgetDocumentosForm.getField('CDFILIAL').setValue(getLocalVar('CDFILIAL'));
        widgetDocumentosForm.getField('IDSTATUS').setValue('A');
        widgetDocumentosForm.getField('DTEMISSAO').setValue(moment().format('DD/MM/YYYY'));
        widgetDocumentosForm.getField('DTENTRSAID').setValue(moment().format('DD/MM/YYYY'));
        widgetDocumentosForm.getField('DTATUAVENREC').setValue(moment().format('DD/MM/YYYY'));
        widgetDocumentosForm.getField('CDCLIENTE').setValue(null);
        widgetDocumentosForm.getField('NMRAZSOCCLIE').setValue(null);
        widgetDocumentosForm.getField('CDTIPOOPER').setValue(null);
        widgetDocumentosForm.getField('NMTIPOOPER').setValue(null);
        widgetDocumentosForm.getField('CDTPCTRECEB').setValue(null);
        widgetDocumentosForm.getField('DSTPCTRECEB').setValue(null);
        widgetDocumentosForm.getField('CDSERIE').setValue(null);
        widgetDocumentosForm.getField('DSSERIE').setValue(null);
        widgetDocumentosForm.getField('NRNOTAFISC').setValue(null);
        widgetDocumentosForm.getField('VRNOTAFISC').setValue(null);
        
        // Parcelamento
        var widgetParcelamentoDocGrid = templateManager.container.getWidget('ParcelamentoDocGrid');
        
        widgetParcelamentoDocGrid.currentRow = {};
        widgetParcelamentoDocGrid.dataSource.data = [];
    };

    /**
     * Edição Titulo A Receber
     * @param args
     */
    self.edicaoTituloAReceber = function(args){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'E') {
            ScreenService.showMessage('Operação bloqueada. Título emitido não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        General.widgetEdit(args.owner.widget);
    };

    /**
     * Edita Titulo A Receber
     * @param args
     */
    self.editarTituloAReceber = function(args){
        var widget = args.owner.widget;

        if(widget.isValid()){
            Rec00001_TitulosAReceber_Service.editarTituloAReceber(widget.currentRow).then(function () {
                General.changeWidgetAcessibility(widget.widgets, true);
                ScreenService.showMessage('Registro salvo com sucesso.');
                args.owner.widget.view();
                widget.reload();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        }
    };

    /**
     * Deleta Titulos a Receber
     */
    self.deletaTituloReceber = function(){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }


        ScreenService.showCustomDialog('O que deseja excluir', 'question', 'question', [{
            label: 'Vencimento',
            code: self.deletaVencTituloReceber
        }, {
            label: 'Documento',
            code: self.deletaDocTituloReceber
        }, {
            label: 'Cancelar',
            code: ''
        }]);

    };

    /**
     * Deleta Vencimento Titulos a Receber
     */
    self.deletaVencTituloReceber = function(){

        ScreenService.confirmMessage('Deseja realmente excluir o Vencimento?', 'question', function() {

            var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
            
            if(widgetTitulosAReceber.currentRow.NRPARCBOLREC != '00'){
                ScreenService.showMessage('Operação bloqueada. Título parcelado deve ser excluído na aba Parcelamento.');
                return;
            }

            Rec00001_TitulosAReceber_Service.deletaVencTituloReceber(widgetTitulosAReceber.currentRow).then(function () {
                ScreenService.showMessage('Registro excluído com sucesso.');
                ScreenService.goBack();
                widgetTitulosAReceber.reload();
            }, function (error) {
                if (contabilizacaoController.checkErrosContabilizacao(error)) {
                    ScreenService.showMessage(error.data.error);
                }
            });

        });

    };

    /**
     * Deleta Documento Titulos a Receber
     */
    self.deletaDocTituloReceber = function(){

        ScreenService.confirmMessage('Deseja realmente excluir o Documento?', 'question', function() {

            var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');

            Rec00001_TitulosAReceber_Service.deletaDocTituloReceber(widgetTitulosAReceber.currentRow).then(function () {
                ScreenService.showMessage('Registro excluído com sucesso.');
                ScreenService.goBack();
                widgetTitulosAReceber.reload();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });

        });

    };




    /**
     * Cálcula Valor para Percentual
     * @param row
     */
    var valueToPerc = function(valor, valorfinal){
        valor       = parseFloat(valor.replace(',','.'));
        valorfinal  = parseFloat(valorfinal);

        return parseFloat((valor * 100)/valorfinal).toFixed(2);
    };
    
    /**
     * Cálcula Percentual para Valor
     * @param row
     */
    var percToValue = function(percentual, valorfinal){
        if(percentual == ''){
            percentual = '0';
        }
        percentual  = parseFloat(percentual.replace(',','.'));
        valorfinal  = parseFloat(valorfinal);

        return parseFloat((percentual * valorfinal)/100).toFixed(2);
    };
    
    
    
    
    
    
    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMultaTotal = function(row){
        row.VRPEMULBREC = valueToPerc(row.VRMULTABREC, row.VRFINALBREC);
        row.VRMULTACALCBREC = parseFloat(row.VRFINALBREC) + parseFloat(row.VRMULTABREC.replace(',','.'));
    };
    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMoraTotal = function(row){
        row.VRPEMORBREC = valueToPerc(row.VRMORDIABREC, row.VRFINALBREC);
        row.VRMORDIACALCBREC = parseFloat(row.VRFINALBREC) + parseFloat(row.VRMORDIABREC.replace(',','.'));
    };

    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMultaTotal = function(row){
        row.VRMULTABREC = percToValue(row.VRPEMULBREC, row.VRFINALBREC);
        row.VRMULTACALCBREC = parseFloat(row.VRFINALBREC) + parseFloat(row.VRMULTABREC);
    };

    /**
     * Cálcula Valor para Percentual Mora Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMoraTotal = function(row){
        row.VRMORDIABREC = percToValue(row.VRPEMORBREC, row.VRFINALBREC);
        row.VRMORDIACALCBREC = parseFloat(row.VRFINALBREC) + parseFloat(row.VRMORDIABREC);
    };





    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMulta = function(row){
        row.VRPEMULBREC = valueToPerc(row.VRMULTABREC, row.VRFINALBREC);
    };
    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMora = function(row){
        row.VRPEMORBREC = valueToPerc(row.VRMORDIABREC, row.VRFINALBREC);
    };

    /**
     * Cálcula Percentual para Valor Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMulta = function(row){
        row.VRMULTABREC = percToValue(row.VRPEMULBREC, row.VRFINALBREC);
    };

    /**
     * Cálcula Percentual para Valor Mora Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMora = function(row){
        row.VRMORDIABREC = percToValue(row.VRPEMORBREC, row.VRFINALBREC);
    };
    
    
    
    
    
    

    /** [Fim] Título a Receber/Recebidos */
    /** [Início] Ajuste - Título a Receber/Recebidos > Ajuste */

    /**
     * Busca Ajuste Titulo a Receber
     * @param cdfilial
     * @param nrlanbolrec
     */
    self.buscaAjusteTitulo= function(cdfilial, nrlanbolrec){
        return Rec00001_TitulosAReceber_Service.buscaAjusteTitulo(cdfilial, nrlanbolrec).then(function (ajbolrec) {
            return ajbolrec;
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    self.novoAjusteBoleto = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetAjusteGrid = templateManager.container.getWidget('AjusteGrid');
        self.validaAlteracaoTitulo(widgetTitulosAReceber, true)
        .then(function(operacao){
            self.confirmaNovoAjusteBoleto(widgetAjusteGrid, widgetTitulosAReceber, operacao.mantemnossonum);
        })
        .catch(function(erro){
            if (erro.message){
                ScreenService.showMessage(erro.message);
            }
        });
    };

    self.cancelarParcelamentoBoleto = function(args){
        General.backOrCancel(args).then(function(){
            var widget = args.owner.widget;
            
            var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
            //widgetTitulosAReceber.currentRow.NRCNABRECRET = widgetTitulosAReceber.currentRow.NRCNABRECRETANT;
            widgetTitulosAReceber.currentRow.NRCNABRECREM = widgetTitulosAReceber.currentRow.NRCNABRECREMANT;
            widgetTitulosAReceber.currentRow.IDSTATUSEMIT = widgetTitulosAReceber.currentRow.IDSTATUSEMITANT;
            //widgetTitulosAReceber.currentRow.NRCNABRECRETANT = null;
            widgetTitulosAReceber.currentRow.NRCNABRECREMANT = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = null;
            
            if(widget.currentRow.NRPARCBOLREC == '01' && widget.dataSource.data.length == 1)
                widget.reload();
            
        });
    };

    self.confirmaNovoAjusteBoleto = function(widget, widgetTitulosAReceber, mantemnossonum){
        widget.newRow();
        widgetTitulosAReceber.currentRow.MANTEMNOSSONUM = mantemnossonum;
        widget.getField('CDFILIAL').setValue(widgetTitulosAReceber.currentRow.CDFILIAL);
        widget.getField('NRLANBOLREC').setValue(widgetTitulosAReceber.currentRow.NRLANBOLREC);
        widget.getField('VRATUABREC').setValue(widgetTitulosAReceber.currentRow.VRFINALBREC);
        widget.getField('VRAJBOLREC').setValue(0);
        widget.getField('VRDESEBREC').setValue(widgetTitulosAReceber.currentRow.VRFINALBREC);
    };

    self.cancelarAjusteBoleto = function(args){
        General.backOrCancel(args).then(function(){
            var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
            //widgetTitulosAReceber.currentRow.NRCNABRECRET = widgetTitulosAReceber.currentRow.NRCNABRECRETANT;
            if (widgetTitulosAReceber.currentRow.NRCNABRECREMANT !== undefined)
                widgetTitulosAReceber.currentRow.NRCNABRECREM = widgetTitulosAReceber.currentRow.NRCNABRECREMANT;
            if (widgetTitulosAReceber.currentRow.IDSTATUSEMITANT !== undefined)
                widgetTitulosAReceber.currentRow.IDSTATUSEMIT = widgetTitulosAReceber.currentRow.IDSTATUSEMITANT;
            //widgetTitulosAReceber.currentRow.NRCNABRECRETANT = null;
            widgetTitulosAReceber.currentRow.NRCNABRECREMANT = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = null;
        });
    };

    /**
     * Novo Ajuste Boleto
     * @param args
     */
    self.salvarAjusteBoleto = function(args){
        var widgetAjusteGrid = templateManager.container.getWidget('AjusteGrid');
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var dataAjuste = [];

        dataAjuste.push(widgetTitulosAReceber.currentRow);
        dataAjuste.push(widgetAjusteGrid.currentRow);
        Rec00001_TitulosAReceber_Service.salvarAjusteBoleto(dataAjuste)
        .then(function () {
            var idajuctrec  = widgetAjusteGrid.currentRow.IDAJUCTREC;
            var vrajbolrec  = parseFloat(widgetAjusteGrid.currentRow.VRAJBOLREC);
            vrajbolrec      = (idajuctrec == 'A')?vrajbolrec:-(vrajbolrec);
            
            // Atualiza Valor Líquido do Título
            var vrfinalbrec = parseFloat(widgetTitulosAReceber.currentRow.VRFINALBREC);
            vrfinalbrec    += vrajbolrec;
            widgetTitulosAReceber.currentRow.VRFINALBREC = vrfinalbrec;
            
            ScreenService.closeSwipe();
            
            widgetTitulosAReceber.currentRow.NRCNABRECREM = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMIT = 'N';
            widgetTitulosAReceber.currentRow.NRCNABRECREMANT = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = 'N';
            ScreenService.showMessage('Registro salvo com sucesso.');
            widgetAjusteGrid.reload();
            
            
        })
        .catch(function(error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Deleta Ajuste Boleto
     * @param args
     */
    self.deletarAjustes = function(args){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }

        var widget = args.owner.widget;
        if(widget.currentRow.IDORIGAJBREC == '4') {
            ScreenService.showMessage('Operação bloqueada. Ajuste originado de uma compensação não pode ser excluído.');
            return;
        }

        ScreenService.confirmMessage('Deseja realmente excluir o Ajuste?', 'question', function() {
            // Valor de Ajuste do Título
            var idajuctrec  = widget.currentRow.IDAJUCTREC;
            idajuctrec      = (idajuctrec == 'A')?'A':'D';
            var vrajbolrec  = parseFloat(widget.currentRow.VRAJBOLREC);
            vrajbolrec      = (idajuctrec == 'A')?-(vrajbolrec):vrajbolrec;

            // Atualiza Valor Líquido do Título
            var vrfinalbrec = parseFloat(widgetTitulosReceber.currentRow.VRFINALBREC);
            vrfinalbrec    += vrajbolrec;
            widgetTitulosReceber.currentRow.VRFINALBREC = vrfinalbrec;

            widget.removeRow();
            ScreenService.goBack();
            //widgetTitulosReceber.reload();
        });
    };

    /** [Fim] Ajuste - Título a Receber/Recebidos > Ajuste */
    /** [Início] Tipo de Recebimento - Título a Receber/Recebidos > Tipo de Recebimento */

    /**
     * Valor Total Tipo de Recebimento
     * @param args
     * @returns {number}
     */
    var valorTotalTipoRecebimento = function(args){
        var vrTotal = 0;

        for(var i in args.dataSource.data){
            vrTotal += parseFloat(args.dataSource.data[i].VRTPRECBOLR) ? parseFloat(args.dataSource.data[i].VRTPRECBOLR): 0;
        }

        return vrTotal;
    };

    /**
     * Altera Campo Tipo de Recebimento
     * @param widget
     */
    self.alteraCampoTipoRecebimento = function(widget){

        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        var idtiporece = widget.getField('IDTIPORECE').value();
        var vrtprecbolr = widgetTitulosAReceber.currentRow.VRFINALBREC - (valorTotalTipoRecebimento(widget) - widget.getField('VRTPRECBOLR').value());

        widget.getField('NRCHEQBOLREC').setValue('');
        widget.getField('CDBANCBOLREC').setValue('');
        widget.getField('CDAGENBOLREC').setValue('');
        widget.getField('CDCONTBOLREC').setValue('');
        widget.getField('NMCARTAO').setValue('');
        widget.getField('NRCARCREBOLR').setValue('');
        widget.getField('VRTPRECBOLR').setValue(vrtprecbolr);

        switch(idtiporece) {
            case '1':
            case '2':
                widget.getField('NRCHEQBOLREC').readOnly = true;
                widget.getField('CDBANCBOLREC').readOnly = false;
                widget.getField('CDAGENBOLREC').readOnly = false;
                widget.getField('CDCONTBOLREC').readOnly = false;
                widget.getField('NMCARTAO').readOnly = false;
                widget.getField('NRCARCREBOLR').readOnly = false;
                break;
            case '3':
                widget.getField('NRCHEQBOLREC').readOnly = false;
                widget.getField('CDBANCBOLREC').readOnly = true;
                widget.getField('CDAGENBOLREC').readOnly = true;
                widget.getField('CDCONTBOLREC').readOnly = true;
                widget.getField('NMCARTAO').readOnly = true;
                widget.getField('NRCARCREBOLR').readOnly = true;
                break;
            default:
                widget.getField('CDBANCBOLREC').readOnly = true;
                widget.getField('NRCHEQBOLREC').readOnly = true;
                widget.getField('CDAGENBOLREC').readOnly = true;
                widget.getField('CDCONTBOLREC').readOnly = true;
                widget.getField('NMCARTAO').readOnly = true;
                widget.getField('NRCARCREBOLR').readOnly = true;
        }

    };

    /**
     * Edição Tipo de Recebimento
     * @param args
     */
    self.edicaoTipoRecebimento = function(args){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        General.widgetEdit(args.owner.widget);
    };

    /**
     * Novo Tipo de Recebimento
     * @param args
     */
    self.novoTipoRecebimento = function(args){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        // Variaveis de inicialização
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var cdfilial    = widgetTitulosAReceber.currentRow.CDFILIAL;
        var nrlanbolrec = widgetTitulosAReceber.currentRow.NRLANBOLREC;

        // Código Sequencial do Tipo de Recebimento
        var nrseqtprecbo = ("00" + (args.dataSource.data.length + 1)).slice(-2);

        // Novo Registro
        args.newRow();
        //ScreenService.openSwipe(args);

        // Valor do Tipo de Recebimento
        var vrtprecbolr = widgetTitulosAReceber.currentRow.VRFINALBREC - valorTotalTipoRecebimento(args);

        // Desabilita Campos
        args.getField('CDBANCBOLREC').readOnly = true;
        args.getField('NRCHEQBOLREC').readOnly = true;
        args.getField('CDAGENBOLREC').readOnly = true;
        args.getField('CDCONTBOLREC').readOnly = true;

        // Default Values
        args.getField('CDFILIAL').setValue(cdfilial);
        args.getField('NRLANBOLREC').setValue(nrlanbolrec);
        args.getField('NRSEQTPRECBO').setValue(nrseqtprecbo);
        args.getField('VRTPRECBOLR').setValue(vrtprecbolr);
    };

    /**
     * Salva Tipo de Recebimento Títulos a Receber/Recebidos
     * @param args
     */
    self.salvarTipoRecebimento = function(args){
        if(args.owner.widget.isValid()) {
            args.owner.widget.view();
            ScreenService.goBack();
            
            self.widgetEmEdicao('TipoRecebimentoGrid', true);
            self.desabilitaAbas('TipoRecebimentoGrid', true);
            
            args.owner.widget.getAction('cancelaTipoRecebimento').isVisible = true;
            args.owner.widget.getAction('back_list').isVisible = false;
            args.owner.widget.getAction('finalize').isVisible = true;
        }
    };

    /**
     * Finaliza Tipo de Recebimento
     * @param args
     */
    self.finalizaTipoRecebimento = function(args){
        var widget = args.owner.widget;
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var error = false;

        for (var i = 0; i < widget.dataSource.data.length; i++)
            for (var j = i+1; j < widget.dataSource.data.length; j++)
                if (widget.dataSource.data[i].CDTIPORECE == widget.dataSource.data[j].CDTIPORECE)
                    error = true;

        if(!error) {
            if (valorTotalTipoRecebimento(widget) != widgetTitulosAReceber.currentRow.VRFINALBREC) {
                ScreenService.showMessage('Operação bloqueada. Total do(s) tipo(s) de recebimento difere do valor total do título.');
            }
            else {
                if (widget.isValid()) {

                    var nrorg = widgetTitulosAReceber.currentRow.NRORG;
                    var cdfilial = widgetTitulosAReceber.currentRow.CDFILIAL;
                    var nrlanbolrec = widgetTitulosAReceber.currentRow.NRLANBOLREC;
                    var dataSource = [{
                        nrorg: nrorg,
                        cdfilial: cdfilial,
                        nrlanbolrec: nrlanbolrec
                    }, widget.dataSource.data];

                    Rec00001_TitulosAReceber_Service.finalizaTipoRecebimento(dataSource).then(function () {
                        ScreenService.showMessage('Registro salvo com sucesso.');
                        widget.reload();

                    }, function (error) {
                        ScreenService.showMessage(error.data.error);
                    });
                }
            }
        }else ScreenService.showMessage('Operação bloqueada. Existem tipos de recebimento duplicados.');
    };

    /**
     * Desabilita Ação Finalizar Tipo Recebimento Títulos a Receber/Recebidos
     * @param args
     */
    self.desabilitaFinalizacaoTipoRecebimento = function(args){
        self.widgetEmEdicao('TipoRecebimentoGrid', false);
        self.desabilitaAbas('TipoRecebimentoGrid', false);
        
        args.owner.getAction('cancelaTipoRecebimento').isVisible = false;
        args.owner.getAction('back_list').isVisible = true;
        args.owner.getAction('finalize').isVisible = false;
    };

    /**
     * Deleta Tipo Recebimento Títulos a Receber/Recebidos
     * @param args
     */
    self.deletaTipoRecebimento = function(args){
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        var widget = args.owner.widget;
        var dataLength = widget.dataSource.data.length;
        var indexRow   = widget.currentRow.__index + 1;
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if (dataLength == indexRow) {
            if (!widget.currentRow.__createdLocal) {
                var nrorg       = widgetTitulosAReceber.currentRow.NRORG;
                var cdfilial    = widgetTitulosAReceber.currentRow.CDFILIAL;
                var nrlanbolrec = widgetTitulosAReceber.currentRow.NRLANBOLREC;
                var dataSource = [{nrorg: nrorg, cdfilial: cdfilial, nrlanbolrec: nrlanbolrec}, widget.dataSource.data];

                ScreenService.confirmMessage('Deseja realmente excluir?', 'question', function () {
                    Rec00001_TitulosAReceber_Service.deletaTipoRecebimento(dataSource).then(function () {
                        ScreenService.goBack();
                        ScreenService.showMessage('Registro excluído com sucesso.');
                        widget.reload();
                    }, function (error) {
                        ScreenService.showMessage(error.data.error);
                    });
                });
            } else General.backOrCancel(args);

        } else ScreenService.showMessage('Operação Bloqueada. Somente é permitido a exclusão do último tipo de recebimento do título.');

    };

    /** [Fim] Tipo de Recebimento - Título a Receber/Recebidos > Tipo de Recebimento */
    /** [Início] Parcelamento - Título a Receber/Recebidos > Parcelamento */

    /**
     * Valor Total Parcelamento Títulos a Receber/Recebidos
     * @param args
     */
    var valorTotalParcelamento = function(args){
        var vrTotal = 0;
        for(var i in args.dataSource.data){
            vrTotal += args.dataSource.data[i].VRFINALBREC?parseFloat(args.dataSource.data[i].VRFINALBREC):0;
        }
        return vrTotal;
    };

    /**
     * Nova Parcela Títulos a Receber/Recebidos
     * @param args
     */
    self.novaParcela = function(args){
        var widgetParcelamento    = args.owner.widget;
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        
        self.validaAlteracaoTitulo(widgetTitulosAReceber, false)
        .then(function(operacao){
            self.confirmaNovaParcela(widgetParcelamento, widgetTitulosAReceber, operacao.mantemnossonum);
        })
        .catch(function(erro){
            if (erro.message){
                ScreenService.showMessage(erro.message);
            }
        });
    };

    /**
     * Confirma Nova Parcela Títulos a Receber/Recebidos
     * @param widget
     * @param widgetTitulosAReceber
     */
    self.confirmaNovaParcela = function(widget, widgetTitulosAReceber){
        self.buscaAjusteTitulo(widgetTitulosAReceber.currentRow.CDFILIAL, widgetTitulosAReceber.currentRow.NRLANBOLREC).then(function (response_ajbolrec){
            var ajbolrec = response_ajbolrec.dataset.ajbolrec[0];
            if(!ajbolrec) {
                widget.currentRow = widget.dataSource.data[0];

                if (widget.currentRow.NRPARCBOLREC == "00") {
                    widget.afterMoveRow();
                    widget.edit();
                    widget.currentRow.NRPARCBOLREC     = "01";
                    widget.currentRow.NRPARCBOLRECVISU = "001";
                } else {

                    var nrparcbolrec     = retornaNumeroParcela(widget.dataSource.data.length + 1);
                    var nrparcbolrecvisu = ("00" + (widget.dataSource.data.length + 1)).slice(-3);
                    var dtvenbolrec      = widget.dataSource.data[widget.dataSource.data.length - 1].DTVENBOLREC;
                    var vrtotalparc      = valorTotalParcelamento(widget);
                    var vrfinalbrec      = widget.currentRow.VRTOTBOLREC - vrtotalparc;

                    widget.newRow();

                    widget.currentRow.NRPARCBOLREC     = nrparcbolrec;
                    widget.currentRow.NRPARCBOLRECVISU = nrparcbolrecvisu;
                    widget.currentRow.DTVENBOLREC      = dtvenbolrec;
                    widget.currentRow.VRFINALBREC      = (vrfinalbrec > 0)?vrfinalbrec:0;
                    widget.currentRow.IDSITUCNABR      = "00";
                }
                
            }else ScreenService.showMessage('Operação Bloqueada. Não é possível parcelar título com ajuste.');
        });
    };
    
    /**
     * Confirma Nova Parcela Títulos a Receber/Recebidos
     * @param widget
     * @param widgetTitulosAReceber
     */
    var retornaNumeroParcela = function(nrparcbolrec){
        
        nrparcbolrec = ("000" + nrparcbolrec).slice(-3);
        
        var unidade = nrparcbolrec.substr(-1, 1);
        var centena = nrparcbolrec.substr(-3, 1);
        
        if(centena != '0'){
            if(nrparcbolrec != '360'){
                var letras = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'X', 'W', 'Y', 'Z'];
            
                var posicao = parseInt(nrparcbolrec.substr(-3, 2)) - 10;
                nrparcbolrec = letras[posicao] + unidade;
            }else nrparcbolrec = 'AA';
        }
            
        return nrparcbolrec.slice(-2);
    };

    /**
     * Edita Parcela Títulos a Receber/Recebidos
     * @param widget
     */
    self.editaParcela = function(widget){
        if(widget.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widget.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }

        var dataLength = widget.dataSource.data.length;
        var indexRow   = widget.currentRow.__index + 1;

        if(widget.currentRow.NRPARCBOLREC != '00'){
            if (!widget.currentRow.__createdLocal) {
                if (dataLength != indexRow){
                    ScreenService.showMessage('Operação Bloqueada. Somente é permitido a editar a última parcela do título.');
                }else General.edit(widget);
            }else{
                widget.currentRow.__is_new     = false;
                widget.getField('DTVENBOLREC').readOnly = ((widget.currentRow.NRPARCBOLREC == '01'));
                General.edit(widget);
            }
        }else ScreenService.showMessage('Operação Bloqueada. Não é possível editar a parcela original.');
    };

    /**
     * Salva Parcela Títulos a Receber/Recebidos
     * @param args
     */
    self.salvaParcela = function(args){
        if(args.owner.widget.isValid()) {
            var widget = args.owner.widget;
            
            widget.view();
            ScreenService.goBack();
            
            widget.getAction('finalizarParcela').isVisible = true;
            widget.getAction('parcelamentoAutomatico').isVisible = false;
            widget.getAction('cancelaParcelamento').isVisible = true;
            widget.getAction('back_list').isVisible = false;
            
            self.widgetEmEdicao('ParcelamentoGrid', true);
            self.desabilitaAbas('ParcelamentoGrid', true);
        }
    };

    /**
     * Finaliza Parcelamento Títulos a Receber/Recebidos
     * @param widget
     */
    self.finalizaParcelamento = function(widgetParcelamento){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        self.validaParcelamentoManual(widgetTitulosAReceber, widgetParcelamento)
        .then(function(){
            self.finalizaParcelamentoTitulos(widgetParcelamento);
        })
        .catch(function(erro){
            if (erro){
                ScreenService.showMessage(erro);
            }
        });
    };

    self.finalizaParcelamentoTitulos = function(widgetParcelamento){
        var widgetTitulosAReceber  = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetParcelamentoGrid = templateManager.container.getWidget('ParcelamentoGrid');
        
        
        var dataParcelamentoAuto = [];
        dataParcelamentoAuto.push(widgetTitulosAReceber.currentRow);
        dataParcelamentoAuto.push(widgetParcelamento.dataSource.data);
        
        for(var i in widgetParcelamento.dataSource.data) {
            if ($.currency.unmaskString(widgetParcelamento.dataSource.data[i].VRFINALBREC) <= 0) {
                ScreenService.showMessage('Operação bloqueada. Existe(m) parcela(s) menor(es) ou igual(is) a zero.');
                return;
            }
        }

        Rec00001_TitulosAReceber_Service.finalizaParcelamentoTitulos(dataParcelamentoAuto).then(function () {
            
            ScreenService.showMessage('Registro salvo com sucesso.');
            General.changeWidgetAcessibility(widgetTitulosAReceber.widgets, false);
            templateManager.updateTemplate();
            
            self.widgetEmEdicao('ParcelamentoGrid', false);
            self.desabilitaAbas('ParcelamentoGrid', false);

            for(var i in widgetParcelamento.dataSource.data)
                if(widgetParcelamento.dataSource.data[i].NRLANBOLREC == widgetTitulosAReceber.currentRow.NRLANBOLREC)
                    widgetTitulosAReceber.currentRow.VRFINALBREC = widgetParcelamento.dataSource.data[i].VRFINALBREC;
            
            widgetTitulosAReceber.currentRow.NRCNABRECREM    = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMIT    = 'N';
            widgetTitulosAReceber.currentRow.NRCNABRECREMANT = null;
            widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = 'N';
            
            ScreenService.closeSwipe();
            
            widgetParcelamentoGrid.reload();
            widgetTitulosAReceber.reload();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    self.geraParcelamentoAutomatico = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetParcelamentoGrid = templateManager.container.getWidget('ParcelamentoGrid');
        self.validaAlteracaoTitulo(widgetTitulosAReceber, true)
        .then(function(operacao){
            if(widgetParcelamentoGrid.dataSource.data.length > 1) {
                ScreenService.showMessage('Operação bloqueada. Título parcelado não pode utilizar o parcelamento automático.');
            }else{
                self.abreParcelamentoAutomatico(widgetTitulosAReceber, operacao);
            }
        })
        .catch(function(erro){
            if (erro.message){
                ScreenService.showMessage(erro.message);
            }
        });
    };

     /**
     * Abre Parcelamento Automatico
     */
    self.abreParcelamentoAutomatico = function(widgetTitulosAReceber, operacao){
        self.buscaAjusteTitulo(widgetTitulosAReceber.currentRow.CDFILIAL, widgetTitulosAReceber.currentRow.NRLANBOLREC).then(function (response_ajbolrec){
            var ajbolrec = response_ajbolrec.dataset.ajbolrec[0];
            if(!ajbolrec) {
                var widgetParcelamentoAutomatico = templateManager.container.getWidget('ParcelamentoAutomaticoForm');
                widgetParcelamentoAutomatico.isVisible = true;
                widgetParcelamentoAutomatico.editing = true;
                ScreenService.openSwipe(widgetParcelamentoAutomatico).then(function(){
                    widgetTitulosAReceber.currentRow.MANTEMNOSSONUM = operacao.mantemnossonum;
                });
                self.buscaPadraoParcelamentoAutomatico(widgetParcelamentoAutomatico);
            }else ScreenService.showMessage('Operação Bloqueada. Não é possível parcelar título com ajuste.');
        });
    };

    self.validaParcelamentoManual = function(widgetTitulosAReceber, parcelamento){
        var deferred = ZHPromise.defer();
        var currentRowTitulosAReceber = widgetTitulosAReceber.currentRow;
        var mensagemValor = false;
        var valortotparc = 0;
        var parcelamentoPermitido = true;
        var parcelas = parcelamento.dataSource.data;
        var totalTitulo = parcelas[0].VRTOTBOLREC;
        
        for (var i = 0; i < parcelas.length && parcelamentoPermitido; i++){
            if ($.currency.unmaskString(parcelas[i].VRFINALBREC) <= 0) {
                parcelamentoPermitido = false;
                deferred.reject('Operação bloqueada. Existe(m) parcela(s) menor(es) ou igual(is) a zero.');
            }
            valortotparc += self.formataValor(parcelas[i].VRFINALBREC);
        }
        
        totalTitulo  = self.formataValor(totalTitulo);
        valortotparc = self.formataValor(valortotparc);

        if((totalTitulo != valortotparc) && (parcelamentoPermitido) ){
            if((currentRowTitulosAReceber.IDSISTEMA == 'REC') && (currentRowTitulosAReceber.IDSTATBREC == 'A') && (currentRowTitulosAReceber.IDASSOCBOLREC == 'N')){
                var mensagemConfirma =
                    'Valor total das parcelas difere do valor total do título.<br/><br/>' +
                    'Valor total do Título: ' + parseFloat(totalTitulo).toFixed(2) + '<br/>' +
                    'Valor total das Parcelas: ' + parseFloat(valortotparc).toFixed(2) + '<br/><br/>' +
                    'Deseja alterar o valor do documento para prosseguir?';
                ScreenService.confirmMessage(mensagemConfirma, 'question',
                    function () {
                        if(parcelas.length < 2){
                            parcelas[0].NRPARCBOLREC = '00';
                        }
                        deferred.resolve(parcelamentoPermitido);
                    },
                    function() {
                        parcelamentoPermitido = false;
                        deferred.reject(parcelamentoPermitido);
                    }
                );
            }else{
                
                
                parcelamentoPermitido = false;
                deferred.reject(
                    'Operação bloqueada. Valor total das parcelas difere do valor total do título.<br/><br/>' +
                    'Valor total do Título: ' + totalTitulo + '<br/>' +
                    'Valor total das Parcelas: ' + valortotparc
                );
            }
        }else if (parcelamentoPermitido){
            if(parcelas.length < 2){
                ScreenService.showMessage('Operação bloqueada. Continue o parcelamento para finalização.');
                return;
            }
            deferred.resolve(parcelamentoPermitido);
        }
        return deferred.promise;
    };

    self.validaAlteracaoTitulo = function(widgetTitulosAReceber, validaPrevisto){
        var deferred = ZHPromise.defer();
        var boletoEmitido = widgetTitulosAReceber.currentRow.IDSTATUSEMIT;
        var boletoEmRemessa = widgetTitulosAReceber.currentRow.NRCNABRECREM;
        var operacao = {valida: true, mantemnossonum: false};
        if(widgetTitulosAReceber.currentRow.IDSTATBREC == 'B' && operacao.valida) {
            operacao.valida = false;
            operacao.message = 'Operação bloqueada. Título baixado não pode ser alterado.';
            deferred.reject(operacao);
        }
        if(widgetTitulosAReceber.currentRow.IDSTATUS == 'V' && operacao.valida && validaPrevisto == true) {
            operacao.valida = false;
            operacao.message = 'Operação Bloqueada. Título previsto não pode ser alterado.';
            deferred.reject(operacao);
        }
        if (boletoEmRemessa && operacao.valida){
            ScreenService.confirmMessage('O Título será excluído da remessa. Confirma cancelamento?', 'question',
                function () {
                    if (boletoEmitido == 'S' && operacao.valida){
                        ScreenService.confirmMessage('Atenção! Título já foi emitido. A confirmação desta operação fará com que a emissão seja cancelada. Deseja continuar?', 'question',
                            function () {
                                ScreenService.confirmMessage('Deseja manter o(s) nosso(s) números(s) do(s) título(s)?', 'question', function () {
                                    operacao.mantemnossonum = true;
                                    deferred.resolve(operacao);
                                },
                                function(){
                                    operacao.mantemnossonum = false;
                                    deferred.resolve(operacao);
                                });
                                //widgetTitulosAReceber.currentRow.NRCNABRECRETANT = widgetTitulosAReceber.currentRow.NRCNABRECRET;
                                widgetTitulosAReceber.currentRow.NRCNABRECREMANT = widgetTitulosAReceber.currentRow.NRCNABRECREM;
                                widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = widgetTitulosAReceber.currentRow.IDSTATUSEMIT;
                                //widgetTitulosAReceber.currentRow.NRCNABRECRET = null;
                                widgetTitulosAReceber.currentRow.NRCNABRECREM = null;
                                widgetTitulosAReceber.currentRow.IDSTATUSEMIT = 'N';
                            },
                            function () {
                                operacao.valida = false;
                                operacao.message = false;
                                deferred.reject(operacao);
                            }
                        );
                    }else{
                        operacao.mantemnossonum = false;
                        deferred.resolve(operacao);
                    }
                },
                function () {
                    operacao.valida = false;
                    operacao.message = false;
                    deferred.reject(operacao);
                }
            );
        }else if ((boletoEmitido == 'S') && operacao.valida){
            ScreenService.confirmMessage('Atenção! Título já foi emitido. A confirmação desta operação fará com que a emissão seja cancelada. Deseja continuar?', 'question',
                function () {
                    ScreenService.confirmMessage('Deseja manter o(s) nosso(s) números(s) do(s) título(s)?', 'question', function () {
                        operacao.mantemnossonum = true;
                        deferred.resolve(operacao);
                    },
                    function(){
                        operacao.mantemnossonum = false;
                        deferred.resolve(operacao);
                    });
                    widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = widgetTitulosAReceber.currentRow.IDSTATUSEMIT;
                    widgetTitulosAReceber.currentRow.IDSTATUSEMIT = 'N';
                },
                function () {
                    operacao.valida = false;
                    operacao.message = false;
                    deferred.reject(operacao);
                }
            );
        }else{
            deferred.resolve(operacao);
        }

        return deferred.promise;
    };

    /**
     * Desabilita Ação Finalizar Parcela Títulos a Receber/Recebidos
     * @param args
     */
    self.desabilitaFinalizacaoParcela = function(args){
        args.owner.getAction('finalizarParcela').isVisible = false;
        args.owner.getAction('cancelaParcelamento').isVisible = false;
        args.owner.getAction('back_list').isVisible = true;
        args.owner.getAction('parcelamentoAutomatico').isVisible = true;
        self.widgetEmEdicao('ParcelamentoGrid', false);
        self.desabilitaAbas('ParcelamentoGrid', false);
    };

    /**
     * Deleta Parcela Títulos a Receber/Recebidos
     * @param args
     */
    self.deletaParcela = function(args){
        var widget = args.owner.widget;
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if(widget.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widget.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }

        var dataLength = widget.dataSource.data.length;
        var indexRow   = widget.currentRow.__index + 1;

        if(dataLength > 1) {
            if (dataLength == indexRow) {
                if (!widget.currentRow.__createdLocal) {
                    ScreenService.confirmMessage('Deseja realmente excluir?', 'question', function () {
                        Rec00001_TitulosAReceber_Service.deletaParcelamentoTitulos(widget.dataSource.data).then(function () {
                            ScreenService.goBack();
                            ScreenService.showMessage('Registro excluído com sucesso.');

                            widget.reload();
                            widgetTitulosAReceber.reload();

                        }, function (error) {
                            ScreenService.showMessage(error.data.error);
                        });
                    });
                } else General.backOrCancel(args);
            } else ScreenService.showMessage('Operação Bloqueada. Somente é permitido a exclusão da última parcela do título.');
        }else{
            if(widget.currentRow.NRPARCBOLREC == '01') {
                ScreenService.goBack();
                widget.reload();
            }else ScreenService.showMessage('Operação Bloqueada. Não é possível excluir a parcela original.');
        }
    };

    /** [Fim] Parcelamento - Título a Receber/Recebidos > Parcelamento */
    /** [Início] Documento[Grade] - Título a Receber/Recebidos > Documento */

    /**
     * Busca Parametrização Tipo de Conta
     * @param args
     * @param widget_name
     */
    self.changeTipoConta = function(args, widget_name) {
        var widgetDocumentos = templateManager.container.getWidget(widget_name);

        widgetDocumentos.currentRow.DSCONTAREC = widgetDocumentos.currentRow.DSTPCTRECEB;

        args.owner.field.widget.container.getWidget(widget_name).getField('DSCONTAREC').reload();
    };

    /** [Fim] Documento[Grade] - Título a Receber/Recebidos > Documento */
    /** [Início] Documento[Formulário] - Título a Receber/Recebidos[Botão Adicionar] */

    /**
     * Busca Parametrização Filial
     */
    self.changeFilial = function() {
        var widgetDocumentosForm = templateManager.container.getWidget('DocumentosForm');
    
        if(widgetDocumentosForm.getField('CDFILIEMIT').value()){
    
            // Tamanho NF
            var nrtamnumnfut = (widgetDocumentosForm.getField('NRTAMNUMNFUT').value() > 0) ? widgetDocumentosForm.getField('NRTAMNUMNFUT').value() : 7;
            widgetDocumentosForm.getField('NRNOTAFISC').mask.params.maxlength = nrtamnumnfut;
            widgetDocumentosForm.getField('NRNOTAFISC').maxlength = nrtamnumnfut;

            // Gera Novo Código NF
            var currentRow = {
                NRORG      : getLocalVar('NRORG'),
                CDCONTADOR : 'NRNOTAFISCREC',
                NRTAMNUMNFUT: nrtamnumnfut
            };
            Rec00001_TitulosAReceber_Service.geraNovoCodigo(currentRow).then(function (novocodigo) {
                var nrnotafisc = novocodigo.dataset.geraNovoCodigo.novocodigo.slice(-nrtamnumnfut);
                widgetDocumentosForm.getField('NRNOTAFISC').setValue(nrnotafisc);
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
    
            // Serie NF
            Rec00001_TitulosAReceber_Service.buscaPadraoSerieNF(getLocalVar('CDFILIAL'), widgetDocumentosForm.currentRow.CDFILIEMIT).then(function (response_serienf) {
                var serienf = response_serienf.dataset.notafiscal_serie[0];
    
                if(serienf != undefined){
                    widgetDocumentosForm.currentRow.CDSERIE = serienf.CDSERIE;
                    widgetDocumentosForm.currentRow.DSSERIE = serienf.DSSERIE;
                }else{
                    widgetDocumentosForm.currentRow.CDSERIE = null;
                    widgetDocumentosForm.currentRow.DSSERIE = null;
                }
    
                widgetDocumentosForm.redraw();
                widgetDocumentosForm.reload();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
    
            // Habilita Vendedor
            self.habilitaVendedorDocumento(widgetDocumentosForm);
        }else{
            widgetDocumentosForm.currentRow.CDSERIE = '';
            widgetDocumentosForm.currentRow.DSSERIE = '';
            widgetDocumentosForm.getField('NRNOTAFISC').setValue('');
        }
    };

    /**
     * Busca Parametrização Cliente
     * @param args
     */
    self.changeCliente = function(args) {
        var widgetDocumentosForm = args.owner.field.widget.container.getWidget('DocumentosForm');

        widgetDocumentosForm.getField('CDTPCTRECEB').setValue('');
        widgetDocumentosForm.getField('DSTPCTRECEB').setValue('');
        widgetDocumentosForm.getField('DSCONTAREC').setValue('');

        var cdcliente = widgetDocumentosForm.getField('CDCLIENTE').value();

        if(cdcliente){

            Rec00001_TitulosAReceber_Service.buscaCliente(cdcliente).then(function (paramcliente) {
                var cliente     = paramcliente.dataset.cliente[0];
                var cdtpctreceb = cliente.CDTPCTRECEB;

                if(cdtpctreceb){
                    self.buscaTipoctreceber(cdtpctreceb).then(function (paramtipoctreceber) {
                        var tipoctreceber = paramtipoctreceber.dataset.tipoctreceber[0];

                        widgetDocumentosForm.getField('CDTPCTRECEB').setValue((tipoctreceber)?tipoctreceber.CDTPCTRECEB:'');
                        widgetDocumentosForm.getField('DSTPCTRECEB').setValue((tipoctreceber)?tipoctreceber.DSTPCTRECEB:'');
                        widgetDocumentosForm.getField('CDCLASSFINA').setValue((tipoctreceber)?tipoctreceber.CDCLASSFINA:'');
                        widgetDocumentosForm.getField('DSCONTAREC' ).setValue((tipoctreceber)?tipoctreceber.DSTPCTRECEB:'');
                    }, function (error) {
                        ScreenService.showMessage(error.data.error);
                    });
                }

            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });

            self.habilitaLicensaUsoDocumento(widgetDocumentosForm);

        }
    };

    /**
     * Gera Títulos a Receber
     * @param args
     */
    self.geraTituloAReceber = function(widget){
        var widgetDocumentosForm      = templateManager.container.getWidget('DocumentosForm');
        var widgetTitulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
    	var widgetParcelamentoDocGrid = templateManager.container.getWidget('ParcelamentoDocGrid');
    	var widgetAnexoDocGrid        = templateManager.container.getWidget('AnexoDocGrid');
    
        if(widgetDocumentosForm.isValid()){
            if(widgetParcelamentoDocGrid.isValid()){
                var filter = [
                    {
                        "name": "CDCLIENTE",
                        "operator": "=",
                        "value": widgetDocumentosForm.currentRow.CDCLIENTE
                    },
                    {
                        "name": "CDSERIE",
                        "operator": "=",
                        "value": widgetDocumentosForm.currentRow.CDSERIE
                    },
                    {
                        "name": "NRNOTAFISC",
                        "operator": "=",
                        "value": widgetDocumentosForm.currentRow.NRNOTAFISC
                    },
                    {
                        "name": "IDSISTEMA",
                        "operator": "=",
                        "value": 'REC'
                    }
                ];
    
                General.callRestEngine('fin#/crud/notafiscal', 'FilterData', filter).then(function (notafiscal) {
                    var nota = notafiscal.dataset.notafiscal;
                    
                    if(nota.length > 0){
                        ScreenService.showMessage('Operação bloqueada. Documento já lançado.');
                        return;
                    }

                    if((moment(widgetDocumentosForm.currentRow.DTEMISSAO, 'DD/MM/YYYY')) > (moment(widgetDocumentosForm.currentRow.DTENTRSAID, 'DD/MM/YYYY'))){
                        ScreenService.showMessage('Operação bloqueada. Data de emissão deve ser menor ou igual a data de entrada.');
                        return;
                    }
            
                    if((moment(widgetDocumentosForm.currentRow.DTEMISSAO, 'DD/MM/YYYY')) > (moment(widgetParcelamentoDocGrid.dataSource.data[0].DTVENBOLREC, 'DD/MM/YYYY'))){
                        ScreenService.showMessage('Operação bloqueada. Data de emissão deve ser menor ou igual a data de vencimento.');
                        return;
                    }
                    
                    var vrtotparc = 0;
                    
                    widgetParcelamentoDocGrid.dataSource.data.forEach(function(data){
                        vrtotparc += self.formataValor(data.VRFINALBREC);
                    });
            
            		self.validaDataVencimento(widgetParcelamentoDocGrid).then(function () {
                    
                        widgetDocumentosForm.currentRow.DTVENBOLREC = widgetParcelamentoDocGrid.dataSource.data[0];
                        
                        if(self.formataValor(widgetDocumentosForm.currentRow.VRNOTAFISC) != self.formataValor(vrtotparc)){
                            ScreenService.showMessage('Operação bloqueada. Valor do documento difere do somatório das parcelas.');
                            return;
                        }
            
                        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulosAReceberGrid.appliedFilter.FILTER_ROW.CDEMPRESA).then(function (response) {
                            var contopectbl  = response.dataset.contopectbl[0];
                            
                            if(!contopectbl){
                                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                                return;
                            }
            
                            var dtinicctbl  = contopectbl.DTINICCTBL;
                            var dtfinacctbl = contopectbl.DTFINACCTBL;
            
                            if(dtinicctbl && dtfinacctbl) {
                                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetDocumentosForm.currentRow.DTENTRSAID, 'DD/MM/YYYY')) ||
                                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetDocumentosForm.currentRow.DTENTRSAID, 'DD/MM/YYYY'))) {
                                    ScreenService.showMessage('Operação Bloqueada. Data do entrada fora do período financeiro.');
                                    return;
                                }
                            
                                var dataParc = widgetParcelamentoDocGrid.dataSource.data;
                                
                                dataParc.forEach(function (data){
                                    if(data.__leftActions != undefined)
                                        delete data.__leftActions;
                                    if(data.__rightActions != undefined)
                                        delete data.__rightActions;
                                });
                                
                                var dataset = [
                                    widgetDocumentosForm.currentRow,
                                    dataParc,
                                    widgetAnexoDocGrid.dataSource.data
                                ];
                
                                Rec00001_TitulosAReceber_Service.geraTituloAReceberDoc(dataset).then(function (nrlanbolrec) {
                                    nrlanbolrec = nrlanbolrec.dataset.geraTituloAReceberDoc.nrlanbolrec;
                                    ScreenService.showMessage('Registro salvo com sucesso.', 'checked');
                                    ScreenService.closeSwipe();
                
                                    widgetDocumentosForm.isVisible = false;
                                    
                                    self.forceActivate();
                                    widgetTitulosAReceberGrid.reload().then(function(){
                                        var data = widgetTitulosAReceberGrid.dataSource.data.filter(function(data){
                                        	return ((data.CDFILIAL+data.NRLANBOLREC) == nrlanbolrec);
                                        });
                
                                        widgetTitulosAReceberGrid.currentRow = data[0]?data[0]:{};
                                    });
                                    self.forceActivate();
                                }, function (error) {
                                    if (contabilizacaoController.checkErrosContabilizacao(error))
                                        ScreenService.showMessage(error.data.error);
                                });
                            }
                        }, function (error) {
                            ScreenService.showMessage(error.data.error);
                        });
                    }).catch(function(erro){
                        if (erro){
                            ScreenService.showMessage(erro);
                        }
                    });
                }).catch(function(erro){
                    ScreenService.showMessage(erro.data.error);
                });
            }else ScreenService.showMessage('Operação bloqueada. Preencha o(s) campo(s) de vencimento(s).');
        }
    };

    /**
     * Associar Títulos a Receber
     * @param widget
     */
    self.associarTitulo = function(widget){
        var checkedrows = widget.getCheckedRows();
        var valortotal = 0;

        if(checkedrows.length > 1) {
            for(var i in checkedrows) {
                if((checkedrows[i].IDSTATBREC == 'B') || (checkedrows[i].IDSTATBREC == 'P')){
                    ScreenService.showMessage('Operação bloqueada. Título(s) baixado(s) não pode(m) ser alterado(s).');
                    return;
                }
                if (checkedrows[i].IDSITUCNABR != '00') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) enviado(s), via CNAB, não pode(m) ser alterado(s).');
                    return;
                }
                if (checkedrows[i].IDSITUCNABR == 'E') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) emitido(s) não pode(m) ser associados(s).');
                    return;
                }
                if (checkedrows[i].IDSTATUS == 'V') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) previsto(s) não pode(m) ser alterado(s).');
                    return;
                }

                valortotal += parseFloat(checkedrows[i].VRFINALBREC);
            }

            Rec00001_TitulosAReceber_Service.validaAssociarTituloAReceber(checkedrows).then(function () {
                var widgetAssociar = templateManager.container.getWidget('AssociarForm');
                widgetAssociar.isVisible = true;
                ScreenService.openPopup(widgetAssociar);
                widgetAssociar.getField('VRFINALBREC').setValue(valortotal.toFixed(2));
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        }else ScreenService.showMessage('Operação bloqueada. Marque no mínimo dois títulos para associação.');
    };

    /**
     * Confirmar Associacao Títulos a Receber/Recebidos
     * @param args
     */
    self.confirmarAssociacaoTitulo = function(args){
        var widget = args.owner.widget;
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        var params = {nrorg: getLocalVar('NRORG'), cdfilial: getLocalVar('CDFILIAL'), dtvenbolrec: widget.currentRow.DTVENBOLREC, cdreducont: widget.currentRow.CDREDUCONT, cdtpbaixarec: widget.currentRow.CDTPBAIXAREC};
        var checkedrows = [params, widgetTitulos.getCheckedRows()];

        if(widget.isValid()) {
            Rec00001_TitulosAReceber_Service.confirmarAssociacaoTitulo(checkedrows).then(function () {
                ScreenService.showMessage('Títulos associados com sucesso.');
                widgetTitulos.unSelectAll();
                self.unsetStripeDataFooter();

                widget.currentRow.DTVENBOLREC  = '';
                widget.currentRow.DSCONTCORR   = '';
                widget.currentRow.NMTPBAIXAREC = '';

                ScreenService.closePopup(widget);
                ScreenService.closePopup();
                widget.isVisible = false;

                widgetTitulos.reload();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        }
    };

    /**
     * Cancela Associação Títulos a Receber/Recebidos
     * @param widget
     */
    self.cancelaAssociacaoTitulo = function(widget){
        var params = {nrorg: getLocalVar('NRORG')};
        var checkedrows = widget.getCheckedRows();
        if(checkedrows.length > 0) {
            for(var i in checkedrows) {
                if (checkedrows[i].IDSTATBREC == 'B') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) baixado(s) não pode(m) ser alterado(s).');
                    return;
                }
                if (checkedrows[i].IDSITUCNABR != '00') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) enviado(s), via CNAB, não pode(m) ser alterado(s).');
                    return;
                }
                if (checkedrows[i].IDSITUCNABR == 'E') {
                    ScreenService.showMessage('Operação bloqueada. Título(s) emitido(s) não pode(m) ser associados(s).');
                    return;
                }
            }

            ScreenService.confirmMessage('Deseja realmente desassociar o(s) título(s)?', 'question', function () {
                
                checkedrows = [params, widget.getCheckedRows()];
                Rec00001_TitulosAReceber_Service.cancelaAssociarTituloAReceber(checkedrows).then(function() {
                    ScreenService.showMessage('Título(s) desassociado(s) com sucesso.');
                    widget.unSelectAll();
                    self.unsetStripeDataFooter();
                    
                    ScreenService.closePopup();
                    widget.reload();
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });
            });
        }else ScreenService.showMessage('Marque o(s) Título(s) a Receber para Desassociação.');
    };

    /**
     * Prorrogar Títulos a Receber/Recebidos
     * @param widget
     */
    self.prorrogarTitulo = function(widgetTitulosAReceber){
        var widgetProrrogar = templateManager.container.getWidget('ProrrogarForm');
        var checkedrows     = widgetTitulosAReceber.getCheckedRows();

        Rec00001_TitulosAReceber_Service.validaProrrogarTituloAReceber(checkedrows).then(function (callback) {
            var cnab = callback.dataset.validaProrrogar.cnab;
                
            if(!cnab) {
                widgetProrrogar.isVisible = true;
                ScreenService.openPopup(widgetProrrogar);
                widgetProrrogar.getField('IDTPPROR').setValue('F');
                self.alteraTipoProrrogacao();
            }else{
                ScreenService.confirmMessage('Existem títulos marcados enviados via CNAB. Ao confirmar a operação os mesmos serão excluídos da remessa. Deseja realmente continuar?', 'question', function() {
                    widgetProrrogar.isVisible = true;
                    ScreenService.openPopup(widgetProrrogar);
                    widgetProrrogar.getField('IDTPPROR').setValue('F');
                    self.alteraTipoProrrogacao();
                });
            }
            
            templateManager.updateTemplate();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Confirmar Prorrogacao Títulos a Receber/Recebidos
     */
    self.confirmarProrrogacaoTitulo = function(){
        var widgetProrrogar = templateManager.container.getWidget('ProrrogarForm');
        var widgetTitulos   = templateManager.container.getWidget('TitulosAReceberGrid');
        
        if(widgetProrrogar.isValid()) {
            var checkedrows = [widgetProrrogar.currentRow, widgetTitulos.getCheckedRows()];
        
            Rec00001_TitulosAReceber_Service.confirmarProrrogacaoTitulo(checkedrows).then(function () {
                ScreenService.showMessage('Título(s) prorrogado(s) com sucesso.');

                widgetProrrogar.currentRow.DTVENBOLREC  = '';
                widgetProrrogar.currentRow.DSMOTIPROR   = '';
                widgetProrrogar.isVisible = false;

                ScreenService.closePopup(widgetProrrogar);
                ScreenService.closePopup();
                
                widgetTitulos.reload();
                widgetTitulos.dataSource.unSelectAll();
                
                self.unsetStripeDataFooter();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        }
    };

    /**
     * Emitir Títulos a Receber/Recebidos
     * @param args
     * @param widget
     */
    self.emitirTitulo = function(args, widget){
        var params = {nrorg: getLocalVar('NRORG')};
        var checkedrows = widget.getCheckedRows();

        if(checkedrows.length > 0) {
            ScreenService.confirmMessage('Deseja realmente emitir o(s) título(s)?', 'question', function () {

                for(var z in checkedrows) {
                    if (!checkedrows[z].CDREDUCONT) {
                        ScreenService.showMessage('Operação bloqueada. Título(s) está(ão) sem conta cobrança.');
                        return;
                    }
                }

                checkedrows = [params, widget.getCheckedRows()];

                var emitido = false;

                for (var i = 0; i < checkedrows[1].length; i++) {
                    if(checkedrows[1][i].IDSTATBREC == 'E') {
                        emitido = true;
                        i = checkedrows.length;
                    }
                }

                if(emitido){
                    ScreenService.confirmMessage('Existe(m) título(s) emitido(s). Deseja reemití-lo(s)?', 'question', function () {
                        self.confirmaEmissaoTitulo(widget, checkedrows);
                    });
                }else {
                    self.confirmaEmissaoTitulo(widget, checkedrows);
                }
            });
        }else ScreenService.showMessage('Marque o(s) Título(s) a Receber para emissão.');
    };

    /**
     * Confirma Emissão Título
     * @param widget
     * @param checkedrows
     */
    self.confirmaEmissaoTitulo = function(widget, checkedrows){
        Rec00001_TitulosAReceber_Service.emitirTituloAReceber(checkedrows).then(function (relatorios) {
            relatorios = relatorios.dataset.EmitirTituloAReceber.relatorios;
            for (var i = 0; i < relatorios.length; i++) {
                var relatorio = relatorios[i];
                var report = relatorio.RELATORIO;
                var routes = 'fin_contaReceber#/' + report;
                var row = {
                    CDFILIAL: relatorio.CDFILIAL,
                    NRLANBOLREC: relatorio.NRLANBOLREC,
                    NRORG: relatorio.NRORG
                };
                General.openReport(routes, report, row);
                ScreenService.closePopup();
                ScreenService.showMessage('Título(s) emitido(s) com sucesso.');
                widget.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
                widget.reload();
            }
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Cancela Emissão Títulos a Receber/Recebidos
     * @param widget
     */
    self.cancelaEmissaoTitulo = function(widget){
        var checkedrows = widget.getCheckedRows();
        if (checkedrows.length > 0) {

            ScreenService.confirmMessage('Deseja realmente cancelar a(s) emissão(ões) do(s) título(s)?', 'question', function () {
                // Verifica situação CNAB
                if(self.verificaSituacaoCnab(widget.getCheckedRows())) {
                    ScreenService.confirmMessage('Existe(m) título(s) marcado(s) enviado(s) via CNAB. Ao confirmar a operação o(s) mesmo(s) será(ão) excluído(s) da(s) remessa(s). Confirma o cancelamento?', 'question', function () {

                        ScreenService.confirmMessage('Deseja manter o(s) nosso(s) números(s) do(s) título(s)?', 'question', function () {
                            var params  = {nrorg: getLocalVar('NRORG'), mantemnossonum: true};
                            checkedrows = [params, widget.getCheckedRows()];

                            // Cancela Emissão Título
                            Rec00001_TitulosAReceber_Service.cancelaEmissaoTituloAReceber(checkedrows).then(function () {
                                ScreenService.showMessage('Título(s) emitido(s) cancelado(s) com sucesso.');
                                widget.dataSource.unSelectAll();
                                self.unsetStripeDataFooter();
                                widget.reload();
                            }, function (error) {
                                ScreenService.showMessage(error.data.error);
                            });

                        }, function (){
                            var params  = {nrorg: getLocalVar('NRORG'), mantemnossonum: false};
                            checkedrows = [params, widget.getCheckedRows()];

                            // Cancela Emissão Título
                            Rec00001_TitulosAReceber_Service.cancelaEmissaoTituloAReceber(checkedrows).then(function () {
                                ScreenService.showMessage('Título(s) emitido(s) cancelado(s) com sucesso.');
                                widget.dataSource.unSelectAll();
                                self.unsetStripeDataFooter();
                                widget.reload();
                            }, function (error) {
                                ScreenService.showMessage(error.data.error);
                            });
                        });

                    });
                }else{
                    ScreenService.confirmMessage('Deseja manter o(s) nosso(s) números(s) do(s) título(s)?', 'question', function () {
                        var params  = {nrorg: getLocalVar('NRORG'), mantemnossonum: true};
                        checkedrows = [params, widget.getCheckedRows()];

                        // Cancela Emissão Título
                        Rec00001_TitulosAReceber_Service.cancelaEmissaoTituloAReceber(checkedrows).then(function () {
                            ScreenService.showMessage('Título(s) emitido(s) cancelado(s) com sucesso.');
                            widget.dataSource.unSelectAll();
                            self.unsetStripeDataFooter();
                            widget.reload();
                        }, function (error) {
                            ScreenService.showMessage(error.data.error);
                        });

                    }, function (){
                        var params  = {nrorg: getLocalVar('NRORG'), mantemnossonum: false};
                        checkedrows = [params, widget.getCheckedRows()];

                        // Cancela Emissão Título
                        Rec00001_TitulosAReceber_Service.cancelaEmissaoTituloAReceber(checkedrows).then(function () {
                            ScreenService.showMessage('Título(s) emitido(s) cancelado(s) com sucesso.');
                            widget.dataSource.unSelectAll();
                            self.unsetStripeDataFooter();
                            widget.reload();
                        }, function (error) {
                            ScreenService.showMessage(error.data.error);
                        });
                    });
                }
                ScreenService.closePopup();
            });

        } else ScreenService.showMessage('Marque o(s) Título(s) a Receber para Cancelar Emissão.');
    };

    /**
     * Busca Dados CNAB Títulos a Receber/Recebidos
     * @param row
     */
    self.buscaDadosCnab = function(widgetName){
        var widget = templateManager.container.getWidget(widgetName);
        
        if(widget.currentRow.CDREDUCONT){
            if(widget.currentRow.CDINS1COBBOL)
                Rec00001_TitulosAReceber_Service.buscaInstCobranca(widget.currentRow.CDBANCO, widget.currentRow.CDINS1COBBOL).then(function(instrucaocobranca) {
                    var instcobranca = instrucaocobranca.dataset.instcobranca[0];
                    if(instcobranca != undefined)
                        //widget.getField('NMINST1COBR').setValue(instcobranca.NMINSTCOBR);
                        widget.currentRow.NMINST1COBR = instcobranca.NMINSTCOBR;
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });
            else{
                //widget.getField('NMINST1COBR').setValue();
                widget.currentRow.NMINST1COBR = null;
            }
            
            if(widget.currentRow.CDINS2COBBOL)
                Rec00001_TitulosAReceber_Service.buscaInstCobranca(widget.currentRow.CDBANCO, widget.currentRow.CDINS2COBBOL).then(function(instrucaocobranca) {
                    var instcobranca = instrucaocobranca.dataset.instcobranca[0];
                    if(instcobranca != undefined)
                        //widget.getField('NMINST2COBR').setValue(instcobranca.NMINSTCOBR);
                        widget.currentRow.NMINST2COBR = instcobranca.NMINSTCOBR;
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });
            else{
                //widget.getField('NMINST2COBR').setValue();
                widget.currentRow.NMINST2COBR = null;
            }
        }else{
            //widget.getField('DSCONTCORR').setValue(null);
            //widget.getField('IDFORMCADBREC').setValue('1');
            //widget.getField('NMINST1COBR').setValue(null);
            //widget.getField('NMINST2COBR').setValue(null);
            
            widget.currentRow.DSCONTCORR     = null;
            widget.currentRow.IDFORMCADBREC  = '1';
            widget.currentRow.NMINST1COBR    = null;
            widget.currentRow.NMINST2COBR    = null;
            
        }
    };

    /**
     * Verifica Situação CNAB Títulos a Receber/Recebidos
     * @param checkedrows
     */
    self.verificaSituacaoCnab = function(checkedrows){
        Rec00001_TitulosAReceber_Service.verificaCnabTituloAReceber(checkedrows).then(function (datasource) {
            return datasource.dataset.verificaCnabTituloAReceber.exibiconf[0];
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Busca Padrão Baixa Título
     * @param widgetBaix
     * @param widgetTitulosBaixa
     * @param titulosEmAberto
     * @returns {{start: *, end: *}}
     */
    self.buscaPadraoBaixaTitulo = function (widgetBaixa, widgetTitulosBaixa, titulosEmAberto){
        var deferred = ZHPromise.defer();

        var emissaomax = null;
        var emissaoatu = null;
        var vrbaixarec  = 0;
        
        for(var i in titulosEmAberto){
            emissaoatu = moment(titulosEmAberto[i].DTEMISSAO, "DD/MM/YYYY HH:mm:ss");
            emissaomax = emissaomax ? emissaoatu > emissaomax ? emissaoatu : emissaomax : emissaoatu;
            vrbaixarec += parseFloat(titulosEmAberto[i].VRFINALBREC);
        }

        widgetBaixa.getField('CDEMPRESA').setValue(templateManager.container.getWidget('TitulosAReceberGrid').appliedFilter.FILTER_ROW.CDEMPRESA||null);
        widgetBaixa.getField('CDOPERADOR').setValue(getLocalVar('CDOPERADOR'));
        widgetBaixa.getField('DTLANCBAIXAR').setValue(moment().format('DD/MM/YYYY'));
        widgetBaixa.getField('DTBAIXAREC').setValue(moment().format('DD/MM/YYYY'));
        widgetBaixa.getField('IDUNICABAIXA').setValue('S');
        widgetBaixa.getField('IDSTATUSBREC').setValue('E');
        widgetBaixa.getField('DSCONTCORR').setValue('');
        widgetBaixa.getField('CDBANCO').setValue('');
        widgetBaixa.getField('CDAGENCIA').setValue('');
        widgetBaixa.getField('CDCONTCORR').setValue('');
        widgetBaixa.getField('NMTPBAIXAREC').setValue('');
        widgetBaixa.getField('DSBAIXAREC').setValue('');
        widgetBaixa.getField('VRBAIXAREC').setValue(vrbaixarec.toFixed(2));
        widgetBaixa.getField('DTEMISSAO').setValue(emissaomax.format('DD/MM/YYYY'));
        
        localStorageEngine.setDataSource("fin#/baixa_titulos", titulosEmAberto).then(function () {
            deferred.resolve();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
            deferred.reject();
        });
        
        return deferred.promise;
    };

    /**
     * Busca Padrao Baixa Titulo Descontado
     * @param widgetBaixaDescontado
     */
    self.buscaPadraoBaixaTituloDescontado = function (widgetBaixaDescontado){
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid').getCheckedRows();
        var vrbaixarec  = 0;

        for(var i in widgetTitulos)
            vrbaixarec += parseFloat(widgetTitulos[i].VRFINALBREC);

        widgetBaixaDescontado.getField('CDEMPRESA').setValue(templateManager.container.getWidget('TitulosAReceberGrid').appliedFilter.FILTER_ROW.CDEMPRESA||null);
        widgetBaixaDescontado.getField('CDOPERADOR').setValue(getLocalVar('CDOPERADOR'));
        widgetBaixaDescontado.getField('DTLANCBAIXAR').setValue(moment().format('DD/MM/YYYY'));
        widgetBaixaDescontado.getField('DTBAIXAREC').setValue(moment().format('DD/MM/YYYY'));
        widgetBaixaDescontado.getField('IDSTATUSBREC').setValue('E');
        widgetBaixaDescontado.getField('CDREDUCONT').setValue(widgetTitulos[0].CDREDUCONT);
        widgetBaixaDescontado.getField('CDBANCO').setValue(widgetTitulos[0].CDBANCO);
        widgetBaixaDescontado.getField('CDAGENCIA').setValue(widgetTitulos[0].CDAGENCIA);
        widgetBaixaDescontado.getField('DSCONTCORR').setValue(widgetTitulos[0].DSCONTCORR);
        widgetBaixaDescontado.getField('NMTPBAIXAREC').setValue('');
        widgetBaixaDescontado.getField('VRBAIXAREC').setValue(vrbaixarec.toFixed(2));
    };

    /**
     * Confirmar Baixa Titulo a Receber
     * @param args
     */
    self.confirmaBaixaTitulo = function(args){
        var widget = templateManager.container.getWidget('NewBaixaTabbed');
        
        if(widget.isValid()) {
            var dtemissao = moment(widget.currentRow.DTEMISSAO, "DD/MM/YYYY HH:mm:ss");
            var dtbaixarec = moment(widget.currentRow.DTBAIXAREC, "DD/MM/YYYY HH:mm:ss");
            
            if(dtbaixarec < dtemissao){
                ScreenService.showMessage('Operação bloqueada. Data da baixa inferior a data de emissão do(s) título(s).');
                return;
            }
            
            self.geraAjusteMultaMoraBaixa().then(function(dataLocal){
                        
                var widgetTitulos    = templateManager.container.getWidget('TitulosAReceberGrid');
                var widgetNewTitulos = templateManager.container.getWidget('NewTitulosBaixaGrid');
                var checkedrows      = widgetNewTitulos.dataSource.data;
                var cdempresa        = widgetTitulos.appliedFilter.FILTER_ROW.CDEMPRESA;
                
                self.buscaEmpresa(cdempresa).then(function (response_empresa){
                    var empresa = response_empresa.dataset.empresa[0];

                    var currentRow = {
                        nrorg           : getLocalVar('NRORG')   ,
                        cdfilial        : getLocalVar('CDFILIAL'),
                        baixaboleto     : widget.currentRow      ,
                        boletosmarcados : checkedrows            ,
                        ajustesboletos  : dataLocal
                    };
        
                    if(empresa.IDCTBBAIXAEMPR == 'S' && widget.currentRow.IDCTBLBXREC == 'S') {
                        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulos.appliedFilter.FILTER_ROW.CDEMPRESA).then(function (response) {
                            var contopectbl  = response.dataset.contopectbl[0];
                    
                            if(!contopectbl){
                                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                                return;
                            }
        
                            var dtinicctbl  = contopectbl.DTINICCTBL;
                            var dtfinacctbl = contopectbl.DTFINACCTBL;
        
                            if(dtinicctbl && dtfinacctbl) {
                                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widget.currentRow.DTBAIXAREC, 'DD/MM/YYYY')) ||
                                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widget.currentRow.DTBAIXAREC, 'DD/MM/YYYY'))) {
                                    ScreenService.showMessage('Operação bloqueada. Data da baixa fora do período contábil financeiro.');
                                    return;
                                }
                            }
        
                            self.confirmaBaixaTituloSave(currentRow, widget, widgetTitulos);
                        }, function (error) {
                            if (contabilizacaoController.checkErrosContabilizacao(error)) {
                                ScreenService.showMessage(error.data.error);
                            }
                        });
                    }else self.confirmaBaixaTituloSave(currentRow, widget, widgetTitulos);
                });
            }
        );
        }
    };

    /**
     * Confirma Baixa Titulo a Receber Salvamento
     * @param currentRow
     * @param widget
     * @param widgetTitulos
     */
    self.confirmaBaixaTituloSave = function(currentRow, widget, widgetTitulos){
        
        localStorage.setItem('baixaRecRow',JSON.stringify(currentRow));
        localStorage.setItem('TIPOBAIXA','REC');

        Rec00001_TitulosAReceber_Service.baixaTituloReceber(currentRow).then(function () {
            ScreenService.showMessage('Título(s) baixado(s) com sucesso.');

            widget.currentRow.DTBAIXAREC   = '';
            widget.currentRow.IDSTATUSBREC = '';
            widget.currentRow.NMSTATUSBREC = '';
            widget.currentRow.CDREDUCONT   = '';
            widget.currentRow.DSCONTCORR   = '';
            widget.currentRow.CDTPBAIXAREC = '';
            widget.currentRow.NMTPBAIXAREC = '';
            widget.currentRow.VRBAIXAREC   = '';
            widget.currentRow.DSBAIXAREC   = '';

            ScreenService.closeSwipe(widget);
            ScreenService.closeSwipe();
            widget.isVisible = false;
            widgetTitulos.reload();
            
            widgetTitulos.dataSource.unSelectAll();
            self.unsetStripeDataFooter();
        }, function (error) {
            if (contabilizacaoController.checkErrosContabilizacao(error)) {
                ScreenService.showMessage(error.data.error);
            }
        });
    };

    /**
     * Exclusão Baixa Titulo a Receber
     */
    self.exclusaoBaixaTitulo = function(){
        ScreenService.showCustomDialog('Excluir...', 'question', 'question', [{
            label: 'Baixa',
            code: self.confirmaExclusaoBaixaTitulo
        }, {
            label: 'Título',
            code: self.confirmaExclusaoBoletoBaixaTitulo
        }, {
            label: 'Cancelar',
            code: ''
        }]);
    };

    /**
     * Confirmar Exclusão Baixa Recebida
     */
    self.confirmaExclusaoBaixaTitulo = function(){
        ScreenService.confirmMessage('Deseja realmente excluir a(s) baixa(s)?', 'question', function() {
            var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
            
            var titulosBaixados = widgetTitulos.getCheckedRows().filter(function(titulo){
                return ((titulo.IDSTATBREC == 'B') || (titulo.IDSTATBREC == 'P'));
            });

            var currentRow = {
                nrorg           : getLocalVar('NRORG'),
                cdfilial        : getLocalVar('CDFILIAL'),
                boletosmarcados : titulosBaixados
            };

            Rec00001_TitulosAReceber_Service.excluiBaixaTituloReceber(currentRow).then(function () {
                ScreenService.showMessage('Baixa(s) excluída(s) com sucesso.');
                ScreenService.closePopup();

                self.reloadTitulosAReceber();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        });
    };

    /**
     * Recarrega Titulos a Receber
     */
    self.reloadTitulosAReceber = function(){
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        widgetTitulos.reload();
        widgetTitulos.dataSource.unSelectAll();
        self.unsetStripeDataFooter();
    };

    /**
     * Confirmar Exclusão Boleto Baixa Titulo a Receber
     */
    self.confirmaExclusaoBoletoBaixaTitulo = function(){
        ScreenService.confirmMessage('Deseja realmente excluir o(s) título(s) da(s) baixa(s)?', 'question', function() {
            var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');

            var currentRow = {
                nrorg: getLocalVar('NRORG'),
                cdfilial: getLocalVar('CDFILIAL'),
                boletosmarcados: widgetTitulos.getCheckedRows()
            };

            Rec00001_TitulosAReceber_Service.excluiBoletoBaixaTituloReceber(currentRow).then(function () {
                ScreenService.showMessage('Título(s) excluído(s) da(s) baixa(s) com sucesso.');

                ScreenService.closePopup();

                widgetTitulos.reload();
                widgetTitulos.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
            }, function (error) {
                if (contabilizacaoController.checkErrosContabilizacao(error)) {
                    ScreenService.showMessage(error.data.error);
                }
            });
        });
    };

    /** [Fim] Documento[Formulário] - Título a Receber/Recebidos[Botão Adicionar] */
    
    /** [Inicio]Anexo Grid/Form */
    
    self.importAnexoFile = function(args){
        //var anexoWidget = templateManager.container.getWidget('AnexoDocGrid');
        var importWidget = templateManager.container.getWidget('AnexoDocGridImportFile');
        importWidget.newRow();
        return ScreenService.openPopup(importWidget);
    };
    
    self.saveAnexoDocGrid = function(widget){
        widget.currentRow.NRORG = getLocalVar('NRORG');
        widget.currentRow.DTANEXOLANCBOL = moment().format('DD/MM/YYYY');
        
        Rec00001_TitulosAReceber_Service.saveAnexoDocGrid(widget.currentRow).then(function (sucess){
            ScreenService.closePopup();
            widget.getParent().reload();
        }, function(error){
            ScreenService.showMessage(error.dataset.error);
        });
    };
    
    self.deleteAnexoDocGrid = function(widget){
        Rec00001_TitulosAReceber_Service.deleteAnexoDocGrid(widget.getCheckedRows()).then(function (sucess){
            widget.reload();
        }, function(error){
            ScreenService.showMessage(error.dataset.error);
        });
    };
    
    self.verificaAnexos = function(widget){
        General.callRestEngine('fin_contaReceber#/deleteAnexoIncompletosRec', 'FilterData', []).then(function () {
            templateManager.container.getWidget('AnexoDocGrid').reload();
        }, function(error){
            ScreenService.showMessage(error.dataset.error);
        });
    };
    
    self.adicionaAnexoGrid = function(widget){
        var widgetTitulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
        widget.newRow();
        widget.currentRow.NRLANBOLREC = widgetTitulosAReceberGrid.currentRow.NRLANBOLREC;
        widget.currentRow.CDFILIAL = widgetTitulosAReceberGrid.currentRow.CDFILIAL;
        widget.currentRow.CDTELA = 'REC00001';
        widget.currentRow.DTANEXOLANCBOL = moment().format('DD/MM/YYYY');
    };
    
    self.saveAnexoGrid = function(widget){
        widget.currentRow.NRORG = getLocalVar('NRORG');
        
        var row = Util.clone(widget.currentRow, ignoredKeys);
        
        Rec00001_TitulosAReceber_Service.salvaAnexoGrid(row).then(function (sucess){
            ScreenService.goBack();
            widget.reload();
        }, function(error){
            ScreenService.showMessage(error.dataset.error);
        });
    };
    
    self.deleteAnexoGrid = function(widget){
        ScreenService.confirmMessage('Deseja realmente excluir o(s) anexo(s)?', 'question', function() {
        
            var dataSet = [];
            
            if(widget.hasCheckedRows()){
                dataSet = widget.getCheckedRows();
                
                dataSet.forEach(function(data){
                	delete data.__rightActions;
                });
                
                Rec00001_TitulosAReceber_Service.deleteAnexoGrid(dataSet).then(
                    function (sucess){
                        widget.reload();
                    }, function(error){
                        ScreenService.showMessage(error.dataset.error);
                    }
                );
            } else{
                if (widget.currentRow.NRANEXOLANCBOL){
                    dataSet = [Util.clone(widget.currentRow, ignoredKeys)];
                    Rec00001_TitulosAReceber_Service.deleteAnexoGrid(dataSet).then(
                        function (sucess){
                            ScreenService.goBack();
                            ScreenService.showMessage('Registro excluído com sucesso.');
                            widget.reload();
                        }, function(error){
                            ScreenService.showMessage(error.dataset.error);
                        }
                    );
                }
            }
        });
    };
    
    self.downloadAnexoGrid = function(widget){
        var downloadRoute;
        var fileName;
        var serviceUrl;
        Rec00001_TitulosAReceber_Service.getFileServerUrl().then(
        function(sucess) {
            serviceUrl = sucess.dataset.sucess.fileName;
            if(widget.hasCheckedRows()){
                var rows = widget.getCheckedRows();
                rows.forEach(function(row){
                    downloadRoute = window.serviceUrls.filter(function(x){return x.package == 'fin';})[0].baseUrl + "/downloadArquivoAnexo?requestType=Row&row[DSARQUIVO]=";
                    fileName = row.NMPATHANEXO;
                    downloadRoute = window.serviceUrls.filter(function(x){return x.package == 'fin';})[0].baseUrl + "/downloadArquivoAnexoFileServer?requestType=Row&row[NMARQUIVO]=";
                    var rowDownload = {
                        'NMANEXOLANCBOL':row.NMANEXOLANCBOL, 
                        'PATH': serviceUrl+fileName
                    };
                    window.open(downloadRoute+rowDownload.NMANEXOLANCBOL+'&row[PATH]='+rowDownload.PATH);
                });
            } 
            else {
                var row = widget.currentRow;
                downloadRoute = window.serviceUrls.filter(function(x){return x.package == 'fin';})[0].baseUrl + "/downloadArquivoAnexo?requestType=Row&row[DSARQUIVO]=";
                fileName = row.NMPATHANEXO;
                downloadRoute = window.serviceUrls.filter(function(x){return x.package == 'fin';})[0].baseUrl + "/downloadArquivoAnexoFileServer?requestType=Row&row[NMARQUIVO]=";
                var rowDownload = {
                    'NMANEXOLANCBOL':row.NMANEXOLANCBOL, 
                    'PATH': serviceUrl+fileName
                };
                window.open(downloadRoute+rowDownload.NMANEXOLANCBOL+'&row[PATH]='+rowDownload.PATH);
            }
        });
    };
    
    /** [Fim]Anexo Grid */
    
    /** [Início] Rotina Ajuste[Conta] - Título a Receber/Recebidos > Documentos > Contas > Ajuste */

    /**
     * Deleta Ajuste Conta
     * @param args
     */
    self.deletaAjusteConta = function(args){
        var widgetAjusteConta    = args.owner.widget;
        var widgetContaReceber   = templateManager.container.getWidget('ContaDocumentosGrid');
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');


        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetContaReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulosReceber.currentRow.CDEMPRESA).then(function (response) {
            var contopectbl  = response.dataset.contopectbl[0];
                    
            if(!contopectbl){
                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                return;
            }

            var dtinicctbl  = contopectbl.DTINICCTBL;
            var dtfinacctbl = contopectbl.DTFINACCTBL;

            if(dtinicctbl && dtfinacctbl) {
                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetAjusteConta.currentRow.DTAJUSTEREC, 'DD/MM/YYYY')) ||
                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetAjusteConta.currentRow.DTAJUSTEREC, 'DD/MM/YYYY'))) {
                    ScreenService.showMessage('Operação Bloqueada. Data do ajuste fora do período contábil financeiro.');
                    return;
                }
            }

            var currentRowAjusteConta    = widgetAjusteConta.currentRow;
            var currentRowTitulosReceber = widgetTitulosReceber.currentRow;
            var currentRowContaReceber   = widgetContaReceber.currentRow;

            var currentRow = Object.assign(currentRowAjusteConta, currentRowTitulosReceber, currentRowContaReceber);

            ScreenService.confirmMessage('Deseja realmente excluir o Ajuste?', 'question', function() {

                Rec00001_TitulosAReceber_Service.deletaAjusteConta(currentRow).then(function () {
                    ScreenService.showMessage('Registro salvo com sucesso.');
                    ScreenService.goBack();
                    widgetAjusteConta.reload();
                    widgetTitulosReceber.reload();
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });

            });
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });

    };

    /** [Fim] Rotina Ajuste[Conta] - Título a Receber/Recebidos > Documentos > Contas > Ajuste */
    /** [Início] Rotina Rateio - Títulos a Receber/Recebidos > Documentos > Contas > Rateio */

    /**
     * Valor Total Rateio Conta a Receber
     * @param args
     */
    var valorTotalRateioConta = function(args){
        var vrTotal = 0;
        for(var i in args.dataSource)
            vrTotal += parseFloat(args.dataSource[i].VRRATCCCTREC);
        return vrTotal;
    };

    /**
     * Novo Rateio Conta a Receber
     * @param args
     */
    self.novoRateioConta = function(args){
        var widgetRateioConta    = args.owner.widget;
        var widgetContaReceber   = templateManager.container.getWidget('ContaDocumentosGrid');
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetContaReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulosReceber.currentRow.CDEMPRESA).then(function (response) {
            var contopectbl  = response.dataset.contopectbl[0];
                    
            if(!contopectbl){
                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                return;
            }

            var dtinicctbl  = contopectbl.DTINICCTBL;
            var dtfinacctbl = contopectbl.DTFINACCTBL;

            if(dtinicctbl && dtfinacctbl) {
                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY')) ||
                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY'))) {
                    ScreenService.showMessage('Operação Bloqueada. Data de saída fora do período contábil financeiro.');
                    return;
                }
            }
            
            var vrTotalConta       = parseFloat(widgetContaReceber.currentRow.VRATUAREC);
            var vrTotalRateio      = parseFloat(valorTotalRateioConta(args));
            
            widgetRateioConta.newRow();

            vrTotalRateio = vrTotalConta - vrTotalRateio;
            widgetRateioConta.currentRow.VRRATCCCTREC = vrTotalRateio;
            widgetRateioConta.currentRow.VRPERATEIO   = (vrTotalRateio * 100) / vrTotalConta;
            
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Edita Rateio Conta a Receber
     * @param widget
     */
    self.editaRateioConta = function(widget){
        var widgetContaReceber   = templateManager.container.getWidget('ContaDocumentosGrid');
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetContaReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulosReceber.currentRow.CDEMPRESA).then(function (response) {
            var contopectbl  = response.dataset.contopectbl[0];
                    
            if(!contopectbl){
                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                return;
            }

            var dtinicctbl  = contopectbl.DTINICCTBL;
            var dtfinacctbl = contopectbl.DTFINACCTBL;

            if(dtinicctbl && dtfinacctbl) {
                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY')) ||
                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY'))) {
                    ScreenService.showMessage('Operação Bloqueada. Data do saída fora do período contábil financeiro.');
                    return;
                }
            }

            widget.edit();

        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Salva Rateio Conta a Receber
     * @param args
     */
    self.salvaRateioConta = function(args){
        if(args.owner.widget.isValid()) {
            args.owner.widget.view();
            ScreenService.goBack();
            
            self.habilitaFinalizacaoRateioConta(args.owner.widget);
        }
    };

    /**
     * Finaliza Rateio Conta a Receber
     * @param args
     */
    self.finalizaRateioConta = function(args) {
        var vrTotalRateio      = 0;
        var widgetRateioConta  = args.owner.widget;
        var widgetContaReceber = templateManager.container.getWidget('ContaDocumentosGrid');
        var vrTotalConta       = parseFloat(widgetContaReceber.currentRow.VRATUAREC);

        // Percorre Dados de Rateio
        for (var i = 0; i < widgetRateioConta.dataSource.data.length; i++){
            // Percorre Dados de Rateio
            for (var j = 0; j < widgetRateioConta.dataSource.data.length; j++) {
                // Verifica Existência de Dados Duplicados
                if ((widgetRateioConta.dataSource.data[i].CDCENTCUST   == widgetRateioConta.dataSource.data[j].CDCENTCUST) &&
                    (widgetRateioConta.dataSource.data[i].CDFIRATCTREC == widgetRateioConta.dataSource.data[j].CDFIRATCTREC) &&
                    (i != j)
                ){
                    ScreenService.showMessage('Operação bloqueada. Existem informações duplicadas de Centro de Custo.');
                    return;
                }
            }
            vrTotalRateio += parseFloat(widgetRateioConta.dataSource.data[i].VRRATCCCTREC);
        }

        // Verifica Valor Total dos Rateios
        if (vrTotalRateio.toFixed(2) != vrTotalConta.toFixed(2)) {
            ScreenService.showMessage("Operação bloqueada. Total do(s) rateio(s) difere do valor total do título em "+((vrTotalRateio-vrTotalConta).formatFloat())+".");
            return;
        }

        var nrorg        = widgetContaReceber.currentRow.NRORG;
        var cdfilial     = widgetContaReceber.currentRow.CDFILIAL;
        var nrlanctonf   = widgetContaReceber.currentRow.NRLANCTONF;
        var nrseqvenrec  = widgetContaReceber.currentRow.NRSEQVENREC;
        var nrparcelarec = widgetContaReceber.currentRow.NRPARCELAREC;

        var dataSource = [{
            nrorg       : nrorg,
            cdfilial    : cdfilial,
            nrlanctonf  : nrlanctonf,
            nrseqvenrec : nrseqvenrec,
            nrparcelarec: nrparcelarec
        }, widgetRateioConta.dataSource.data];

        Rec00001_TitulosAReceber_Service.finalizaRateioConta(dataSource).then(function () {
            ScreenService.showMessage('Registro(s) salvo(s) com sucesso.');
            widgetRateioConta.reload();
            
            self.widgetEmEdicao("RateioDocumentosGrid", false);
            self.desabilitaAbas('RateioDocumentosGrid', false);
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Deleta Rateio Conta a Receber
     * @param args
     */
    self.deletaRateioConta = function(args){
        var widget = args.owner.widget;
        var widgetContaReceber   = templateManager.container.getWidget('ContaDocumentosGrid');
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if(widgetTitulosReceber.currentRow.IDSTATBREC == 'B') {
            ScreenService.showMessage('Operação bloqueada. Título baixado não pode ser alterado.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado.');
            return;
        }
        if(widgetContaReceber.currentRow.IDSTATUS == 'V') {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return;
        }

        Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulosReceber.currentRow.CDEMPRESA).then(function (response) {
            var contopectbl  = response.dataset.contopectbl[0];
                    
            if(!contopectbl){
                ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                return;
            }

            var dtinicctbl  = contopectbl.DTINICCTBL;
            var dtfinacctbl = contopectbl.DTFINACCTBL;

            if(dtinicctbl && dtfinacctbl) {
                if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY')) ||
                    (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetContaReceber.currentRow.DTENTRSAID, 'DD/MM/YYYY'))) {
                    ScreenService.showMessage('Operação Bloqueada. Data de saida fora do período contábil financeiro.');
                    return;
                }
            }

            ScreenService.confirmMessage('Deseja realmente excluir?', 'question', function () {
                if(!widget.currentRow.__createdLocal) {
                    Rec00001_TitulosAReceber_Service.deletaRateioConta(widget.currentRow).then(function () {
                        ScreenService.showMessage('Registro excluído com sucesso.');
                        ScreenService.goBack();
                        widget.removeRow();
                    }, function (error) {
                        ScreenService.showMessage(error.data.error);
                    });
                }else{
                    ScreenService.showMessage('Registro excluído com sucesso.');
                    General.backOrCancel(args);
                }
            });

        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Cálcula Percentual para Valor Rateio Conta a Receber
     * @param row
     */
    self.calcPercValorRateio = function(row){
        var widgetConta = templateManager.container.getWidget('ContaDocumentosGrid');
        var vrperateio  = parseFloat(row.VRPERATEIO.replace(',','.'));
        var vratuarec   = parseFloat(widgetConta.currentRow.VRATUAREC);

        row.VRRATCCCTREC   = (vratuarec * vrperateio) / 100;
    };

    /**
     * Cálcula Valor para Percentual Rateio Conta a Receber
     * @param row
     */
    self.calcValorPercRateio = function(row){
        var widgetConta   = templateManager.container.getWidget('ContaDocumentosGrid');
        var vrratccctrec  = parseFloat(row.VRRATCCCTREC.replace(',','.'));
        var vratuarec     = parseFloat(widgetConta.currentRow.VRATUAREC);

        row.VRPERATEIO   = (vrratccctrec * 100) / vratuarec;
    };

    /** [Fim] Rotina Rateio  - Títulos a Receber/Recebidos > Documentos > Contas > Rateio */

    /**
     * Remessa Titulo a Receber
     * @param widget
     */
    self.remessaTitulo = function(widget){
        var checkedrows = widget.getCheckedRows();

        if(checkedrows.length > 0) {

            for (var i = 0; i < checkedrows.length; i++) {
                if(checkedrows[i].IDSITUCNABR != '00') {
                    ScreenService.showMessage('Operação Bloqueada. Título(s) marcado(s) já enviado(s).');
                    return;
                }
                //if(checkedrows[i].IDSTATUSEMIT != 'S') {
                    //ScreenService.showMessage('Operação Bloqueada. Título(s) marcado(s) não emitido(s).');
                  //  return;
                //}
                if((checkedrows[i].IDSTATBREC != 'E') && (checkedrows[i].IDSTATBREC != 'A')) {
                    ScreenService.showMessage('Operação Bloqueada. Marque somente título(s) em status "Em Aberto".');
                    return;
                }
            }

            var widgetRemessa = templateManager.container.getWidget('RemessaForm');
            widgetRemessa.isVisible = true;
            ScreenService.openPopup(widgetRemessa);
            self.buscaPadraoRemessaTitulo(widgetRemessa);

        }else ScreenService.showMessage('Marque o(s) Título(s) a Receber para fazer a remessa.');
    };

    /**
     * Busca Padrão Remessa Título
     */
    self.buscaPadraoRemessaTitulo = function (widget){
        var nrremessarec  = 0;
        var vrremessarec  = 0;
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetTitulosFilter = widgetTitulos.appliedFilter;

        var cdempresa     = widgetTitulosFilter.FILTER_ROW.CDEMPRESA||null;
        var checkedrows   = widgetTitulos.getCheckedRows();

        for(var i in checkedrows) {
            vrremessarec += self.formataValor(checkedrows[i].VRFINALBREC);
            nrremessarec += 1;
        }

        widget.getField('CDEMPRESA').setValue(cdempresa);
        widget.getField('CDOPERADOR').setValue(getLocalVar('CDOPERADOR'));
        widget.getField('DTCNABREC').setValue(moment().format('DD/MM/YYYY'));
        widget.getField('IDOPECNABREC').setValue('I');
        widget.getField('IDTIPCNABREC').setValue('0');
        widget.getField('VRTOTBOLCNABREC').setValue(vrremessarec);
        widget.getField('QTBOLENVCNABREC').setValue(nrremessarec);
        widget.getField('DSARQCNABREC').setValue('/tmp/');

        templateManager.updateTemplate();
    };

    /**
     * Alteração Conta Corrente Remessa
     */
    self.alteraContCorrRem = function (widget){
        widget = widget.owner.field.widget;
        
        var cdReduCont = widget.getField('CDREDUCONT').value();
        this.preencheFilial(cdReduCont);
        
        var cdbanccnab = widget.getField('CDBANCCNAB').value();

        if((cdbanccnab == '353') || (cdbanccnab == '008') || (cdbanccnab == '033')) {
            widget.getField('DSREDUCONTCOBR').readOnly = false;
            widget.getField('DSREDUCONTCOBR').validations.required = true;
        }else{
            widget.getField('DSREDUCONTCOBR').readOnly = true;
            delete widget.getField('DSREDUCONTCOBR').validations.required;
        }

        if((cdbanccnab == '237') || (cdbanccnab == '001') || (cdbanccnab == '637')) {
            widget.getField('IDTIPCNABREC').readOnly = false;
            widget.getField('IDTIPCNABREC').validations.required = true;
        }else{
            widget.getField('IDTIPCNABREC').readOnly = true;
            delete widget.getField('IDTIPCNABREC').validations.required;
        }
    };

    /**
     * Confirmar Remessa Titulo a Receber
     * @param args
     */
    self.confirmaRemessaTitulo = function(args){
        var widget = args.owner.widget;
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        widget.currentRow.CDREDUCONTCOBR = widget.currentRow.CDREDUCONTCOBR||null;
    
        var currentRow = {
            nrorg           : getLocalVar('NRORG')   ,
            cdfilial        : getLocalVar('CDFILIAL'),
            remessaboleto   : widget.currentRow      ,
            boletosmarcados : widgetTitulos.getCheckedRows()
        };

        if(widget.isValid()) {
            Rec00001_TitulosAReceber_Service.remessaTituloReceber(currentRow).then(function (dsarqcnabrec) {
                var arquivo = dsarqcnabrec.dataset.remessaTituloReceber.dsarqcnabrec;

                ScreenService.showMessage('Remessa gerada com sucesso.');

                widget.currentRow.CDEMPRESA       = '';
                widget.currentRow.NRCNABREC       = '';
                widget.currentRow.CDOPERADOR      = '';
                widget.currentRow.DTCNABREC       = '';
                widget.currentRow.IDOPECNABREC    = '';
                widget.currentRow.NMOPECNABREC    = '';
                widget.currentRow.CDBANCCNAB      = '';
                widget.currentRow.CDREDUCONT      = '';
                widget.currentRow.DSCONTCORR      = '';
                widget.currentRow.CDREDUCONTCOBR  = '';
                widget.currentRow.DSREDUCONTCOBR  = '';
                widget.currentRow.IDTIPCNABREC    = '';
                widget.currentRow.NMTIPCNABREC    = '';
                widget.currentRow.QTBOLENVCNABREC = '';
                widget.currentRow.VRTOTBOLCNABREC = '';

                ScreenService.closePopup(widget);
                ScreenService.closePopup();
                widget.isVisible = false;

                self.downloadRemessaTitulo(arquivo);

                widgetTitulos.reload();
                widgetTitulos.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        }
    };

    /**
     * Atualiza Formulário
     */
    self.atualizaForm = function(widget_name) {
        var widget = templateManager.container.getWidget(widget_name);
        widget.currentRow = widget.dataSource.data[0]?widget.dataSource.data[0]:{};
        templateManager.updateTemplate();
    };

    /**
     * Download Remessa Titulos a Receber
     */
    self.downloadRemessaTitulo = function(arquivo) {
        window.open(window.serviceUrls.filter(function(x){return x.package == 'fin';})[0].baseUrl+"/donwloadArquivo?requestType=DataSet&dataset[0][DSARQUIVO]="+arquivo);
    };

    /**
     * Exclusão Baixa Titulo a Receber
     */
    self.exclusaoRemessaTitulo = function(){
        var checkedrows = templateManager.container.getWidget('TitulosAReceberGrid').getCheckedRows();

        if(checkedrows.length > 0) {
            for (var i = 0; i < checkedrows.length; i++) {
                if(checkedrows[i].IDSITUCNABR == '00') {
                    ScreenService.showMessage('Operação Bloqueada. Título(s) marcado(s) não enviado(s).');
                    return;
                }
            }

            ScreenService.showCustomDialog('O que deseja excluir?', 'question', 'question', [{
                label: 'Remessa',
                code: self.excluiRemessaRec
            }, {
                label: 'Título',
                code: self.excluiTituloRemessaRec
            }, {
                label: 'Cancelar',
                code: ''
            }]);

        }else ScreenService.showMessage('Marque o(s) Título(s) a Receber para exclusão da Remessa.');
    };

    /**
     * Exclui Titulos da Remessa Receber
     */
    self.excluiTituloRemessaRec = function(){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');

        var paramsRem = {
            nrorg     : getLocalVar('NRORG'),
            cdfilial  : getLocalVar('CDFILIAL'),
            cdoperador: getLocalVar('CDOPERADOR')
        };
        var checkedrows = [paramsRem, widget.getCheckedRows()];

        ScreenService.confirmMessage('Deseja realmente excluir o(s) título(s) da(s) remessa(s).', 'question', function () {
            Rec00001_TitulosAReceber_Service.excluiTituloRecRemessa(checkedrows).then(function () {
                ScreenService.showMessage('Título(s) excluído(s) da(s) remessa(s) com sucesso.');
                ScreenService.closePopup();
                widget.reload();
                widget.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        });

    };

    /**
     * Exclui Remessa Receber
     */
    self.excluiRemessaRec = function(){
        var widget      = templateManager.container.getWidget('TitulosAReceberGrid');

        var paramsRem = {
            nrorg     : getLocalVar('NRORG'),
            cdfilial  : getLocalVar('CDFILIAL'),
            cdoperador: getLocalVar('CDOPERADOR')
        };
        var checkedrows = [paramsRem, widget.getCheckedRows()];

        ScreenService.confirmMessage('Deseja realmente excluir a(s) remessa(s).', 'question', function () {
            Rec00001_TitulosAReceber_Service.excluiRemessaRec(checkedrows).then(function () {
                ScreenService.showMessage('Remessa(s) excluída(s) com sucesso.');
                ScreenService.closePopup();
                widget.reload();
                widget.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
            }, function (error) {
                ScreenService.showMessage(error.data.error);
            });
        });
    };

    /**
     * Busca Parâmetros de Contabilização
     * @return contOpeCtbl
     */
    self.buscaContOpeCtbl = function (cdempresa){
        return Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(cdempresa).then(function(contopectbl) {
            return contopectbl;
        });
    };

    /**
     * Busca Conta a Receber
     * @param cdfilial
     * @param nrlanctonf
     */
    self.buscaContaReceber = function(cdfilial, nrlanctonf){
        return Rec00001_TitulosAReceber_Service.buscaContaReceber(cdfilial, nrlanctonf).then(function (contareceber) {
            return contareceber;
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    /**
     * Edita Documento Grid
     * @param args
     */
    self.editaDocumentoGrid = function(args){
        var widget = args.owner.widget;
        var widgetTitulosReceber = templateManager.container.getWidget('TitulosAReceberGrid');

        if((widgetTitulosReceber.currentRow.IDSTATBREC == 'B') || (widgetTitulosReceber.currentRow.IDSTATBREC == 'P')){
            ScreenService.showMessage('Operação bloqueada. Título baixado ou com baixa planejada não pode ser alterado o documento.');
            return;
        }
        if(widgetTitulosReceber.currentRow.IDSITUCNABR != '00') {
            ScreenService.showMessage('Operação bloqueada. Título enviado ao banco, via CNAB, não pode ser alterado o documento.');
            return;
        }
        if(widgetTitulosReceber.currentRow.NRPARCBOLREC != '00'){
            ScreenService.showMessage('Operação bloqueada. Título parcelado não pode ser alterado o documento.');
            return;
        }

        if(widgetTitulosReceber.currentRow.IDASSOCBOLREC == 'S') {
            ScreenService.showMessage('Operação bloqueada. Título associado não pode ser alterado o documento.');
            return;
        }
        if(widgetTitulosReceber.currentRow.VRBOLREC != widgetTitulosReceber.currentRow.VRFINALBREC) {
            ScreenService.showMessage('Operação bloqueada. Título com ajuste não pode ser alterado o documento.');
            return;
        }
        
        General.widgetEdit(args.owner.widget);

        widget.currentRow.backupIdstatus   = widget.currentRow.IDSTATUS;
        widget.currentRow.backupDtnotafisc = widget.currentRow.DTENTRSAID;
        
        
        
        self.changeStatusDocumentoForm();
    };

    /**
     * Habilita/Desabilita campos de acordo com Tipo de Baixa
     */
    self.changeStatusDocumentoForm = function() {
        var widget = templateManager.container.getWidget('DocumentosGrid');

        if(widget.currentRow.IDSISTEMA == 'REC') {
            widget.getField('DTEMISSAO').readOnly  = false;
            widget.getField('DTENTRSAID').readOnly = false;
        }else{
            widget.getField('DTEMISSAO').readOnly  = true;
            widget.getField('DTENTRSAID').readOnly = true;
        }
    };

    /**
     * Atualiza Titulo a Receber
     */
    self.atualizaTituloAReceber = function(){
        var widgetTitulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetDocumentosGrid      = templateManager.container.getWidget('DocumentosGrid');
        
        if(widgetDocumentosGrid.isValid()){
            if((moment(widgetDocumentosGrid.currentRow.DTEMISSAO, 'DD/MM/YYYY')) > (moment(widgetDocumentosGrid.currentRow.DTENTRSAID, 'DD/MM/YYYY'))){
                ScreenService.showMessage('Data de Emissão deve ser menor ou igual a Data de Saída.');
                return;
            }
            
            if((moment(widgetDocumentosGrid.currentRow.DTEMISSAO, 'DD/MM/YYYY')) > (moment(widgetTitulosAReceberGrid.currentRow.DTVENBOLREC, 'DD/MM/YYYY'))){
                ScreenService.showMessage('Data de Emissão deve ser menor ou igual a Data de Vencimento.');
                return;
            }
    
            if((widgetDocumentosGrid.currentRow.backupIdstatus   != widgetDocumentosGrid.currentRow.IDSTATUS) ||
               (widgetDocumentosGrid.currentRow.backupDtnotafisc != widgetDocumentosGrid.currentRow.DTENTRSAID)){
                Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetDocumentosGrid.currentRow.CDEMPRESA).then(function (response) {
                    var contopectbl  = response.dataset.contopectbl[0];
                        
                    if(!contopectbl){
                        ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                        return;
                    }
    
                    var dtinicctbl  = contopectbl.DTINICCTBL;
                    var dtfinacctbl = contopectbl.DTFINACCTBL;
    
                    if(dtinicctbl && dtfinacctbl) {
                        if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widgetDocumentosGrid.currentRow.DTENTRSAID, 'DD/MM/YYYY')) ||
                            (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widgetDocumentosGrid.currentRow.DTENTRSAID, 'DD/MM/YYYY'))) {
                            ScreenService.showMessage('Operação Bloqueada. Data do saída fora do período contábil financeiro.');
                            return;
                        }
                    }
    
                    Rec00001_TitulosAReceber_Service.atualizaTituloAReceber(widgetDocumentosGrid.currentRow).then(function () {
                        General.changeWidgetAcessibility(widgetDocumentosGrid.widgets, true);
                        ScreenService.showMessage('Registro salvo com sucesso.', 'checked');
                        ScreenService.goBack();
    
                        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
                        widgetTitulos.currentRow.CDTPCTRECEB = widgetDocumentosGrid.currentRow.CDTPCTRECEB;
                        widgetTitulos.currentRow.IDSTATUS = widgetDocumentosGrid.currentRow.IDSTATUS;
    
                        widgetDocumentosGrid.reload();
                    }, function (error) {
                        if (contabilizacaoController.checkErrosContabilizacao(error))
                            ScreenService.showMessage(error.data.error);
                    });
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });
            }else{
                Rec00001_TitulosAReceber_Service.atualizaTituloAReceber(widgetDocumentosGrid.currentRow).then(function () {
                    General.changeWidgetAcessibility(widgetDocumentosGrid.widgets, true);
                    ScreenService.showMessage('Registro salvo com sucesso.', 'checked');
                    ScreenService.goBack();
    
                    var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
                    widgetTitulos.currentRow.CDTPCTRECEB = widgetDocumentosGrid.currentRow.CDTPCTRECEB;
                    widgetDocumentosGrid.reload();
                }, function (error) {
                    if (contabilizacaoController.checkErrosContabilizacao(error))
                        ScreenService.showMessage(error.data.error);
                });
            }
        }
    };

    /**
     * Baixa Titulo
     * @param widget
     */
    self.baixaTitulo = function(widget){
        var checkedrows = widget.getCheckedRows();
        if(checkedrows.length > 0) {
            if (self.statusTituloPermiteRealizarBaixa(checkedrows)){

                var boletosBaixaPlanejada = checkedrows.filter(function(boleto){
                    return boleto.IDSTATBREC == 'P';
                });
                var boletosEmAberto = checkedrows.filter(function(boleto){
                    return (boleto.IDSTATBREC == 'A')||(boleto.IDSTATBREC == 'E');
                });
                var boletosDescontado = checkedrows.filter(function(boleto){
                    return (boleto.IDSTATBREC == 'D')&&(boleto.DTBAIXAREC);
                });

                if((boletosBaixaPlanejada.length > 0) || (boletosDescontado.length > 0)){
                    if(boletosDescontado.length > 0){
                        ScreenService.confirmMessage('Existe(m) título(s) marcado(s) descontado(s). Deseja realizar a baixa real do(s) mesmo(s)?', 'question', function () {
                            self.baixarTitulosMarcadosOuTitulosBaixaDescontado();
                        }, function () {
                            if(boletosBaixaPlanejada.length > 0) {
                                ScreenService.confirmMessage('Existe(m) título(s) marcado(s) com baixa(s) planejada(s).Deseja transfomá-la(s) em baixa(s) real(is)?', 'question', function () {
                                    self.baixarTitulosMarcadosOuTitulosBaixa();
                                }, function () {
                                    if (boletosEmAberto.length > 0) {
                                        self.efetivarBaixaTitulosAbertos(boletosEmAberto);
                                    } else {
                                        ScreenService.closePopup();
                                    }
                                });
                            }
                        });
                    }else{
                        ScreenService.confirmMessage('Existe(m) título(s) marcado(s) com baixa(s) planejada(s).Deseja transfomá-la(s) em baixa(s) real(is)?', 'question', function () {
                            self.baixarTitulosMarcadosOuTitulosBaixa();
                        }, function () {
                            if (boletosEmAberto.length > 0) {
                                self.efetivarBaixaTitulosAbertos(boletosEmAberto);
                            } else {
                                ScreenService.closePopup();
                            }
                        });
                    }
                }else self.efetivarBaixaTitulosAbertos(boletosEmAberto);
            }else ScreenService.closePopup();
        }else ScreenService.showMessage('Marque o(s) título(s) para baixá-lo(s).');
    };

    /**
     * Titulos Baixados
     * @param boletoMarcado
     * @returns {boolean}
     */
    function titulosBaixados(boletoMarcado){
        return boletoMarcado.IDSTATBREC != "B";
    }

    /**
     * Titulos Previstos
     * @param boletoMarcado
     * @returns {boolean}
     */
    function titulosPrevistos(boletoMarcado){
        return boletoMarcado.IDSTATUS != "V";
    }

    /**
     * Titulos Abertos e Planejados
     * @param boletoMarcado
     * @returns {boolean}
     */
    function titulosAbertosEPlanejados(boletoMarcado){
        return ((boletoMarcado.IDSTATBREC == "A") || (boletoMarcado.IDSTATBREC == "E") || (boletoMarcado.IDSTATBREC == "P") || (boletoMarcado.IDSTATBREC == "D"));
    }

    /**
     * Status do Título que Permite Realização da Baixa
     * @param checkedrows
     * @returns {boolean}
     */
    self.statusTituloPermiteRealizarBaixa = function(checkedrows){
        if(!checkedrows.every(titulosBaixados)) {
            ScreenService.showMessage('Operação Bloqueada. Título(s) baixado(s) não pode(m) ser alterado(s).');
            return false;
        }
        if(!checkedrows.every(titulosPrevistos)) {
            ScreenService.showMessage('Operação Bloqueada. Título previsto não pode ser alterado.');
            return false;
        }
        if(!checkedrows.every(titulosAbertosEPlanejados)) {
            ScreenService.showMessage('Operação Bloqueada. Marque somente título(s) com status "Em Aberto" ou "Planejado".');
            return false;
        }
        return true;
    };

    /**
     * Baixa Titulos Marcados ou Titulos Baixa
     */
    self.baixarTitulosMarcadosOuTitulosBaixa = function(){
        ScreenService.showCustomDialog('Transformar em real(is)?', 'question', 'question', [{
            label: 'Baixa',
            code: self.efetivaTitulosDaBaixa
        }, {
            label: 'Título',
            code: self.efetivaTitulosMarcados
        }, {
            label: 'Cancelar',
            code: self.verificaTitulosEmAberto
        }]);
    };

    /**
     * Baixa Titulos Marcados ou Titulos Baixa
     */
    self.baixarTitulosMarcadosOuTitulosBaixaDescontado = function(){
        var widgetBaixaDescontado = templateManager.container.getWidget('BaixaDescontadoForm');
        widgetBaixaDescontado.isVisible = true;
        ScreenService.openPopup(widgetBaixaDescontado);
        self.buscaPadraoBaixaTituloDescontado(widgetBaixaDescontado);
    };

    /**
     * Baixa Titulo
     */
    self.verificaTitulosEmAberto = function(){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widget.getCheckedRows();

        var boletosEmAberto = checkedrows.filter(function(boleto){
            return (boleto.IDSTATBREC == 'A')||(boleto.IDSTATBREC == 'E');
        });

        if(boletosEmAberto.length > 0)
            self.efetivarBaixaTitulosAbertos(boletosEmAberto);
        else ScreenService.closePopup();
    };

    /**
     * Efetiva Titulos Marcados
     */
    self.efetivaTitulosMarcados = function(){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var boletosBaixaPlanejada = widget.getCheckedRows().filter(function(boleto){
            return boleto.IDSTATBREC == 'P';
        });
        var boletosEmAberto = widget.getCheckedRows().filter(function(boleto){
            return (boleto.IDSTATBREC == 'A')||(boleto.IDSTATBREC == 'E');
        });
        var baixatitulo = self.preparaDataSourceBoletosPlanejados(boletosBaixaPlanejada, 'E');
        baixatitulo.forEach(function (baixa) {
            self.efetivaBaixaTitulo(baixa).then(function () {
                if (boletosEmAberto.length > 0) {
                    self.efetivarBaixaTitulosAbertos(boletosEmAberto);
                } else {
                    ScreenService.closePopup();
                    widget.dataSource.unSelectAll();
                    self.unsetStripeDataFooter();
                    widget.reload().then(function () {
                        ScreenService.showMessage('Título(s) transformado(s) em baixa(s) real(is) com sucesso.');
                    });
                }
            });
        });
    };

    /**
     * Para Data Source Boletos Planejados
     * @param boletosBaixaPlanejada
     * @param statusBaixaReal
     * @returns {Array}
     */
    self.preparaDataSourceBoletosPlanejados = function(boletosBaixaPlanejada, statusBaixaReal){
        var baixaTitulo = [];
        boletosBaixaPlanejada.forEach(function(boletoMarcado){
            var baixa = baixaTitulo.filter(function(baixa){
                return baixa.NRBAIXAREC == boletoMarcado.NRBAIXAREC;
            });
            if (baixa.length > 0){
                baixa[0].BOLETOS.push(boletoMarcado);
            }else{
                baixaTitulo[baixaTitulo.length] = {
                    'NRBAIXAREC': boletoMarcado.NRBAIXAREC,
                    'CDEMPRESA': boletoMarcado.CDEMPRESA,
                    'CDOPERADOR': boletoMarcado.CDOPERADOR,
                    'CDTPBAIXAREC': boletoMarcado.CDTPBAIXAREC,
                    'DTBAIXAREC': boletoMarcado.DTBAIXAREC,
                    'IDBAIXAUTILR': boletoMarcado.IDBAIXAUTILR,
                    'DTLANCBAIXAR': moment().format('DD/MM/YYYY'),
                    'IDSTATUSBREC': statusBaixaReal,
                    'CDREDUCONT': boletoMarcado.CDREDUCONTBAIXA,
                    'DSBAIXAREC': boletoMarcado.DSBAIXAREC,
                    'BOLETOS': [boletoMarcado]
                };
            }
        });
        return baixaTitulo;
    };

    /**
     * Efetiva Titulos da Baixa
     */
    self.efetivaTitulosDaBaixa = function(){
        var route = 'fin#/crud/boletreceber';
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var boletosBaixaPlanejada = widget.getCheckedRows().filter(function(boleto){
            return boleto.IDSTATBREC == 'P';
        });
        var boletosEmAberto = widget.getCheckedRows().filter(function(boleto){
            return (boleto.IDSTATBREC == 'A')||(boleto.IDSTATBREC == 'E');
        });
        var baixatitulo = self.preparaDataSourceBoletosPlanejados(boletosBaixaPlanejada, 'E');
        baixatitulo.forEach(function(baixa){
            var filter = [
                {
                    "name": "CDFILIBAIREC",
                    "operator": "=",
                    "value": baixa.BOLETOS[0].CDFILIBAIREC
                },
                {
                    "name": "NRBAIXAREC",
                    "operator": "=",
                    "value": baixa.NRBAIXAREC
                },
                {
                    "name": "NRORG",
                    "operator": "=",
                    "value": baixa.BOLETOS[0].NRORG
                }
            ];

            General.callRestEngine(route, 'FilterData', filter).then(function (boletos) {
                baixa.BOLETOS = boletos.dataset.boletreceber;
                self.efetivaBaixa(baixa).then(function () {
                    if (boletosEmAberto.length > 0) {
                        self.efetivarBaixaTitulosAbertos(boletosEmAberto);
                    } else {
                        ScreenService.closePopup();
                        widget.dataSource.unSelectAll();
                        self.unsetStripeDataFooter();
                        widget.reload().then(function () {
                            ScreenService.showMessage('Título(s) transformado(s) em baixa(s) real(is) com sucesso.');
                        });
                    }
                });
            });
        });
    };

    /**
     * Efetiva Baixa
     * @param baixa
     * @returns {*}
     */
    self.efetivaBaixa = function(baixa){
        var deferred = ZHPromise.defer();

        var currentRow = {
            nrorg: getLocalVar('NRORG'),
            cdfilial: getLocalVar('CDFILIAL'),
            baixaboleto: baixa,
            boletosmarcados: baixa.BOLETOS
        };

        Rec00001_TitulosAReceber_Service.transformaPlanejadoTitulo(currentRow).then(function () {
            deferred.resolve();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
            deferred.reject();
        });

        return deferred.promise;
    };

    /**
     * Efetiva Baixa Titulo
     * @param baixa
     * @returns {*}
     */
    self.efetivaBaixaTitulo = function(baixa){
        var deferred = ZHPromise.defer();

        var currentRow = {
            nrorg: getLocalVar('NRORG'),
            cdfilial: getLocalVar('CDFILIAL'),
            baixaboleto: baixa,
            boletosmarcados: baixa.BOLETOS
        };

        Rec00001_TitulosAReceber_Service.transformaBoletoPlanejadoTitulo(currentRow).then(function () {
            deferred.resolve();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
            deferred.reject();
        });

        return deferred.promise;
    };

    /**
     * Efetiva Baixa Titulos Abertos
     * @param titulosEmAberto
     */
    self.efetivarBaixaTitulosAbertos = function(titulosEmAberto){
        ScreenService.confirmMessage('Deseja realmente realizar baixa do(s) título(s) "Em Aberto" marcados?', 'question', function () {
            var widgetBaixa = templateManager.container.getWidget('NewBaixaTabbed');
            var widgetTitulosBaixa = templateManager.container.getWidget('NewTitulosBaixaGrid');
            
            ScreenService.closePopup();
            
            widgetBaixa.isVisible = true;
            self.widgetEmEdicao("NewBaixaTabbed", true);
            
            self.buscaPadraoBaixaTitulo(widgetBaixa, widgetTitulosBaixa, titulosEmAberto).then(
                function (dataLocal) {
                    ScreenService.openSwipe(widgetBaixa);
                    widgetTitulosBaixa.reload();
                });
            self.dataSourceAjusteTituloBaixo();
        });
    };

    /**
     * Valida Adiantamento Cliente
     */
    self.validaAdiantamentoCliente = function(){

        var widget = templateManager.container.getWidget('TitulosAReceberGrid');

        // Válidações para Adiantamento e Devolução
        if(widget.getLastSelectedRow().IDSTATBREC    !=  'A') return;
        if(widget.getLastSelectedRow().IDSITUCNABR   != '00') return;
        if(widget.getLastSelectedRow().IDSTATUS      ==  'V') return;
        if(widget.getLastSelectedRow().IDTPCTRECEBER ==  '2') return;

        var routeAdiantamento = 'fin_movimentacaoBancaria#/validaAdiantamentoCliente';

        General.callRestEngine(routeAdiantamento, 'Row', widget.getLastSelectedRow()).then(function(adiantamento) {
            var vrfinalbrec = self.formataValor(widget.getLastSelectedRow().VRFINALBREC.toString());
            if (adiantamento.dataset.ADIANTAMENTO.length > 0) {
                ScreenService.confirmMessage('Atenção! Cliente possui crédito de adiantamento. Deseja utilizá-lo?', 'question', function() {
                    var adiantamentoPopup = templateManager.container.getWidget('AdiantamentoTabbed');

                    ScreenService.openPopup(adiantamentoPopup).then(function () {
                        adiantamentoPopup.currentRow.NMRAZSOCCLIE = widget.getLastSelectedRow().NMRAZSOCCLIE;
                        adiantamentoPopup.currentRow.CDAJUCTREC   = '';
                        adiantamentoPopup.currentRow.DSAJUCTREC   = '';
                        adiantamentoPopup.currentRow.TOTALTITULO   = vrfinalbrec;
                        adiantamentoPopup.widgets[0].reload();
                    });
                }, function(){
                    self.validaDevolucaoCliente();
                });
            }else self.validaDevolucaoCliente();
        });
    };

    /**
     * Valida Devolução Cliente
     */
    self.validaDevolucaoCliente = function(){

        self.buscaGeralRec().then(function(response_geralrec) {

            var geral_rec   = response_geralrec.dataset.geral_rec[0];
            var idutlnfdevol = geral_rec.IDUTLNFDEVOLREC;

            // Verifica Utilização de Devolução
            if(idutlnfdevol == 'S') {
                var widget = templateManager.container.getWidget('TitulosAReceberGrid');
                var routeDevolucao = 'fin_movimentacaoBancaria#/validaDevolucaoCliente';

                General.callRestEngine(routeDevolucao, 'Row', widget.getLastSelectedRow()).then(function (devolucao) {
                    if (devolucao.dataset.DEVOLUCAO.length > 0) {
                        ScreenService.confirmMessage('Atenção! Cliente possui nota fiscal de devolução. Deseja utilizá-la?', 'question', function () {
                            var devolucaoPopup = templateManager.container.getWidget('DevolucaoTabbed');

                            ScreenService.openPopup(devolucaoPopup).then(function () {
                                devolucaoPopup.currentRow.NMRAZSOCCLIE = widget.getLastSelectedRow().NMRAZSOCCLIE;
                                devolucaoPopup.currentRow.CDAJUCTREC = '';
                                devolucaoPopup.currentRow.DSAJUCTREC = '';
                                devolucaoPopup.widgets[0].reload();
                            });
                        });
                    }
                });
            }
        });
    };

    /**
     * Cancela Adiantamento Cliente
     * @param widget
     */
    self.cancelaAdiantamentoCliente = function(widget){

        var widgetAdiantamento = templateManager.container.getWidget('TitulosAReceberGrid');
        var routeDevolucao = 'fin_movimentacaoBancaria#/validaDevolucaoCliente';

        widget.widgets[0].dataSource.unSelectAll();
        ScreenService.closePopup();

        General.callRestEngine(routeDevolucao, 'Row', widgetAdiantamento.getLastSelectedRow()).then(function(devolucao) {
            if (devolucao.length > 0) {
                ScreenService.confirmMessage('Atenção! Cliente possui nota fiscal de devolução. Deseja utilizá-la?', 'question', function(){
                    var devolucaoPopup = templateManager.container.getWidget('devolucaoClienteTabbed');

                    ScreenService.openPopup(devolucaoPopup).then(function(){
                        devolucaoPopup.currentRow.NMRAZSOCCLIE = widget.getLastSelectedRow().NMRAZSOCCLIE;
                    });
                });
            }
        });
    };

    /**
     * Cancela Devolução Cliente
     * @param widget
     */
    self.cancelaDevolucaoCliente = function(widget){
        widget.widgets[0].dataSource.unSelectAll();
        ScreenService.closePopup();
    };

    /**
     * Seta Data Source Popup Cliente
     * @param popupCliente
     */
    self.setDataSourcePopupCliente = function(popupCliente){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var lastSelectedRow = widget.getLastSelectedRow();
        popupCliente.dataSourceFilter.forEach(function(filtro){
            if (filtro.name.localeCompare('CDCLIENTE') === 0){
                filtro.value = lastSelectedRow.CDCLIENTE;
            }else if (filtro.name.localeCompare('CDEMPRESA') === 0) {
                filtro.value = lastSelectedRow.CDEMPRESA;
            }else if (filtro.name.localeCompare('NRINSJURCLIE') === 0) {
                filtro.value = lastSelectedRow.NRINSJURCLIE;
            }
        });
        popupCliente.reload();
    };

    /**
     * Seleciona Todos os Registros
     * @param widget
     */
    self.selecionaTodosRegistros = function(widget){
        self.atualizaValorAdiantaDev(widget).then(
            function() {},
            function(error){
                widget.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
            }
        );
    };

    /**
     * Atualiza Valor Adiantamento Devolução
     * @param widget
     * @returns {*}
     */
    self.atualizaValorAdiantaDev = function(widget) {
        var deferred = ZHPromise.defer();
        var tituloGrid = templateManager.container.getWidget('TitulosAReceberGrid');

        var totalDesconto = 0;
        var valorTitulo   = parseFloat(tituloGrid.getLastSelectedRow().VRFINALBREC);

        widget.getCheckedRows().forEach(function (data) {
            totalDesconto += parseFloat(data.VRDESCONTO);
        });

        if (totalDesconto > valorTitulo){
            ScreenService.showMessage('Operação bloqueada. O valor a descontar não pode ser maior que o valor do título.');
            widget.getLastSelectedRow().__isSelected = false;
            deferred.reject();
        } else {
            deferred.resolve();
            widget.getParent().currentRow.TOTALDESCONTO = totalDesconto;
        }
        return deferred.promise;
    };

    /**
     * Calcula Total Adiantamento Disponível
     * @param widget
     */
    self.calculaTotalAdiantamentoDisponivel = function(widget){
        var totalDisponivel = 0;
        widget.dataSource.data.forEach(function(data){
            totalDisponivel += self.formataValor(data.VRTOTDISP);
        });
        widget.getParent().currentRow.TOTALADIANTAMENTO = totalDisponivel;
        widget.getParent().currentRow.TOTALDESCONTO = 0;
    };

    /**
     * Calcula Total Devolução Disponível
     * @param widget
     */
    self.calculaTotalDevolucaoDisponivel = function(widget){
        var totalDisponivel = 0;
        widget.dataSource.data.forEach(function(data){
            totalDisponivel += self.formataValor(data.VRTOTDISP);
        });
        widget.getParent().currentRow.TOTALDEVOLUCAO = totalDisponivel;
        widget.getParent().currentRow.TOTALDESCONTO = 0;
    };

    /**
     * Limita Valor Desconto
     * @param widget
     */
    self.limitaValorDesconto = function(widget){
        var superiorDisponivel, superiorLancamento = false;

        var data   = widget.dataSource.data;
        var indice = widget.currentRow.__index;
        var widgetTitulo = templateManager.container.getWidget('TitulosAReceberGrid');

        var valorTitulo     = parseFloat(widgetTitulo.currentRow.VRFINALBREC);
        var valorDesconto   = parseFloat(widget.currentRow.VRDESCONTO_inline.toString().replace('.', '').replace(',', '.'));
        var totalDisponivel = parseFloat(widget.currentRow.VRTOTDISP.toString().replace('.', '').replace(',', '.'));
        var totalDesconto   = 0.00;

        for(var i = 0; i < data.length; i++)
            if (i != indice && data[i].__isSelected)
                totalDesconto += parseFloat(data[i].VRDESCONTO);

        if ((valorDesconto + totalDesconto) > totalDisponivel) {
            superiorDisponivel = true;
            widget.dataSource.data[indice].VRDESCONTO_inline = 0;
        }

        if (valorDesconto > valorTitulo) {
            superiorLancamento = true;
            widget.dataSource.data[indice].VRDESCONTO_inline = 0;
        }

        if (widget.currentRow.__isSelected) {
            var desconto = parseFloat(totalDesconto) + parseFloat(widget.dataSource.data[indice].VRDESCONTO_inline.toString().replace('.', '').replace(',', '.'));
            widget.getParent().currentRow.TOTALDESCONTO = desconto;
        }else widget.getParent().currentRow.TOTALDESCONTO = parseFloat(totalDesconto);

        if (superiorDisponivel)
            ScreenService.showMessage('Valor do desconto deve ser menor ou igual que o valor disponível.');

        if (superiorLancamento)
            ScreenService.showMessage('Operação bloqueada. O valor a descontar não pode ser maior que o valor do lançamento.');

    };

    /**
     * Confirma Adiantamento
     */
    self.confirmaAdiantamento = function(){
        var adiantamentoTabbed = templateManager.container.getWidget('AdiantamentoTabbed');
        var adiantamentoGrid   = templateManager.container.getWidget('AdiantamentoGrid');
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');

        if(adiantamentoTabbed.isValid()) {
            if ((adiantamentoGrid.getCheckedRows().length <= 0) || (adiantamentoTabbed.currentRow.TOTALDESCONTO <= 0)) {
                ScreenService.showMessage('Operação bloqueada. Selecione o(s) registro(s) e informe o(s) valor(es) a ser(em) descontado(s).');
                return;
            }
            
            var route = 'fin_movimentacaoBancaria#/adiantareceb_adiantamentoReceber';
            var filter = [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": widget.getLastSelectedRow().CDEMPRESA
                },
                {
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": widget.getLastSelectedRow().CDCLIENTE
                }
            ];

            //valida se o adiantamento ainda esta disponivel, impedindo a utilizacao do mesmo em dois boletos diferentes ao mesmo tempo
            General.callRestEngine(route, 'FilterData', filter).then(function(adiantamento) {
                var adiantamentos = adiantamento.dataset.adiantareceb_adiantamentoReceber;
    
                var adiantamentoFiltrado = adiantamentos.filter(function(valores){
                    return valores.NRLANCTONF == adiantamentoGrid.getLastSelectedRow().NRLANCTONF;
                 });
                 
                 if(adiantamentoFiltrado.length > 0){
                     adiantamentoFiltrado.forEach(function(dados){
                        if(dados.VRTOTDISP > 0){
                            self.geraAdiantamentoCliente();
                        }
                     });
                 }else{
                     ScreenService.showMessage("Esse adiantamento não está mais disponível para essa operação!");
                     adiantamentoGrid.reload();
                 }
            });
        }
    };

    /**
     * Confirma Adiantamento
     */
    self.confirmaDevolucao = function(){
        var devolucaoTabbed = templateManager.container.getWidget('DevolucaoTabbed');
        var devolucaoGrid   = templateManager.container.getWidget('DevolucaoGrid');

        if(devolucaoTabbed.isValid()) {
            if ((devolucaoGrid.getCheckedRows().length <= 0) || (devolucaoTabbed.currentRow.TOTALDESCONTO <= 0)) {
                ScreenService.showMessage('Operação bloqueada. Selecione o(s) registro(s) e informe o(s) valor(es) a ser(em) descontado(s).');
                return;
            }

            self.geraDevolucaoCliente();
        }
    };

    /**
     * Gera Adiantamento Cliente
     */
    self.geraAdiantamentoCliente = function(){

        var tituloGrid         = templateManager.container.getWidget('TitulosAReceberGrid');
        var adiantamentoTabbed = templateManager.container.getWidget('AdiantamentoTabbed');
        var adiantamentoGrid   = templateManager.container.getWidget('AdiantamentoGrid');

        var lastSelectedRowTituloGrid    = tituloGrid.getLastSelectedRow();
        var currentRowAdiantamentoTabbed = adiantamentoTabbed.currentRow;
        var checkedrowsAdiantamentoGrid  = adiantamentoGrid.getCheckedRows();

        var dataSet = [lastSelectedRowTituloGrid, currentRowAdiantamentoTabbed, checkedrowsAdiantamentoGrid];

        General.callRestEngine('fin_contaReceber#/geraAdiantamentoCliente', 'DataSet', dataSet).then(function () {
            ScreenService.showMessage('Registro salvo com sucesso.');
            ScreenService.closePopup();
            
            tituloGrid.dataSource.unSelectAll();
            self.unsetStripeDataFooter();
            self.forceActivate();
            
            tituloGrid.reload();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /**
     * Gera Devolução Cliente
     */
    self.geraDevolucaoCliente = function(){

        var tituloGrid      = templateManager.container.getWidget('TitulosAReceberGrid');
        var devolucaoTabbed = templateManager.container.getWidget('DevolucaoTabbed');
        var devolucaoGrid   = templateManager.container.getWidget('DevolucaoGrid');

        var lastSelectedRowTituloGrid = tituloGrid.getLastSelectedRow();
        var currentRowDevolucaoTabbed = devolucaoTabbed.currentRow;
        var checkedrowsDevolucaoGrid  = devolucaoGrid.getCheckedRows();

        var dataSet = [lastSelectedRowTituloGrid, currentRowDevolucaoTabbed, checkedrowsDevolucaoGrid];

        General.callRestEngine('fin_contaReceber#/geraDevolucaoCliente', 'DataSet', dataSet).then(function () {
            ScreenService.showMessage('Registro salvo com sucesso.');
            ScreenService.closePopup();
            tituloGrid.reload();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /**
     * Habilita Licensa de Uso Documento
     * @param widget
     */
    self.habilitaLicensaUsoDocumento = function(widget){
        var cdcliente = widget.currentRow.CDCLIENTE;

        self.buscaCliente(cdcliente).then(function (response_cliente){
            var cliente = response_cliente.dataset.cliente[0];

            if(cliente)
                widget.getField('NRLICENCAUSO').isVisible = cliente.IDUTLICEUSO == 'S';
            else widget.getField('NRLICENCAUSO').isVisible = false;
        });
    };

    /**
     * Habilita Vendedor Documento
     * @param widget
     */
    self.habilitaVendedorDocumento = function(widget){
        var cdfilial = widget.currentRow.CDFILIEMIT;

        self.buscaParExpedicao(cdfilial).then(function (response_parexpedicao){
            var parexpedicao = response_parexpedicao.dataset.parexpedicao[0];

            if(parexpedicao)
                widget.getField('NMRAZSOCVEN').isVisible = parexpedicao.IDCTRLVENEXP == 'S';
            else widget.getField('NMRAZSOCVEN').isVisible = false;
        });
    };

    /**
     *Consulta Contabilização
     */
    self.consultaContabilizacao = function(){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widget.getCheckedRows();

        if(checkedrows.length > 0) {
            var contabil = [];

            for (var i in checkedrows){
                if (checkedrows[i].NRLANCTBDOC) {
                    contabil.push({});
                    contabil[i].CDEMPRESA  = checkedrows[i].CDEMPRESA;
                    contabil[i].NRLANCCONT = checkedrows[i].NRLANCTBDOC;
                }
            }
            if(contabil.length > 0) {
                contabilizacaoController.exibeContabilizacao(contabil);
            }else ScreenService.showMessage('Título(s) marcado(s) não possui(em) contabilização(ões).');
        }else ScreenService.showMessage('Marque o(s) título(s) para consulta da(s) contabilização(ões).');
    };


    /**
     * Habilita Action Títulos a Receber
     */
    self.habilitaActionsTitulo = function(){
        var widget = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widget.getCheckedRows();
        var cont_assoc = 0;
        var cont_prept = 0;

        var actions = {
            associacao : false, desassociacao : false, prorrogacao : false, emissao : false,
            cancemi : false, remessa : false, cancremessa : false, baixa : false,
            cancbaixa : false, consctb : false, envio : false, enviocarta : false, cadauto : true,
            desctitulo : false, efetrec : false, cancdesc : false, cancrec : false, cancrenfin: false,
            preptitulos : false
        };

        if(checkedrows.length > 0) {
            for (var i in checkedrows){

                actions = self.validaActionsSituacaoTitulo(checkedrows[i], actions);
                if(actions.preptitulos) {
                    cont_prept++;
                    actions.preptitulos = cont_prept > 1;
                }

                actions = self.validaActionsRemessaTitulo(checkedrows[i], actions);

                actions = self.validaActionsAssociacaoTitulo(checkedrows[i], actions);
                if(actions.associacao) {
                    cont_assoc++;
                    actions.associacao = cont_assoc > 1;
                }

                actions = self.validaActionsRenegociacaoTitulo(checkedrows[i], actions);

                actions = self.validaActionsContabilizacaoTitulo(checkedrows[i], actions);

            }
        }

        widget.getAction('Associar').isVisible                 = actions.associacao;
        widget.getAction('Desassociar').isVisible              = actions.desassociacao;
        widget.getAction('Prorrogar').isVisible                = actions.prorrogacao;
        widget.getAction('Emitir').isVisible                   = actions.emissao;
        widget.getAction('CancelarEmissao').isVisible          = actions.cancemi;
        widget.getAction('Remessa').isVisible                  = actions.remessa;
        widget.getAction('CancelaRemessa').isVisible           = actions.cancremessa;
        widget.getAction('Baixar').isVisible                   = actions.baixa;
        widget.getAction('CancelarBaixa').isVisible            = actions.cancbaixa;
        widget.getAction('ConsultaCtbTitulo').isVisible        = actions.consctb;
        widget.getAction('EnviarTitulo').isVisible             = actions.envio;
        widget.getAction('EnviarCarta').isVisible              = actions.enviocarta;
        widget.getAction('CadastramentoAutomatico').isVisible  = actions.cadauto;
        widget.getAction('RenegociarTitulo').isVisible         = actions.renfin;
        widget.getAction('CancelarRenegociarTitulo').isVisible = actions.cancrenfin;
        widget.getAction('DescontaTitulo').isVisible           = actions.desctitulo;
        widget.getAction('EfetivaRecebimento').isVisible       = actions.efetrec;
        widget.getAction('CancelaRecebimento').isVisible       = actions.cancrec;
        widget.getAction('CancelaTituloDescontado').isVisible  = actions.cancdesc;
        widget.getAction('PrepararTitulos').isVisible          = actions.preptitulos;

    };

    /**
     * Valida Actions Situacao Titulo
     */
    self.validaActionsSituacaoTitulo = function(checkedrows, actions){
        if (checkedrows.IDSTATBREC == 'A') {
            actions.prorrogacao  = true;
            actions.emissao      = true;
            actions.baixa        = true;
            actions.envio        = true;
            actions.desctitulo   = true;
            actions.renfin       = true;
            actions.preptitulos  = true;
            if (checkedrows.IDSTATUSREC == 'A'){
                actions.enviocarta   = true;
            }
        }else if (checkedrows.IDSTATBREC == 'E'){
            actions.baixa        = true;
            actions.envio        = true;
            actions.emissao      = true;
            actions.desctitulo   = true;
            if (checkedrows.IDSTATUSREC == 'A'){
                actions.enviocarta   = true;
            }
            if(checkedrows.IDSITUCNABR == '00') {
                actions.cancemi  = true;
            }
        }else if (checkedrows.IDSTATBREC == 'P'){
            actions.baixa        = true;
            actions.cancbaixa    = true;
            if (checkedrows.IDSTATUSREC == 'A'){
                actions.enviocarta   = true;
            }
        }else if (checkedrows.IDSTATBREC == 'B'){
            actions.cancbaixa    = true;
        }else if (checkedrows.IDSTATBREC == 'D'){
            actions.baixa        = true;
            if(!checkedrows.DTBAIXAREC) {
                  actions.efetrec  = true;
                  actions.cancdesc = true;
            }else actions.cancrec  = true;
        }
        
        if (checkedrows.IDSTATUSREC == 'A'){
            actions.enviocarta   = true;
        }

        return actions;
    };

    /**
     * Valida Actions Remessa Titulo
     * @param checkedrows
     * @param actions
     * @returns {*}
     */
    self.validaActionsRemessaTitulo = function(checkedrows, actions){
        if (checkedrows.IDSITUCNABR == '00') {
            if(checkedrows.IDSTATBREC == 'A' || checkedrows.IDSTATBREC == 'E')
                actions.remessa = true;
        }else if (checkedrows.IDSITUCNABR != '90'){
            actions.cancremessa = true;
            actions.consremessa = true;
        }else actions.consremessa = true;

        return actions;
    };

    /**
     * Valida Actions Renegociação Titulo
     * @param checkedrows
     * @param actions
     * @returns {*}
     */
    self.validaActionsRenegociacaoTitulo = function(checkedrows, actions){
        if((checkedrows.IDSTATBREC == 'A') && (checkedrows.IDRENEGOCFIN == 'N'))
            actions.renfin     = true;
        else if((checkedrows.IDSTATBREC != 'B') && (checkedrows.IDRENEGOCFIN == 'S'))
            actions.cancrenfin = true;
        return actions;
    };

    /**
     * Valida Actions Associacao Titulo
     * @param checkedrows
     * @param actions
     * @returns {*}
     */
    self.validaActionsAssociacaoTitulo = function(checkedrows, actions){
        if(checkedrows.IDSTATBREC == 'A')
            if (checkedrows.IDASSOCBOLREC != 'S')
                actions.associacao = true;
            else actions.desassociacao = true;

        return actions;
    };

    /**
     * Valida Actions Contabilizacao Titulo
     * @param checkedrows
     * @param actions
     * @returns {*}
     */
    self.validaActionsContabilizacaoTitulo = function(checkedrows, actions){
        if (checkedrows.NRLANCTBDOC != null)
            actions.consctb = true;

        return actions;
    };

    /**
     * Abre Envio de Título por E-mail
     */
    self.abreEnvioTituloPorEmail = function(){
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedRows   = widgetTitulos.getCheckedRows();
        var emitirTitulo  = false;

        if(checkedRows.length > 0) {
            for (var i = 0; i < checkedRows.length; i++) {
                if ((checkedRows[i].IDSTATBREC != 'A') && (checkedRows[i].IDSTATBREC != 'E')) {
                    ScreenService.showMessage('Operação bloqueada. Marque somente título(s) em status "Em Aberto".');
                    return;
                }
                if (!(checkedRows[i].CDREDUCONT)) {
                    ScreenService.showMessage('Operação bloqueada. Existe(m) títulos(s) marcado(s) sem conta cobrança.');
                    return;
                }
                if(checkedRows[i].IDSTATBREC == 'A'){
                    emitirTitulo = true;
                }
            }

            if(emitirTitulo){
                ScreenService.confirmMessage('Existe(m) título(s) marcado(s) pendente de emissão. Deseja emití-lo(s) para prosseguir com o envio de e-mail?', 'question', function() {
                    self.confirmaAberturaEnvioTituloPorEmail();
                }, function (){
                    ScreenService.closePopup();
                });
            }else{
                self.confirmaAberturaEnvioTituloPorEmail();
            }
        }else ScreenService.showMessage('Marque o(s) título(s) para envio por e-mail.');
    };

    /**
     * Confirma Abertura Envio de Título por E-mail
     */
    self.confirmaAberturaEnvioTituloPorEmail = function(){
        var widgetEnviaTitulo = templateManager.container.getWidget('EnviaTituloPorEmailForm');
        widgetEnviaTitulo.isVisible = true;
        ScreenService.closePopup();
        ScreenService.openSwipe(widgetEnviaTitulo);
        self.buscaPadraoEnvioTituloPorEmail(widgetEnviaTitulo);
    };

    /**
     * Busca Padrão Envio Titulo Por Email
     */
    self.buscaPadraoEnvioTituloPorEmail = function (widget){
        Rec00001_TitulosAReceber_Service.buscaEndefili(getLocalVar('CDFILIAL'), 'P').then(function (response_endefili){
            var endefili    = response_endefili.dataset.endefili[0];
            var dsemailfili = endefili.DSEMAILFILI;

            var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');

            var assunto  = '[EMPRESA] - Emissão de Boleto Bancário - Vencimento [VENCIMENTO]';
            var mensagem =
                'Prezado(a) Senhor(a): [CLIENTE]\n\n' +
                'A [EMPRESA] vem por meio deste comunicar a emissão de um novo boleto bancário para V.Sa.\n\n' +
                'Para imprimir, abra o documento em anexo no e-mail.\n\n' +
                'Em caso de dúvidas entre em contato conosco.\n\n' +
                'Atenciosamente,\n' +
                '[EMPRESA]';

            widget.getField('DSEMAILFILI').setValue(dsemailfili);
            widget.getField('DSASSUEMAIL').setValue(assunto);
            widget.getField('DSMENSEMAIL').setValue(mensagem);

            var destinatarioEnviaTituloPorEmailGrid = templateManager.container.getWidget('DestinatarioEnviaTituloPorEmailGrid');
            var datasource = [];

            for (var i = 0; i < widgetTitulos.getCheckedRows().length; i++) {
                datasource[i] = {
                    NRINSJURCLIE   : widgetTitulos.getCheckedRows()[i].NRINSJURCLIE,
                    NMRAZSOCCLIE   : widgetTitulos.getCheckedRows()[i].NMRAZSOCCLIE,
                    DSEMAILCLIE    : widgetTitulos.getCheckedRows()[i].DSEMAILCLIE,
                    DSEMAILCLIECOP : widgetTitulos.getCheckedRows()[i].DSEMAILCLIECOP
                };
            }

            destinatarioEnviaTituloPorEmailGrid.dataSource.data = datasource;
            templateManager.updateTemplate();
        });
    };

    /**
     * Simula Parcelamento Automatico
     * @param widget
     */
    self.simulaParcelamentoAutomatico = function(widget){
        // VERIFICAR SE POSSUI AJUSTE OU ESTÁ ASSOCIADO!!!!
        if(widget.isValid()){
            var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
            var widgetParcelamentoAutomatico = templateManager.container.getWidget('ParcelamentoAutomaticoGrid');

            // Varíaveis dos Campos em Tela
            var nrparcelas  = widget.getField('NRPARCELAS').value();
            var dtprimvenc  = widget.getField('DTPRIMVENC').value();
            var cdmotiparc  = widget.getField('CDMOTIPARC').value();
            var dsmotiparc  = widget.getField('DSMOTIPARC').value();
            var vrfinalbrec = parseFloat(widget.getField('VRFINALBREC').value()).toFixed(2);
            var idproxvenc  = widget.getField('IDPROXVENC').value();
            var nrdiasvenc  = widget.getField('NRDIASVENC').value();

            // Variavel do DataSource
            var datasource = [];
            var dtvencbolrec = moment(dtprimvenc, 'DD/MM/YYYY').format('DD/MM/YYYY');

            // Calculo de Valores das Parcelas
            var vrparcela = parseFloat(vrfinalbrec / nrparcelas).toFixed(2);
            var vrtotparc = vrparcela * nrparcelas;
            var vrultparc = ((vrtotparc != vrfinalbrec)?
                parseFloat((vrfinalbrec)-(vrtotparc)+parseFloat(vrparcela)).toFixed(2)
                : vrparcela);

            for(var i = 1; i <= nrparcelas; i++){
                datasource[i-1] = {
                    'NRORG'        : widgetTitulos.currentRow.NRORG,
                    'CDFILIAL'     : widgetTitulos.currentRow.CDFILIAL,
                    'NRLANBOLREC'  : ((i == 1)?
                        widgetTitulos.currentRow.NRLANBOLREC
                        :null),
                    'NRORIGBOLREC'     : widgetTitulos.currentRow.NRLANBOLREC,
                    'NRPARCBOLREC'     : retornaNumeroParcela(i),
                    'NRPARCBOLRECVISU' : ("00"+ i.toString()).substr(-3),
                    'DTVENBOLREC'      : dtvencbolrec,
                    'VRFINALBREC'      : ((i != nrparcelas)? vrparcela : vrultparc),
                    'CDMOTIPARC'       : cdmotiparc,
                    'DSMOTIPARC'       : dsmotiparc,
                    'IDSTATBREC'       : 'A'
                };

                dtvencbolrec = ((idproxvenc == 'F')?
                    moment(dtvencbolrec, 'DD/MM/YYYY').add(1, 'months').format('DD/MM/YYYY')
                    : moment(dtvencbolrec, 'DD/MM/YYYY').add(nrdiasvenc, 'days').format('DD/MM/YYYY'));
            }

            if(datasource.length > 0) {
                var parcelamentoAutomaticoGrid = templateManager.container.getWidget('ParcelamentoAutomaticoGrid');
                parcelamentoAutomaticoGrid.dataSource.data = datasource;
                widgetParcelamentoAutomatico.getAction('finish').isVisible = true;
                templateManager.updateTemplate();
            }
        }
    };

    /**
     * Altera Campo Proximos Vencimentos
     * @param widget
     */
    self.alteraCampoProximosVencimentos = function(widget){
        var idproxvenc = widget.getField('IDPROXVENC').value();

        if(idproxvenc == 'F') {
            widget.getField('NRDIASVENC').readOnly = true;
            delete widget.getField('NRDIASVENC').validations.required;
            delete widget.getField('NRDIASVENC').validations.min;
            widget.getField('NRDIASVENC').setValue(0);
        }else{
            widget.getField('NRDIASVENC').readOnly = false;
            widget.getField('NRDIASVENC').validations.required = true;
            widget.getField('NRDIASVENC').validations.min = {"limit" : 0};
            widget.getField('NRDIASVENC').setValue(30);
        }
        
        templateManager.updateTemplate();
    };

    /**
     * Busca Padrão Parcelamento Automático
     */
    self.buscaPadraoParcelamentoAutomatico = function (widget){
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetParcelamento = templateManager.container.getWidget('ParcelamentoGrid');
        var widgetParcelamentoAutomatico = templateManager.container.getWidget('ParcelamentoAutomaticoGrid');

        widget.getField('NRPARCELAS').setValue(2);
        widget.getField('CDMOTIPARC').setValue('');
        widget.getField('DSMOTIPARC').setValue('');
        widget.getField('VRFINALBREC').setValue(widgetParcelamento.dataSource.data[0].VRFINALBREC);
        widget.getField('DTPRIMVENC').setValue(widgetParcelamento.dataSource.data[0].DTVENBOLREC);
        widget.getField('IDPROXVENC').setValue('F');
        widget.getField('NRDIASVENC').setValue(0);

        widgetParcelamentoAutomatico.getAction('finish').isVisible = false;
        widgetParcelamentoAutomatico.dataSource.data = [];

        templateManager.updateTemplate();
    };

    /**
     * Envia Título por E-mail
     */
    self.enviaTituloPorEmail = function(){
        var widgetTitulos     = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetEnviaTitulo = templateManager.container.getWidget('EnviaTituloPorEmailForm');

        var dataSet = [widgetTitulos.getCheckedRows(), widgetEnviaTitulo.currentRow];

        General.callRestEngine('fin_contaReceber#/enviaTituloPorEmail', 'DataSet', dataSet).then(function () {
            ScreenService.showMessage('Título(s) enviado(s) por e-mail sucesso.');
            ScreenService.closeSwipe();

            widgetEnviaTitulo.isVisible = false;

            widgetTitulos.dataSource.unSelectAll();
            self.unsetStripeDataFooter();
            self.forceActivate();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /**
     * Abre Cadastramento Automatico
     */
    self.abreCadastramentoAutomatico = function(){
        if(!templateManager.container.getWidget('TitulosAReceberGrid').appliedFilter.FILTER_ROW.CDEMPRESA) {
            ScreenService.showMessage('Operação bloqueada. Empresa não selecionada no filtro.');
            return;
        }

        var widgetTitulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetCadastramentoAutomatico = templateManager.container.getWidget('CadastramentoAutomaticoForm');
        widgetCadastramentoAutomatico.isVisible = true;
        ScreenService.openPopup(widgetCadastramentoAutomatico);
        self.buscaPadraoCadastramentoAutomatico(widgetTitulosAReceberGrid, widgetCadastramentoAutomatico);
    };

    /**
     * Busca Padrão Cadastramento Automático
     */
    self.buscaPadraoCadastramentoAutomatico = function (widgetTitulosAReceberGrid, widgetCadastramentoAutomatico){
        var checkedRows = widgetTitulosAReceberGrid.getCheckedRows();
        var lastChecked = checkedRows ? checkedRows[0] : null;

        var cdfiliemit      = '';
        var nrtamnumnfut    = '';
        var cdempresaemit   = '';
        var cdinscestaemit  = '';
        var cdinscmuniemit  = '';
        var nmfilialemit    = '';
        var cdcliente       = '';
        var nrinsjurclie    = '';
        var idtpijurclie    = '';
        var nmrazsocclie    = '';
        var cdtipooper      = '';
        var nmtipooper      = '';
        var cdserie         = '';
        var dsserie         = '';
        var vrbolrec        = '';
        var dtprimvenc      = moment().format('DD/MM/YYYY');
        var cdtpctreceb     = '';
        var dstpctreceb     = '';
        var dsdefactrec     = '';
        var dscontarec      = '';
        var cdclassfina     = '';

        if(lastChecked) {

            var parfilempr  = self.buscaParamfilialFilialEmprcntrfil(lastChecked.CDEMPRESA, lastChecked.CDFILIEMIT);
            var tipooperac  = self.buscaTipooperac(lastChecked.CDTIPOOPER);
            var serienffili = self.buscaSerienfFilial(lastChecked.CDEMPRESA, lastChecked.CDFILIEMIT, lastChecked.CDSERIE);
            var tipoctreceb = self.buscaTipoctreceber(lastChecked.CDTPCTRECEB);

            ZHPromise.all([parfilempr, tipooperac, serienffili, tipoctreceb]).then(function(response){
                parfilempr   = response[0].dataset.paramfilial_filial_emprcntrfil[0];
                tipooperac   = response[1].dataset.tipooperac[0];
                serienffili  = response[2].dataset.serienf_filial[0];
                tipoctreceb  = response[3].dataset.tipoctreceber[0];

                cdfiliemit      = (parfilempr) ? parfilempr.CDFILIEMIT : '';
                nmfilialemit    = (parfilempr) ? parfilempr.NMFILIEMIT : '';
                cdempresaemit   = (parfilempr) ? parfilempr.CDEMPRESA  : '';
                cdinscestaemit  = (parfilempr) ? parfilempr.CDINSCESTA : '';
                cdinscmuniemit  = (parfilempr) ? parfilempr.CDINSCMUNI : '';
                nrtamnumnfut    = (parfilempr) ? parfilempr.NRTAMNUMNFUT > 0 ? parfilempr.NRTAMNUMNFUT : 9 : '';
                cdcliente       = lastChecked.CDCLIENTE;
                nrinsjurclie    = lastChecked.NRINSJURCLIE;
                idtpijurclie    = lastChecked.IDTPIJURCLIE;
                nmrazsocclie    = lastChecked.NMRAZSOCCLIE;
                nmtipooper      = (tipooperac) ? tipooperac.NMTIPOOPER : '';
                cdtipooper      = (tipooperac) ? tipooperac.CDTIPOOPER : '';
                dsserie         = (serienffili) ? serienffili.DSSERIE : '';
                cdserie         = (serienffili) ? serienffili.CDSERIE : '';
                vrbolrec        = lastChecked.VRBOLREC;
                dtprimvenc      = lastChecked.DTVENBOLREC;
                cdtpctreceb     = (tipoctreceb) ? tipoctreceb.CDTPCTRECEB : '';
                dstpctreceb     = (tipoctreceb) ? tipoctreceb.DSTPCTRECEB : '';
                dsdefactrec     = (tipoctreceb) ? tipoctreceb.DSDEFACTREC : '';
                dscontarec      = (tipoctreceb) ? tipoctreceb.DSDEFACTREC : '';
                cdclassfina     = (tipoctreceb) ? tipoctreceb.CDCLASSFINA : '';

                self.setaPadraoCadastramentoAutomatico(
                    widgetCadastramentoAutomatico, nrtamnumnfut, cdempresaemit, cdinscestaemit, cdinscmuniemit,
                    nmfilialemit, cdfiliemit, cdcliente, nrinsjurclie, idtpijurclie, nmrazsocclie, nmtipooper,
                    cdtipooper, dsserie, cdserie, vrbolrec, dtprimvenc, dstpctreceb, cdtpctreceb, dsdefactrec,
                    dscontarec, cdclassfina
                );
            });
        }else {
            self.setaPadraoCadastramentoAutomatico(
                widgetCadastramentoAutomatico, nrtamnumnfut, cdempresaemit, cdinscestaemit, cdinscmuniemit,
                nmfilialemit, cdfiliemit, cdcliente, nrinsjurclie, idtpijurclie, nmrazsocclie, nmtipooper,
                cdtipooper, dsserie, cdserie, vrbolrec, dtprimvenc, dstpctreceb, cdtpctreceb, dsdefactrec,
                dscontarec, cdclassfina
            );
        }
    };

    /**
     * Seta Padrão Cadastramento Automático
     */
    self.setaPadraoCadastramentoAutomatico = function (
        widgetCadastramentoAutomatico, nrtamnumnfut, cdempresaemit, cdinscestaemit, cdinscmuniemit,
        nmfilialemit, cdfiliemit, cdcliente, nrinsjurclie, idtpijurclie, nmrazsocclie, nmtipooper,
        cdtipooper, dsserie, cdserie, vrbolrec, dtprimvenc, dstpctreceb, cdtpctreceb, dsdefactrec,
        dscontarec, cdclassfina
    ){

        widgetCadastramentoAutomatico.getField('NRORG').setValue(getLocalVar('NRORG'));
        widgetCadastramentoAutomatico.getField('CDFILIAL').setValue(getLocalVar('CDFILIAL'));
        widgetCadastramentoAutomatico.getField('NRTITULOS').setValue(1);
        widgetCadastramentoAutomatico.getField('NRTAMNUMNFUT').setValue(nrtamnumnfut);
        widgetCadastramentoAutomatico.getField('CDEMPRESAEMIT').setValue(cdempresaemit);
        widgetCadastramentoAutomatico.getField('CDINSCESTAEMIT').setValue(cdinscestaemit);
        widgetCadastramentoAutomatico.getField('CDINSCMUNIEMIT').setValue(cdinscmuniemit);
        widgetCadastramentoAutomatico.getField('NMFILIALEMIT').setValue(nmfilialemit);
        widgetCadastramentoAutomatico.getField('CDFILIEMIT').setValue(cdfiliemit);
        widgetCadastramentoAutomatico.getField('IDSTATUS').setValue('A');
        widgetCadastramentoAutomatico.getField('CDCLIENTE').setValue(cdcliente);
        widgetCadastramentoAutomatico.getField('NRINSJURCLIE').setValue(nrinsjurclie);
        widgetCadastramentoAutomatico.getField('IDTPIJURCLIE').setValue(idtpijurclie);
        widgetCadastramentoAutomatico.getField('NMRAZSOCCLIE').setValue(nmrazsocclie);
        widgetCadastramentoAutomatico.getField('CDTIPOOPER').setValue(cdtipooper);
        widgetCadastramentoAutomatico.getField('NMTIPOOPER').setValue(nmtipooper);
        widgetCadastramentoAutomatico.getField('CDSERIE').setValue(cdserie);
        widgetCadastramentoAutomatico.getField('DSSERIE').setValue(dsserie);
        widgetCadastramentoAutomatico.getField('VRNOTAFISC').setValue(vrbolrec);
        widgetCadastramentoAutomatico.getField('DTPRIMVENC').setValue(dtprimvenc);
        widgetCadastramentoAutomatico.getField('IDPROXVENC').setValue('F');
        widgetCadastramentoAutomatico.getField('NRDIASVENC').setValue(0);
        widgetCadastramentoAutomatico.getField('CDTPCTRECEB').setValue(cdtpctreceb);
        widgetCadastramentoAutomatico.getField('DSTPCTRECEB').setValue(dstpctreceb);
        widgetCadastramentoAutomatico.getField('DSDEFACTREC').setValue(dsdefactrec);
        widgetCadastramentoAutomatico.getField('DSCONTAREC').setValue(dscontarec);
        widgetCadastramentoAutomatico.getField('CDCLASSFINA').setValue(cdclassfina);

        templateManager.updateTemplate();
    };

    /**
     * Gera Cadastramento Automático Títulos a Receber/Recebidos
     */
    self.geraCadastramentoAutomatico = function(){
        var widgetTitulosAReceberGrid     = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetCadastramentoAutomatico = templateManager.container.getWidget('CadastramentoAutomaticoForm');

        if(widgetCadastramentoAutomatico.isValid()) {
            Rec00001_TitulosAReceber_Service.geraCadastramentoAutomatico(widgetCadastramentoAutomatico.currentRow).then(function () {
                ScreenService.showMessage('Registros salvos com sucesso.');
                ScreenService.closePopup(widgetCadastramentoAutomatico);
                ScreenService.closePopup();

                widgetCadastramentoAutomatico.isVisible = false;
                
                widgetTitulosAReceberGrid.unSelectAll();
                self.unsetStripeDataFooter();
                
                widgetTitulosAReceberGrid.activate();
                widgetTitulosAReceberGrid.reload();
            }, function (error) {
                if (contabilizacaoController.checkErrosContabilizacao(error)) {
                    ScreenService.showMessage(error.data.error);
                }
            });
        }
    };

    /**
     * Abre Cadastramento Automatico
     */
    self.abreDescontaTitulo = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widgetTitulosAReceber.getCheckedRows();
        var cdreducont  = null;

        for(var i in checkedrows) {
            if ((checkedrows[i].IDSTATBREC != 'A') && (checkedrows[i].IDSTATBREC != 'E')) {
                ScreenService.showMessage('Operação bloqueada. Marque somente título(s) em status "Em Aberto".');
                return;
            }
            if (checkedrows[i].IDSITUCNABR != '00') {
                ScreenService.showMessage('Operação bloqueada. Título(s) enviado(s), via CNAB, não pode(m) ser alterado(s).');
                return;
            }
            if (checkedrows[i].IDSTATUS == 'V') {
                ScreenService.showMessage('Operação bloqueada. Título(s) previsto(s) não pode(m) ser alterado(s).');
                return;
            }
            if (!checkedrows[i].CDREDUCONT) {
                ScreenService.showMessage('Operação bloqueada. Título(s) está(ão) sem conta cobrança.');
                return;
            }
            if((cdreducont) && (cdreducont != checkedrows[i].CDREDUCONT)) {
                ScreenService.showMessage('Operação bloqueada. Título(s) deve(m) pertencer a mesma conta cobrança.');
                return;
            }else cdreducont = checkedrows[i].CDREDUCONT;
        }

        var widgetDescontaTitulo  = templateManager.container.getWidget('DescontaTituloForm');
        widgetDescontaTitulo.isVisible = true;
        ScreenService.openPopup(widgetDescontaTitulo);
        self.buscaPadraoDescontaTitulo(widgetTitulosAReceber, widgetDescontaTitulo);
    };

    /**
     * Busca Padrão Cadastramento Automático
     */
    self.buscaPadraoDescontaTitulo = function (widgetTitulosAReceber, widgetDescontaTitulo){
        widgetDescontaTitulo.getField('NRORG').setValue(getLocalVar('NRORG'));
        widgetDescontaTitulo.getField('CDFILIAL').setValue(getLocalVar('CDFILIAL'));
        widgetDescontaTitulo.getField('CDOPERADOR').setValue(getLocalVar('CDOPERADOR'));
        widgetDescontaTitulo.getField('CDEMPRESA').setValue(widgetTitulosAReceber.appliedFilter.FILTER_ROW.CDEMPRESA);
        widgetDescontaTitulo.getField('DTMOVICRED').setValue(moment().format('DD/MM/YYYY'));
        widgetDescontaTitulo.getField('DSTPCREDBANC').setValue('');
        widgetDescontaTitulo.getField('VRMOVICRED').setValue('');
        widgetDescontaTitulo.getField('DSCONTCORR').setValue('');
        widgetDescontaTitulo.getField('NRDOCMBANC').setValue('');
        widgetDescontaTitulo.getField('DSMOVICRED').setValue('');
    };

    /**
     * Envia Título por E-mail
     */
    self.salvaTituloDescontado = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetDescontaTitulo  = templateManager.container.getWidget('DescontaTituloForm');

        if(widgetDescontaTitulo.isValid()) {
            var dataSet = [widgetDescontaTitulo.currentRow, widgetTitulosAReceber.getCheckedRows()];

            General.callRestEngine('fin_contaReceber#/salvaTituloDescontado', 'DataSet', dataSet).then(function () {
                ScreenService.showMessage('Título(s) descontado(s) com sucesso.');
                ScreenService.closePopup(widgetDescontaTitulo);
                ScreenService.closePopup();

                widgetDescontaTitulo.isVisible = false;
                
                self.unsetStripeDataFooter();
                
                widgetTitulosAReceber.dataSource.unSelectAll();
                widgetTitulosAReceber.reload();
                widgetTitulosAReceber.activate();
            }).catch(function (erro) {
                ScreenService.showMessage(erro.data.error);
            });
        }
    };

    /**
     * Envia Título por E-mail
     */
    self.cancelaTituloDescontado = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widgetTitulosAReceber.getCheckedRows();

        for(var i in checkedrows) {
            if ((checkedrows[i].IDSTATBREC != 'D')) {
                ScreenService.showMessage('Operação bloqueada. Marque somente título(s) em status "Descontado".');
                return;
            }
        }

        ScreenService.confirmMessage('Deseja realmente cancelar o(s) título(s) descontado(s) marcado(s)?', 'question', function() {

            General.callRestEngine('fin_contaReceber#/cancelaTituloDescontado', 'DataSet', [checkedrows]).then(function () {
                ScreenService.showMessage('Título(s) descontado(s) cancelado(s) com sucesso.');
                ScreenService.closePopup();

                widgetTitulosAReceber.activate();
                widgetTitulosAReceber.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
                widgetTitulosAReceber.reload();
            }).catch(function (erro) {
                ScreenService.showMessage(erro.data.error);
            });
        });
    };

    /**
     * Envia Título por E-mail
     */
    self.efetivarRecebimentoDescontado = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widgetTitulosAReceber.getCheckedRows();
        var cdreducont = null;

        for(var i in checkedrows) {
            if ((checkedrows[i].IDSTATBREC != 'D')) {
                ScreenService.showMessage('Operação bloqueada. Marque somente título(s) em status "Descontado".');
                return;
            }
            if ((checkedrows[i].DTBAIXAREC)) {
                ScreenService.showMessage('Operação bloqueada. Existe(m) titulo(s) selecionado(s) com recebimento já efetivado.');
                return;
            }
            if((cdreducont) && (cdreducont != checkedrows[i].CDREDUCONT)) {
                ScreenService.showMessage('Operação bloqueada. Título(s) deve(m) pertencer a mesma conta cobrança.');
                return;
            }else cdreducont = checkedrows[i].CDREDUCONT;
        }

        ScreenService.confirmMessage('Deseja realmente efetivar recebimento do(s) título(s) descontado(s) marcado(s)?', 'question', function() {
            General.callRestEngine('fin_contaReceber#/efetivarRecebimentoDescontado', 'DataSet', [checkedrows]).then(function () {
                ScreenService.showMessage('Título(s) descontado(s) efetivado recebimento com sucesso.');
                ScreenService.closePopup();

                widgetTitulosAReceber.activate();
                widgetTitulosAReceber.reload();
            }).catch(function (erro) {
                ScreenService.showMessage(erro.data.error);
            });
        });
    };

    /**
     * Cancela Título Retorno
     */
    self.cancelaTituloRetorno = function(){
        var route = 'fin_contaReceber#/cancelaTituloRetornoCob';
        var widgetCnabRetorno        = templateManager.container.getWidget('CnabRetornoForm');
        var widgetCnabRetornoTitulo  = templateManager.container.getWidget('CnabRetornoTituloForm');
        var checkedRowsCnabRetTitulo = widgetCnabRetornoTitulo.getCheckedRows();

        for (var i in checkedRowsCnabRetTitulo) {
            if (checkedRowsCnabRetTitulo[i].IDSITUCNABR == '90') {
                ScreenService.showMessage('Operação Bloqueada. Título(s) marcado(s) com baixa via CNAB não pode(m) ser cancelado(s) do retorno.');
                return;
            }
        }

        ScreenService.confirmMessage('Deseja realmente cancelar o(s) título(s) do retorno?', 'question', function () {
            var dataset = {
                retorno : widgetCnabRetorno.currentRow,
                boletos : widgetCnabRetornoTitulo.getCheckedRows()
            };

            General.callRestEngine(route, 'DataSet', dataset)
                .then(function(){
                    ScreenService.showMessage('Título(s) cancelado(s) do retorno com sucesso.', 'checked');
                    widgetCnabRetornoTitulo.dataSource.unSelectAll();
                    self.unsetStripeDataFooter();
                    widgetCnabRetornoTitulo.reload();
                })
                .catch(function(erro){
                    ScreenService.showMessage(erro.data.error);
                });
        });
    };

    /**
     * Abre Importação Retorno Título
     */
    self.abreImportacaoRetornoTitulo = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        /*widgetTitulosAReceber.appliedFilter.FILTER_ROW.CDEMPRESA;
        widgetTitulosAReceber.appliedFilter.FILTER_ROW.NMEMPRESA;*/

        var widgetImportacaoRetorno = templateManager.container.getWidget('ImportacaoRetornoForm');
        widgetImportacaoRetorno.isVisible = true;
        self.widgetEmEdicao('ImportacaoRetornoForm', true);
        ScreenService.openSwipe(widgetImportacaoRetorno);
        ScreenService.closePopup(true);
        self.buscaPadraoImportacaoRetornoTitulo(widgetTitulosAReceber, widgetImportacaoRetorno);
    };

    /**
     * Widget em modo de Edição
     * @param widget_name
     */
    self.widgetEmEdicao = function(widget_name, editing){
        var widget = templateManager.container.getWidget(widget_name);
        widget.editing = editing;
        templateManager.updateTemplate();
    };

    /**
     * Desabilita Abas
     * @param widget
     */
    self.desabilitaAbas = function(widget_name, disable){
        var widget = templateManager.container.getWidget(widget_name);
        
        if(disable){
            General.changeWidgetAcessibility(widget.getParent().widgets, !disable);
            General.changeWidgetAcessibility([widget.getParent()], !disable);
            General.changeWidgetAcessibility([widget], disable);
        }else{
            General.changeWidgetAcessibility(widget.getParent().widgets, !disable);
            General.changeWidgetAcessibility([widget.getParent()], !disable);
        }
    };

    /**
     * Busca Padrão Importação Retorno Título
     */
    self.buscaPadraoImportacaoRetornoTitulo = function(widgetTitulosAReceber, widgetImportacaoRetorno){
        widgetImportacaoRetorno.getField('CDEMPRESA').setValue(widgetTitulosAReceber.appliedFilter.FILTER_ROW.CDEMPRESA);
        widgetImportacaoRetorno.getField('NMEMPRESA').setValue(widgetTitulosAReceber.appliedFilter.FILTER_ROW.NMEMPRESA);
        widgetImportacaoRetorno.getField('NMBANCO').setValue('');
        widgetImportacaoRetorno.getField('DSARQCNABREC').setValue('');
        widgetImportacaoRetorno.getField('DSARQCNABREC').readOnly = true;

        self.deleteDataRetorno();

        templateManager.updateTemplate();
    };

    /**
     *
     * @param widgetImportacaoRetorno
     */
    self.validaVisualizacaoImportacao = function(widgetImportacaoRetorno){
        widgetImportacaoRetorno.getField('DSARQCNABREC').setValue('');
        widgetImportacaoRetorno.getField('DSARQCNABREC').readOnly = !widgetImportacaoRetorno.getField('NMBANCO').value();

        self.deleteDataRetorno();

        templateManager.updateTemplate();
    };

    /**
     * Prepara Arquivo de Retorno
     * @param widget
     */
    self.preparaArquivoRetorno = function(widget){
        var route = 'fin_contaReceber#/carregaRetornoCobranca';
        
        var arqRetorno      = widget.currentRow.DSARQCNABREC[0];
        var conteudoArquivo = arqRetorno.b64File.split(',')[1];
        var empresa         = widget.currentRow.CDEMPRESA;
        
        var row = {
            'CDEMPRESA': empresa,
            'CDBANCO': widget.currentRow.CDBANCO,
            'CDBANCCNAB': widget.currentRow.CDBANCCNAB,
            'CNABRETORNO': conteudoArquivo
        };

        General.callRestEngine(route, 'Row', row)
            .then(function(response){
                self.setDataSourceRetorno(response.dataset.BOLETOS);
                self.setDataSourceOcorrencias(response.dataset.OCORRENCIAS);
                widget.widgets[0].SITUACAOCNAB = response.dataset.SITUACAOCNAB[0];
            }).catch(function(erro){
                widget.currentRow.DSARQCNABREC = [];
                ScreenService.showMessage(erro.data.error);
            });
    };

    /**
     * Data Source Retorno
     * @param boletos
     */
    self.setDataSourceRetorno = function(boletos){
        var widgetBoletos = templateManager.container.getWidget('ImportacaoRetornoTituloGrid');
        widgetBoletos.dataSource.data = [];
        widgetBoletos.dataSource.data = boletos;
    };

    /**
     * Data Source Ocorrências
     * @param ocorrencias
     */
    self.setDataSourceOcorrencias = function(ocorrencias){
        var widgetOcorrencias = templateManager.container.getWidget('OcorrenciaImportacaoRetornoGrid');
        widgetOcorrencias.dataSource.data = [];
        widgetOcorrencias.ocorrencias = ocorrencias;
    };

    /**
     * Insere Retorno Título
     */
    self.insereRetornoTitulo = function(){
        var widgetTitulos     = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetBoletos     = templateManager.container.getWidget('ImportacaoRetornoTituloGrid');
        var widgetOcorrencias = templateManager.container.getWidget('OcorrenciaImportacaoRetornoGrid');

        if (widgetBoletos.getParent().isValid()){
            if (widgetBoletos.dataSource.data.length > 0) {
                if (self.validaSituacaoCnab(widgetBoletos)) {
                    var dataSet = [];
                    var route = 'fin_contaReceber#/insereRetornoCobranca';

                    var form = {
                        'NOMEARQUIVO' : widgetBoletos.getParent().currentRow.DSARQCNABREC[0].name,
                        'CDBANCCNAB'  : widgetBoletos.getParent().currentRow.CDBANCCNAB,
                        'CDBANCO'     : widgetBoletos.getParent().currentRow.CDBANCCNAB,
                        'CDEMPRESA'   : widgetBoletos.getParent().currentRow.CDEMPRESA
                    };

                    dataSet.push(form);
                    dataSet.push(widgetBoletos.dataSource.data);
                    dataSet.push(widgetOcorrencias.ocorrencias);

                    General.callRestEngine(route, 'DataSet', dataSet)
                        .then(function () {
                            ScreenService.goBack().then(function () {
                                ScreenService.showMessage('Registro salvo com sucesso.', 'checked');
                                widgetBoletos.getParent().isVisible = false;
                                widgetTitulos.activate();
                                widgetTitulos.reload();
                            });
                        }).catch(function (erro) {
                            ScreenService.showMessage(erro.data.error);
                        });

                } else ScreenService.showMessage('Registro(s) do arquivo de retorno possui(em) ocorrência(s) que não possibilita(m) o salvamento.');
            }else ScreenService.showMessage('Não existe(m) título(s) para importação.');
        }
    };

    /**
     * Valída Situação CNAB
     * @param boletos
     * @returns {boolean}
     */
    self.validaSituacaoCnab = function(boletos){
        var boletoValido = !boletos.dataSource.data.every(function(elem) {return elem.SITUACAOBOLETO == false;});
        return (boletos.SITUACAOCNAB && boletoValido) ? true : false;
    };

    /**
     * Deleta Data Retorno
     */
    self.deleteDataRetorno = function(){
        var widgetBoletos = templateManager.container.getWidget('ImportacaoRetornoTituloGrid');
        var widgetOcorrencias = templateManager.container.getWidget('OcorrenciaImportacaoRetornoGrid');
        widgetBoletos.dataSource.data = [];
        widgetOcorrencias.dataSource.data = [];
        widgetOcorrencias.ocorrencias = [];
    };

    /**
     * Abre Ocorrências
     * @param widget
     */
    self.abreOcorrencias = function(widget){
        var widgetOcorrencias = templateManager.container.getWidget('OcorrenciaImportacaoRetornoGrid');
        widgetOcorrencias.dataSource.data = widgetOcorrencias.ocorrencias.filter(function(ocorrencia){
            return (ocorrencia.CDLINHA == widget.currentRow.CDLINHA || ocorrencia.GERAL);
        });
        //templateManager.container.getWidget('OcorrenciaImportacaoRetornoGrid').activate();
    };

    /**
     * Abre Renegociação Financeira
     */
    self.abreRenegociacaoFinanceira = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widgetTitulosAReceber.getCheckedRows();
        var cdcliente   = null;
        var cdtpctreceb = null;

        self.buscaGeralRec().then(function(response_geralrec) {

            var geral_rec = response_geralrec.dataset.geral_rec[0];

            if(!geral_rec.CDTPBXRENEGO){
                ScreenService.showMessage('Operação bloqueada. Tipo de baixa padrão para renegociação não parametrizado nos parâmetros de títulos a receber.');
                return;
            }

            if(!geral_rec.CDAJACRERENEGO){
                ScreenService.showMessage('Operação bloqueada. Tipo de ajuste de acréscimo padrão para renegociação não parametrizado nos parâmetros de títulos a receber.');
                return;
            }

            if(!geral_rec.CDAJDESCRENEGO){
                ScreenService.showMessage('Operação bloqueada. Tipo de ajuste de desconto padrão para renegociação não parametrizado nos parâmetros de títulos a receber.');
                return;
            }

            for(var i in checkedrows) {
                if(checkedrows[i].IDRENEGOCFIN == 'S') {
                    ScreenService.showMessage('Operação Bloqueada. Existe(m) título(s) marcado(s) já renegociado(s).');
                    return;
                }

                if(checkedrows[i].IDSTATUS == 'V') {
                    ScreenService.showMessage('Operação Bloqueada. Título(s) previsto(s) não pode(m) ser renegociado(s).');
                    return;
                }

                if(checkedrows[i].IDSTATBREC != 'A') {
                    ScreenService.showMessage('Operação Bloqueada. Somente título(s) em status "Em Aberto" pode(m) ser renegociado(s).');
                    return;
                }

                // Valida Cliente
                if(cdcliente){
                    if(cdcliente != checkedrows[i].CDCLIENTE){
                        ScreenService.showMessage('Operação bloqueada. Títulos devem pertencer ao mesmo cliente.');
                        return;
                    }
                }else{
                    cdcliente = checkedrows[i].CDCLIENTE;
                }

                // Valida Tipo de Conta
                if(cdtpctreceb){
                    if(cdtpctreceb != checkedrows[i].CDTPCTRECEB){
                        ScreenService.showMessage('Operação bloqueada. Títulos devem conter o mesmo tipo de conta.');
                        return;
                    }
                }else{
                    cdtpctreceb = checkedrows[i].CDTPCTRECEB;
                }

            }

            var widgetRenegociacaoFin = templateManager.container.getWidget('RenegociacaoFinanceiraForm');

            widgetRenegociacaoFin.isVisible = true;
            ScreenService.openSwipe(widgetRenegociacaoFin);
            ScreenService.closePopup(true);

            self.buscaPadraoRenegociacaoFinanceira(widgetTitulosAReceber, widgetRenegociacaoFin, geral_rec);
        });
    };

    /**
     * Busca Padrão Renegociação Financeira
     */
    self.buscaPadraoRenegociacaoFinanceira = function (widgetTitulosAReceber, widgetRenegociacaoFin, geral_rec){

        var vrliquido   = 0;
        var vrcalculado = 0;
        var nrdiasvenc  = 0;
        var dtatual     = moment().format('DD/MM/YYYY');
        var dtvenbolrec = moment().format('DD/MM/YYYY');
        var dataatual, datavenci;

        widgetTitulosAReceber.getCheckedRows().forEach(function (data) {
            vrliquido += data.VRFINALBREC;

            dtvenbolrec = moment(data.DTVENBOLREC, 'DD/MM/YYYY').format('DD/MM/YYYY');
            dataatual = moment(dtatual, 'DD/MM/YYYY');
            datavenci = moment(dtvenbolrec, 'DD/MM/YYYY');

            if(datavenci.isBefore(dataatual)){
                nrdiasvenc = moment(dtatual, 'DD/MM/YYYY').diff(moment(dtvenbolrec, 'DD/MM/YYYY'), 'days');
                vrcalculado += parseFloat(data.VRFINALBREC + (data.VRMULTABREC + (nrdiasvenc * (data.VRFINALBREC * data.VRPEMORBREC / 100))));
            }else vrcalculado += parseFloat(data.VRFINALBREC);

        });

        var checkedRows = widgetTitulosAReceber.getCheckedRows();
        var lastChecked = checkedRows ? checkedRows[0] : null;

        var nrorg        = lastChecked.NRORG;
        var cdfilial     = lastChecked.CDFILIAL;
        var cdempresa    = lastChecked.CDEMPRESA;
        var cdfiliemit   = lastChecked.CDFILIEMIT;
        var cdcliente    = lastChecked.CDCLIENTE;
        var nrinsjurclie = lastChecked.NRINSJURCLIE;
        var idtpijurclie = lastChecked.IDTPIJURCLIE;
        var cdserie      = lastChecked.CDSERIE;
        var cdtipooper   = lastChecked.CDTIPOOPER;
        var cdtpctreceb  = lastChecked.CDTPCTRECEB;
        var cdtpbxrenego = geral_rec.CDTPBXRENEGO;

        var geralrec    = self.buscaGeralRec();
        var parfilempr  = self.buscaParamfilialFilialEmprcntrfil(cdempresa, cdfiliemit);
        var tipooperac  = self.buscaTipooperac(cdtipooper);
        var serienffili = self.buscaSerienfFilial(cdempresa, cdfiliemit, cdserie);
        var tipoctreceb = self.buscaTipoctreceber(cdtpctreceb);

        ZHPromise.all([geralrec, parfilempr, tipooperac, serienffili, tipoctreceb]).then(function(response){


            geralrec     = response[0].dataset.geral_rec[0];
            parfilempr   = response[1].dataset.paramfilial_filial_emprcntrfil[0];
            tipooperac   = response[2].dataset.tipooperac[0];
            serienffili  = response[3].dataset.serienf_filial[0];
            tipoctreceb  = response[4].dataset.tipoctreceber[0];

            var cdtpbxrenego    = (geralrec) ? geralrec.CDTPBXRENEGO  : '';
            var cdajacrerenego  = (geralrec) ? geralrec.CDAJACRERENEGO  : '';
            var cdajdescrenego  = (geralrec) ? geralrec.CDAJDESCRENEGO  : '';
            var cdempresaemit   = (parfilempr) ? parfilempr.CDEMPRESA  : '';
            var cdinscestaemit  = (parfilempr) ? parfilempr.CDINSCESTA : '';
            var cdinscmuniemit  = (parfilempr) ? parfilempr.CDINSCMUNI : '';
            var nrtamnumnfut    = (parfilempr) ? parfilempr.NRTAMNUMNFUT > 0 ? parfilempr.NRTAMNUMNFUT : 9 : '';
            var dstpctreceb     = (tipoctreceb) ? tipoctreceb.DSTPCTRECEB : '';
            var cdclassfina     = (tipoctreceb) ? tipoctreceb.CDCLASSFINA : '';
            var dtprimvenc      = moment().format('DD/MM/YYYY');

            self.setaPadraoRenegociacaoFinanceira(
                widgetRenegociacaoFin, nrorg, cdfilial, cdfiliemit, cdempresaemit, cdinscestaemit, cdinscmuniemit,
                nrtamnumnfut, cdcliente, nrinsjurclie, idtpijurclie, cdtipooper, cdserie, cdtpctreceb, dstpctreceb,
                cdclassfina, vrliquido, vrcalculado, dtprimvenc, cdtpbxrenego, cdajacrerenego, cdajdescrenego
            );
            
            widgetRenegociacaoFin.getField('NRDIASVENC').readOnly = true;

            var renegociacaoFinanceira = templateManager.container.getWidget('RenegociacaoFinanceiraGrid');
            renegociacaoFinanceira.dataSource.data = [];

            templateManager.updateTemplate();
        });
    };

    /**
     * Seta Padrão Renegociação Financeira
     */
    self.setaPadraoRenegociacaoFinanceira = function (
        widgetRenegociacaoFin, nrorg, cdfilial, cdfiliemit, cdempresaemit, cdinscestaemit, cdinscmuniemit,
        nrtamnumnfut, cdcliente, nrinsjurclie, idtpijurclie, cdtipooper, cdserie, cdtpctreceb, dstpctreceb,
        cdclassfina, vrliquido, vrcalculado, dtprimvenc, cdtpbxrenego, cdajacrerenego, cdajdescrenego
    ){

        widgetRenegociacaoFin.currentRow.NRORG          = nrorg;
        widgetRenegociacaoFin.currentRow.CDFILIAL       = cdfilial;
        widgetRenegociacaoFin.currentRow.CDOPERADOR     = getLocalVar('CDOPERADOR');
        widgetRenegociacaoFin.currentRow.NRTAMNUMNFUT   = nrtamnumnfut;
        widgetRenegociacaoFin.currentRow.CDEMPRESAEMIT  = cdempresaemit;
        widgetRenegociacaoFin.currentRow.CDINSCESTAEMIT = cdinscestaemit;
        widgetRenegociacaoFin.currentRow.CDINSCMUNIEMIT = cdinscmuniemit;
        widgetRenegociacaoFin.currentRow.CDFILIEMIT     = cdfiliemit;
        widgetRenegociacaoFin.currentRow.IDSTATUS       = 'A';
        widgetRenegociacaoFin.currentRow.CDCLIENTE      = cdcliente;
        widgetRenegociacaoFin.currentRow.NRINSJURCLIE   = nrinsjurclie;
        widgetRenegociacaoFin.currentRow.IDTPIJURCLIE   = idtpijurclie;
        widgetRenegociacaoFin.currentRow.CDTIPOOPER     = cdtipooper;
        widgetRenegociacaoFin.currentRow.CDSERIE        = cdserie;
        widgetRenegociacaoFin.currentRow.DTPRIMVENC     = dtprimvenc;
        widgetRenegociacaoFin.currentRow.DSCONTCORR     = '';
        widgetRenegociacaoFin.currentRow.DSRENEGOFIN    = '';
        widgetRenegociacaoFin.currentRow.IDAJUSTE       = 'A';
        widgetRenegociacaoFin.currentRow.NRPARCELAS     = 1;
        widgetRenegociacaoFin.currentRow.VRLIQUIDO      = vrliquido;
        widgetRenegociacaoFin.currentRow.VRCALCULADO    = vrcalculado.toFixed(2);
        widgetRenegociacaoFin.currentRow.VRNEGOCIADO    = vrcalculado.toFixed(2);
        widgetRenegociacaoFin.currentRow.IDPROXVENC     = 'F';
        widgetRenegociacaoFin.currentRow.NRDIASVENC     = 0;
        widgetRenegociacaoFin.currentRow.VRAJUSTE       = "0.00";
        widgetRenegociacaoFin.currentRow.VRPERAJUSTE    = "0.00";
        widgetRenegociacaoFin.currentRow.CDTPCTRECEB    = cdtpctreceb;
        widgetRenegociacaoFin.currentRow.DSTPCTRECEB    = dstpctreceb;
        widgetRenegociacaoFin.currentRow.CDCLASSFINA    = cdclassfina;
        widgetRenegociacaoFin.currentRow.CDTPBXRENEGO   = cdtpbxrenego;
        widgetRenegociacaoFin.currentRow.CDAJACRERENEGO = cdajacrerenego;
        widgetRenegociacaoFin.currentRow.CDAJDESCRENEGO = cdajdescrenego;

        templateManager.updateTemplate();
    };

    /**
     * Cálcula Valor para Percentual Ajuste Títulos a Receber/Recebidos
     * @param args
     */
    self.calcValorPercAjusteId = function(args){
        var row = args.row;
        var vrajuste    = parseFloat(row.VRAJUSTE.replace(',','.'));
        var vrcalculado = parseFloat(row.VRCALCULADO);

        row.VRPERAJUSTE = parseFloat((vrajuste * 100)/vrcalculado).toFixed(2);

        if(row.IDAJUSTE == 'A')
             row.VRNEGOCIADO = parseFloat(vrcalculado + vrajuste).toFixed(2);
        else row.VRNEGOCIADO = parseFloat(vrcalculado - vrajuste).toFixed(2);
    };

    /**
     * Cálcula Valor para Percentual Ajuste Títulos a Receber/Recebidos
     * @param args
     */
    self.calcValorPercAjuste = function(args){
        var row = args.row;
        var vrajuste    = parseFloat(row.VRAJUSTE.replace('.','').replace(',','.'));
        var vrcalculado = parseFloat(row.VRCALCULADO);

        row.VRPERAJUSTE = parseFloat((vrajuste * 100)/vrcalculado).toFixed(2);

        if(row.IDAJUSTE == 'A')
             row.VRNEGOCIADO = parseFloat(vrcalculado + vrajuste).toFixed(2);
        else row.VRNEGOCIADO = parseFloat(vrcalculado - vrajuste).toFixed(2);
    };

    /**
     * Cálcula Percentual para Valor Ajuste Títulos a Receber/Recebidos
     * @param args
     */
    self.calcPercValorAjuste = function(args){
        var row = args.row;
        var vrperajuste = parseFloat(row.VRPERAJUSTE.replace(',','.'));
        var vrcalculado = parseFloat(row.VRCALCULADO);

        row.VRAJUSTE    = parseFloat((vrperajuste * vrcalculado)/100).toFixed(2);

        if(row.IDAJUSTE == 'A')
             row.VRNEGOCIADO = parseFloat(vrcalculado + parseFloat(row.VRAJUSTE)).toFixed(2);
        else row.VRNEGOCIADO = parseFloat(vrcalculado - parseFloat(row.VRAJUSTE)).toFixed(2);
    };

    /**
     * Simula Renegociação Financeira
     * @param widget
     */
    self.simulaRenegociacaoFinanceira = function(widget){
        if(widget.isValid()){
            var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');

            // Varíaveis dos Campos em Tela
            var nrparcelas  = widget.getField('NRPARCELAS').value();
            var dtprimvenc  = widget.getField('DTPRIMVENC').value();
            var idproxvenc  = widget.getField('IDPROXVENC').value();
            var nrdiasvenc  = widget.getField('NRDIASVENC').value();
            var vrnegociado = parseFloat(widget.getField('VRNEGOCIADO').value()).toFixed(2);

            // Variavel do DataSource
            var datasource = [];
            var dtvencbolrec = moment(dtprimvenc, 'DD/MM/YYYY').format('DD/MM/YYYY');

            // Calculo de Valores das Parcelas
            var vrparcela = parseFloat(vrnegociado / nrparcelas).toFixed(2);
            var vrtotparc = vrparcela * nrparcelas;
            var vrultparc = ((vrtotparc != vrnegociado)?
                parseFloat((vrnegociado)-(vrtotparc)+parseFloat(vrparcela)).toFixed(2)
                : vrparcela);

            for(var i = 1; i <= nrparcelas; i++){
                datasource[i-1] = {
                    'NRORG'        : widget.getField('NRORG').value(),
                    'CDFILIAL'     : widget.getField('CDFILIAL').value(),
                    'NRPARCBOLREC' : ("0"+ i.toString()).substr(-2),
                    'DTVENBOLREC'  : dtvencbolrec,
                    'VRFINALBREC'  : ((i != nrparcelas)?vrparcela:vrultparc)
                };

                dtvencbolrec = ((idproxvenc == 'F')?
                    moment(dtvencbolrec, 'DD/MM/YYYY').add(1, 'months').format('DD/MM/YYYY')
                    : moment(dtvencbolrec, 'DD/MM/YYYY').add(nrdiasvenc, 'days').format('DD/MM/YYYY'));
            }

            if(datasource.length > 0) {
                var renegociacaoFinanceira = templateManager.container.getWidget('RenegociacaoFinanceiraGrid');
                renegociacaoFinanceira.dataSource.data = datasource;
                templateManager.updateTemplate();
            }
        }
    };

    /**
     * Confirma Renegociação Financeira
     */
    self.confirmaRenegociacaoFinanceira = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetRenegFinanForm  = templateManager.container.getWidget('RenegociacaoFinanceiraForm');
        var widgetRenegFinanGrid  = templateManager.container.getWidget('RenegociacaoFinanceiraGrid');
        var vrtotalreneg = 0;

        if(widgetRenegFinanGrid.dataSource.data.length < 1){
            ScreenService.showMessage('Operação bloqueada. Simule a renegociação financeira para confirmar a operação.');
            return;
        }

        for(var i in widgetRenegFinanGrid.dataSource.data) {
            if ($.currency.unmaskString(widgetRenegFinanGrid.dataSource.data[i].VRFINALBREC) <= 0) {
                ScreenService.showMessage('Operação bloqueada. Existe(m) parcela(s) menor(es) ou igual(is) a zero.');
                return;
            }

            vrtotalreneg += parseFloat(widgetRenegFinanGrid.dataSource.data[i].VRFINALBREC);
        }

        if(parseFloat(vrtotalreneg).toFixed(2) != parseFloat(widgetRenegFinanForm.currentRow.VRNEGOCIADO).toFixed(2)){
            ScreenService.showMessage('Operação bloqueada. Valor negociado direfente do somatório das parcelas.');
            return;
        }

        var dataSource = [
            widgetRenegFinanForm.currentRow,
            widgetRenegFinanGrid.dataSource.data,
            widgetTitulosAReceber.getCheckedRows()
            ];

        General.callRestEngine('fin_contaReceber#/confirmaRenegociacaoFinanceira', 'DataSet', dataSource).then(function () {
            ScreenService.showMessage('Registro salvo com sucesso.');
            ScreenService.closeSwipe();

            widgetRenegFinanForm.isVisible = false;

            widgetTitulosAReceber.dataSource.unSelectAll();
            widgetTitulosAReceber.activate();
            widgetTitulosAReceber.reload();
            self.forceActivate();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /*
     * Confirmar Baixa Titulo a Receber
     * @param args
     */
    self.confirmaBaixaTituloDescontado = function(args){
        var widget = args.owner.widget;
        var widgetTitulos = templateManager.container.getWidget('TitulosAReceberGrid');

        var checkedrows     = widgetTitulos.getCheckedRows();
        var checkedrows_des = checkedrows.filter(function(filtro){return (filtro.IDSTATBREC == 'D');});

        var currentRow = {
            nrorg           : getLocalVar('NRORG')   ,
            cdfilial        : getLocalVar('CDFILIAL'),
            baixaboleto     : widget.currentRow      ,
            boletosmarcados : checkedrows_des
        };

        if(widget.isValid()) {

            if(widget.currentRow.IDCTBLBXREC == 'S') {
                Rec00001_TitulosAReceber_Service.buscaContOpeCtbl(widgetTitulos.getCheckedRows()[0].CDEMPRESA).then(function (response) {
                    var contopectbl  = response.dataset.contopectbl[0];
                    
                    if(!contopectbl){
                        ScreenService.showMessage('Operação bloqueada. Período contábil financeiro não parametrizado.');
                        return;
                    }
                    
                    var dtinicctbl  = contopectbl.DTINICCTBL;
                    var dtfinacctbl = contopectbl.DTFINACCTBL;

                    if(dtinicctbl && dtfinacctbl) {
                        if ((moment(dtinicctbl, 'DD/MM/YYYY')) > (moment(widget.currentRow.DTBAIXAREC, 'DD/MM/YYYY')) ||
                            (moment(dtfinacctbl, 'DD/MM/YYYY')) < (moment(widget.currentRow.DTBAIXAREC, 'DD/MM/YYYY'))) {
                            ScreenService.showMessage('Operação bloqueada. Data da baixa fora do período contábil financeiro.');
                            return;
                        }
                    }

                    self.confirmaBaixaTituloDescontadoSave(currentRow, widget, widgetTitulos);
                }, function (error) {
                    ScreenService.showMessage(error.data.error);
                });
            }else{
                self.confirmaBaixaTituloDescontadoSave(currentRow, widget, widgetTitulos);
            }
        }
    };

    /**
     *
     * @param currentRow
     * @param widget
     * @param widgetTitulos
     */
    self.confirmaBaixaTituloDescontadoSave = function(currentRow, widget, widgetTitulos){
        var boletosEmAberto = widgetTitulos.getCheckedRows().filter(function(boleto){
            return (widgetTitulos.IDSTATBREC == 'A')||(widgetTitulos.IDSTATBREC == 'E');
        });
        var boletosBaixaPlanejada = widgetTitulos.getCheckedRows().filter(function(boleto){
            return boleto.IDSTATBREC == 'P';
        });

        Rec00001_TitulosAReceber_Service.baixaTituloReceber(currentRow).then(function () {
            if(boletosBaixaPlanejada.length > 0) {
                ScreenService.confirmMessage('Existe(m) título(s) marcado(s) com baixa(s) planejada(s).Deseja transfomá-la(s) em baixa(s) real(is)?', 'question', function () {
                    self.baixarTitulosMarcadosOuTitulosBaixa();
                }, function () {
                    if (boletosEmAberto.length > 0) {
                        self.efetivarBaixaTitulosAbertos(boletosEmAberto);
                    } else {
                        ScreenService.closePopup();
                    }
                });
            }else if(boletosEmAberto.length > 0){
                self.efetivarBaixaTitulosAbertos(boletosEmAberto);
            }else {
                ScreenService.showMessage('Título(s) descontados baixado(s) com sucesso.');
                ScreenService.closePopup(widget);
                widget.isVisible = false;
                ScreenService.closePopup();
                widgetTitulos.reload();
            }
        }, function (error) {
            if (contabilizacaoController.checkErrosContabilizacao(error)) {
                ScreenService.showMessage(error.data.error);
            }
        });
    };

    /**
     * Envia Título por E-mail
     */
    self.cancelarRecebimentoDescontado = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows = widgetTitulosAReceber.getCheckedRows();

        for(var i in checkedrows) {
            if ((checkedrows[i].IDSTATBREC != 'D')) {
                ScreenService.showMessage('Operação bloqueada. Marque somente título(s) em status "Descontado".');
                return;
            }
            if ((!checkedrows[i].DTBAIXAREC)) {
                ScreenService.showMessage('Operação bloqueada. Existe(m) titulo(s) selecionado(s) com recebimento não efetivado(s).');
                return;
            }
        }

        ScreenService.confirmMessage('Deseja realmente cancelar o recebimento do(s) título(s) descontado(s) marcado(s)?', 'question', function() {
            General.callRestEngine('fin_contaReceber#/cancelarRecebimento', 'DataSet', [checkedrows]).then(function () {
                ScreenService.showMessage('Título(s) descontado(s) cancelado recebimento com sucesso.');
                ScreenService.closePopup();

                widgetTitulosAReceber.activate();
                widgetTitulosAReceber.dataSource.unSelectAll();
                self.unsetStripeDataFooter();
                widgetTitulosAReceber.reload();
            }).catch(function (erro) {
                ScreenService.showMessage(erro.data.error);
            });
        });
    };

    /**
     * Cancela Renegociação Financeira
     */
    self.cancelaRenegociacaoFinanceira = function(){
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var checkedrows           = widgetTitulosAReceber.getCheckedRows();
        var checkedrows_reneg     = checkedrows.filter(function(filtro){return (filtro.IDRENEGOCFIN == 'S')||(filtro.IDSTATBREC != 'B');});

        ScreenService.confirmMessage('Deseja realmente cancelar a(s) renegociação(ões) financeira(s) do(s) título(s) marcado(s)?', 'question', function() {

            General.callRestEngine('fin_contaReceber#/cancelaRenegociacaoFinanceira', 'DataSet', [checkedrows_reneg]).then(function () {
                ScreenService.showMessage('Renegociação(ões) cancelada(s) com sucesso.');
                ScreenService.closePopup();

                widgetTitulosAReceber.activate();
                widgetTitulosAReceber.reload();
            }).catch(function (erro) {
                ScreenService.showMessage(erro.data.error);
            });
        });
    };


    /**
     * Ativa Histórico de Renegociação Financeira
     */
    self.ativaHistoritoRenegociacao = function(widget){
        if(widget.currentRow.IDRENEGOCFIN == 'S')
             templateManager.container.getWidget('RenegociacaoTabbed').isVisible = true;
        else templateManager.container.getWidget('RenegociacaoTabbed').isVisible = false;
    };

    self.validaRangeFiltroCnab = function(cnabInicial, cnabFinal, cnabAlterada){
        if (cnabInicial.value() > cnabFinal.value()){
            cnabAlterada.setValue('');
            ScreenService.showMessage(cnabInicial.label + ' deve ser menor que o  ' + cnabFinal.label);
        }
    };

    /**
     * Fecha PopUp Parcelamento Automatico
     * @param widget
     */
    self.closeSwipeParcelamento = function (widget_name){
        var widget = templateManager.container.getWidget(widget_name);
        var widgetTitulosAReceber = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetParcelamentoAutomatico = templateManager.container.getWidget('ParcelamentoAutomaticoForm');
        
        widget.isVisible = false;
        ScreenService.closeSwipe();
        widgetParcelamentoAutomatico.editing = false;
        
        //widgetTitulosAReceber.currentRow.NRCNABRECRET = widgetTitulosAReceber.currentRow.NRCNABRECRETANT;
        widgetTitulosAReceber.currentRow.NRCNABRECREM = widgetTitulosAReceber.currentRow.NRCNABRECREMANT;
        widgetTitulosAReceber.currentRow.IDSTATUSEMIT = widgetTitulosAReceber.currentRow.IDSTATUSEMITANT;
        //widgetTitulosAReceber.currentRow.NRCNABRECRETANT = null;
        widgetTitulosAReceber.currentRow.NRCNABRECREMANT = null;
        widgetTitulosAReceber.currentRow.IDSTATUSEMITANT = null;
        
    };
    
    /**
     * Abre Calculo de Ajuste - Título a Receber
     */
    self.abreCalculoAjuste = function(){
        var widgetCalculoAjuste = templateManager.container.getWidget('CalculoAjusteForm');
        widgetCalculoAjuste.editing   = true;
        widgetCalculoAjuste.isVisible = true;
        ScreenService.openSwipe(widgetCalculoAjuste);
        self.buscaPadraoCalculoAjuste(widgetCalculoAjuste);
        templateManager.updateTemplate();
    };
    
    /**
     * Busca Padrao Calculo de Ajuste
     * @param widgetCalculoAjuste
     */
    self.buscaPadraoCalculoAjuste = function (widgetCalculoAjuste){
        self.buscaGeralRec().then(function(response_geralrec) {
            var currentRowTitulo = templateManager.container.getWidget('NewTitulosBaixaGrid').getLastSelectedRow();
            
            var vrpemulbrec      = currentRowTitulo.VRPEMULBREC ? currentRowTitulo.VRPEMULBREC : 0;     
            var vrmultabrec      = currentRowTitulo.VRMULTABREC ? currentRowTitulo.VRMULTABREC : 0;     
            var vrmultacalcbrec  = parseFloat(parseFloat(currentRowTitulo.VRFINALBREC) + parseFloat(currentRowTitulo.VRMULTABREC)).toFixed(2);
            
            var vrpemorbrec      = currentRowTitulo.VRPEMORBREC  ? currentRowTitulo.VRPEMORBREC  : 0;     
            var vrmordiabrec     = currentRowTitulo.VRMORDIABREC ? currentRowTitulo.VRMORDIABREC : 0;    
            var vrmordiacalcbrec = parseFloat(parseFloat(currentRowTitulo.VRFINALBREC) + parseFloat(currentRowTitulo.VRMORDIABREC)).toFixed(2);
            
            widgetCalculoAjuste.getField('IDJUROS').setValue('S');
            widgetCalculoAjuste.getField('IDJUROSCOMP').setValue('P');
            widgetCalculoAjuste.getField('VRPEMULBREC').setValue(vrpemulbrec);
            widgetCalculoAjuste.getField('VRMULTABREC').setValue(vrmultabrec);
            widgetCalculoAjuste.getField('VRMULTACALCBREC').setValue(vrmultacalcbrec);
            widgetCalculoAjuste.getField('VRPEMORBREC').setValue(vrpemorbrec);
            widgetCalculoAjuste.getField('VRMORDIABREC').setValue(vrmordiabrec);
            widgetCalculoAjuste.getField('VRMORDIACALCBREC').setValue(vrmordiacalcbrec);
            widgetCalculoAjuste.getField('VRPERCENTUAL').setValue(0.0);
            widgetCalculoAjuste.getField('NMINDICE').setValue(null);
            widgetCalculoAjuste.getField('CDINDICE').setValue(null);
            widgetCalculoAjuste.getField('DSAJUCTREC').setValue(null);
            widgetCalculoAjuste.getField('CDAJUCTREC').setValue(null);
            widgetCalculoAjuste.getField('CDAJUMULCTREC').setValue(null);
            widgetCalculoAjuste.getField('CDAJUMULCTREC').setValue(null); 
            
            
            widgetCalculoAjuste.getField('DSAJUMULCTREC').readOnly = false;
            widgetCalculoAjuste.getField('VRPEMULBREC').readOnly   = false;
            widgetCalculoAjuste.getField('VRMULTABREC').readOnly   = false;
            widgetCalculoAjuste.getField('DSAJUMORCTREC').readOnly = false;
            widgetCalculoAjuste.getField('VRPEMORBREC').readOnly   = false;
            widgetCalculoAjuste.getField('VRMORDIABREC').readOnly  = false;
            widgetCalculoAjuste.getField('CDAJUMORCTREC').readOnly = false;
            
            widgetCalculoAjuste.getField('DSAJUCTREC').readOnly    = true;
            widgetCalculoAjuste.getField('IDJUROSCOMP').readOnly   = true;
            widgetCalculoAjuste.getField('VRPERCENTUAL').readOnly  = true;
            widgetCalculoAjuste.getField('NMINDICE').readOnly      = true;
            
            widgetCalculoAjuste.currentRow.VRFINALBREC = widgetCalculoAjuste.getParent().getLastSelectedRow().VRFINALBREC;
            
            var geral_rec = response_geralrec.dataset.geral_rec[0];
            
            var cdajmultarec = geral_rec.CDAJMULTAREC?geral_rec.CDAJMULTAREC:null;
            var cdajmorarec  = geral_rec.CDAJMULTAREC?geral_rec.CDAJMORAREC:null;
            
            if(cdajmultarec){
        		var filter_multa = [
        			{
        				"name": "CDAJUCTREC",
        				"operator": "=",
        				"value": cdajmultarec
        			}
        		];
        
        		General.callRestEngine('fin#/crud/tipoajreceber', 'FilterData', filter_multa).then(function (tipoajreceber) {
        		    var dsajmultarec  = tipoajreceber.dataset.tipoajreceber[0].DSAJUCTREC;
        		    var idajumulctrec = tipoajreceber.dataset.tipoajreceber[0].IDAJUCTREC;
        		    
        		    widgetCalculoAjuste.getField('CDAJUMULCTREC').setValue(cdajmultarec);
        			widgetCalculoAjuste.getField('DSAJUMULCTREC').setValue(dsajmultarec);
        			widgetCalculoAjuste.getField('IDAJUMULCTREC').setValue(idajumulctrec);
        		});
            }
    		
    		if(cdajmorarec){
        		var filter_mora = [
        			{
        				"name": "CDAJUCTREC",
        				"operator": "=",
        				"value": cdajmorarec
        			}
        		];
        		
        		General.callRestEngine('fin#/crud/tipoajreceber', 'FilterData', filter_mora).then(function (tipoajreceber) {
        		    var dsajumorctrec = tipoajreceber.dataset.tipoajreceber[0].DSAJUCTREC;
        		    var idajumorctrec = tipoajreceber.dataset.tipoajreceber[0].IDAJUCTREC;
        		    
        		    widgetCalculoAjuste.getField('CDAJUMORCTREC').setValue(cdajmorarec);
        			widgetCalculoAjuste.getField('DSAJUMORCTREC').setValue(dsajumorctrec);
        			widgetCalculoAjuste.getField('IDAJUMORCTREC').setValue(idajumorctrec);
        		});
            }
            
            
        });
    };
    
    /**
     * Busca Parametrização Tipo de Conta
     * @param args
     * @param widget_name
     */
    self.alteraTipoAjuste = function() {
        var widgetCalculoAjuste = templateManager.container.getWidget('CalculoAjusteForm');
        
        widgetCalculoAjuste.getField('VRPEMULBREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRMULTABREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRMULTACALCBREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRPEMORBREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRMORDIABREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRMORDIACALCBREC').setValue(0.0);
        widgetCalculoAjuste.getField('VRPERCENTUAL').setValue(0.0);
        widgetCalculoAjuste.getField('NMINDICE').setValue(null);
        widgetCalculoAjuste.getField('CDINDICE').setValue(null);
        widgetCalculoAjuste.getField('DSAJUCTREC').setValue(null);
        widgetCalculoAjuste.getField('CDAJUCTREC').setValue(null);
        widgetCalculoAjuste.getField('DSAJUMULCTREC').setValue(null);
        widgetCalculoAjuste.getField('CDAJUMULCTREC').setValue(null); 
        widgetCalculoAjuste.getField('DSAJUMORCTREC').setValue(null); 
        widgetCalculoAjuste.getField('CDAJUMORCTREC').setValue(null); 
        widgetCalculoAjuste.getField('IDJUROSCOMP').setValue("P"); 

        if(widgetCalculoAjuste.getField('IDJUROS').value() == 'S'){
            widgetCalculoAjuste.getField('DSAJUMULCTREC').readOnly = false;
            widgetCalculoAjuste.getField('VRPEMULBREC').readOnly   = false;
            widgetCalculoAjuste.getField('VRMULTABREC').readOnly   = false;
            widgetCalculoAjuste.getField('DSAJUMORCTREC').readOnly = false;
            widgetCalculoAjuste.getField('VRPEMORBREC').readOnly   = false;
            widgetCalculoAjuste.getField('VRMORDIABREC').readOnly  = false;
            widgetCalculoAjuste.getField('CDAJUMORCTREC').readOnly = false;
            
            widgetCalculoAjuste.getField('DSAJUCTREC').readOnly    = true;
            widgetCalculoAjuste.getField('IDJUROSCOMP').readOnly   = true;
            widgetCalculoAjuste.getField('VRPERCENTUAL').readOnly  = true;
            widgetCalculoAjuste.getField('NMINDICE').readOnly      = true;
            
            templateManager.updateTemplate();
        }else{
            widgetCalculoAjuste.getField('DSAJUMULCTREC').readOnly = true;
            widgetCalculoAjuste.getField('VRPEMULBREC').readOnly   = true;
            widgetCalculoAjuste.getField('VRMULTABREC').readOnly   = true;
            widgetCalculoAjuste.getField('DSAJUMORCTREC').readOnly = true;
            widgetCalculoAjuste.getField('VRPEMORBREC').readOnly   = true;
            widgetCalculoAjuste.getField('VRMORDIABREC').readOnly  = true;
            widgetCalculoAjuste.getField('CDAJUMORCTREC').readOnly = true;
            widgetCalculoAjuste.getField('NMINDICE').readOnly      = true;
            
            widgetCalculoAjuste.getField('DSAJUCTREC').readOnly    = false;
            widgetCalculoAjuste.getField('IDJUROSCOMP').readOnly   = false;
            widgetCalculoAjuste.getField('VRPERCENTUAL').readOnly  = false;
            templateManager.updateTemplate();
        }
    };

    /**
     * Desabilita PopUp
     * @param widget
     */
    self.desabilitaPopUp = function (widget_name){
        var widget = templateManager.container.getWidget(widget_name);
        widget.isVisible = false;
        ScreenService.closePopup(widget);
    };
    
    
    /**
     * Desabilita Swipe
     * @param widget
     */
    self.desabilitaSwipe = function (widget_name){
        var widget = templateManager.container.getWidget(widget_name);
        widget.isVisible = false;
        ScreenService.closeSwipe(widget);
    };

    /**
     * Busca Padrão Filial
     * @param widget
     */
    self.buscaPadraoFilial = function(documento) {
        var titulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
        var route = 'fin_contaReceber#/validaFilialLogadaPorEmpresaFiltradaRec';
        var cdempresa = titulosAReceberGrid.appliedFilter.FILTER_ROW.CDEMPRESA;
        General.callRestEngine(route, 'Row', {'CDEMPRESA': cdempresa}).then(function(response_filial){
            if (response_filial.dataset.filial.length > 0){
                var filial   = response_filial.dataset.filial[0];
                documento.currentRow.CDFILIEMIT     = filial.CDFILIAL;
                documento.currentRow.NMFILIALEMIT   = filial.NMFILIAL;
                documento.currentRow.CDEMPRESAEMIT  = filial.CDEMPRESA;
                documento.currentRow.CDINSCESTAEMIT = filial.CDINSCESTA;
                documento.currentRow.CDINSCMUNIEMIT = filial.CDINSCMUNI;
                documento.currentRow.NRTAMNUMNFUT   = filial.NRTAMNUMNFUT;
                self.changeFilial();
            }else{
                documento.currentRow.CDFILIEMIT     = null;
                documento.currentRow.NMFILIALEMIT   = null;
                documento.currentRow.CDEMPRESAEMIT  = null;
                documento.currentRow.CDINSCESTAEMIT = null;
                documento.currentRow.CDINSCMUNIEMIT = null;
                documento.currentRow.NRTAMNUMNFUT   = null;
                documento.currentRow.NRNOTAFISC     = null;
                documento.currentRow.CDSERIE        = null;
                documento.currentRow.DSSERIE        = null;
            }
        }).catch(function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };
    
    /**
     * Cancela Parcelamento
     * @param widget
     */
    self.cancelaParcelamento = function(widget){
        widget.reload();
        templateManager.updateTemplate();
        self.widgetEmEdicao('ParcelamentoGrid', false);
        self.desabilitaAbas('ParcelamentoGrid', false);
    };
    
    /**
     * Habilita Finalização Rateio Conta
     * @param widget
     */
    self.habilitaFinalizacaoRateioConta = function(widget){
        widget.getAction('finish').isVisible = true;
        widget.getAction('back_list').isVisible = false;
        widget.getAction('cancel').isVisible = true;

        self.widgetEmEdicao("RateioDocumentosGrid", true);
        self.desabilitaAbas('RateioDocumentosGrid', true);
        
        templateManager.updateTemplate();
    };

    /**
     * Desabilita Finalização Rateio Conta
     * @param args
     */
    self.desabilitaFinalizacaoRateioConta = function(args){
        args.owner.getAction('finish').isVisible = false;
        args.owner.getAction('back_list').isVisible = true;
        args.owner.getAction('cancel').isVisible = false;
        
        self.widgetEmEdicao("RateioDocumentosGrid", false);
        self.desabilitaAbas('RateioDocumentosGrid', false);
        
        templateManager.updateTemplate();
    };

    /**
     * Abre Rateio Conta Unica
     * @param valor
     */
    self.abreRateioContaUnica = function(){
        var widgetContaDocumentos  = templateManager.container.getWidget('ContaDocumentosGrid');

        if(widgetContaDocumentos.dataSource.data.length == 1){
            if(widgetContaDocumentos.currentRow.NRLANBOLREC != widgetContaDocumentos.dataSource.data[0].NRLANBOLREC){
                widgetContaDocumentos.currentRow = widgetContaDocumentos.dataSource.data[0]?widgetContaDocumentos.dataSource.data[0]:{};
                widgetContaDocumentos.afterMoveRow(widgetContaDocumentos);
                widgetContaDocumentos.view();
            }
        }

    };
    
    /**
     * Cancela Parcelamento
     * @param widget
     */
    self.cancelaRateio = function(widget){
        widget.reload();
        self.widgetEmEdicao('RateioDocumentosGrid', false);
        self.desabilitaAbas('RateioDocumentosGrid', false);
        templateManager.updateTemplate();
    };
    
    /**
     * Formata Valor
     * @param valor
     */
    self.formataValor = function(valor){
        if(typeof valor == 'string')
            if(valor.indexOf(',') >= 0)
                valor = valor.replace('.','').replace(',','.');
                
        valor = parseFloat(parseFloat(valor).toFixed(2));

        return valor;
    };
    
    /**
     * Busca Padrão Título
     */
    self.changeValorDoc = function (){
        // Documento
        var widgetDocumentosForm = templateManager.container.getWidget('DocumentosForm');
        
        // Parcelamento
        var widgetParcelamentoDocGrid = templateManager.container.getWidget('ParcelamentoDocGrid');
        
        if(self.formataValor(widgetDocumentosForm.currentRow.VRNOTAFISC) > 0){
            widgetParcelamentoDocGrid.currentRow.__index          = 0;
            widgetParcelamentoDocGrid.currentRow.NRPARCBOLREC     = '00';
            widgetParcelamentoDocGrid.currentRow.NRPARCBOLRECVISU = '000';
            widgetParcelamentoDocGrid.currentRow.IDEXCLUIR        = null;
            widgetParcelamentoDocGrid.currentRow.DSCONTAREC       = widgetDocumentosForm.currentRow.DSDEFACTREC?widgetDocumentosForm.currentRow.DSDEFACTREC:widgetDocumentosForm.currentRow.DSTPCTRECEB;
            widgetParcelamentoDocGrid.currentRow.VRFINALBREC      = widgetDocumentosForm.currentRow.VRNOTAFISC;
            widgetParcelamentoDocGrid.dataSource.data             = [widgetParcelamentoDocGrid.currentRow];
        }else{
            widgetParcelamentoDocGrid.currentRow = {};
            widgetParcelamentoDocGrid.dataSource.data = [];
        }
    };
    
    
    /**
     * Busca Parametrização Tipo de Conta
     * @param args
     * @param widget_name
     */
    self.changeTipoContaDoc = function() {
        var widgetDocumentos = templateManager.container.getWidget('DocumentosForm');
        var widgetParcelamentoDoc = templateManager.container.getWidget('ParcelamentoDocGrid');

        var dscontarec = widgetDocumentos.currentRow.DSDEFACTREC?widgetDocumentos.currentRow.DSDEFACTREC:widgetDocumentos.currentRow.DSTPCTRECEB;

        widgetParcelamentoDoc.dataSource.data.forEach(function(data){
            data.DSCONTAREC = dscontarec;
        });
        
    };
    
    /**
     * Adicionar Parcela Títulos a Receber
     * @param args
     */
    self.adicionarParcela = function(args){
        var widgetParcelamento = args.owner.widget;
        var widgetDocumentos   = args.owner.widget.getParent();
        
        if(widgetDocumentos.currentRow.VRNOTAFISC <= 0) {
            ScreenService.showMessage('Operação bloqueada. Informe o valor do documento.');
            return;
        }
        
        widgetParcelamento.newRow();
        self.habDesCampos('DocumentosForm', true);
        
        if(widgetParcelamento.dataSource.data.length == 2){
            widgetParcelamento.dataSource.data[0].NRPARCBOLREC     = '01';
            widgetParcelamento.dataSource.data[0].NRPARCBOLRECVISU = '001';
        }
        
        var nrparcbolrec     = retornaNumeroParcela(widgetParcelamento.dataSource.data.length);
        var nrparcbolrecvisu = ("00" + (widgetParcelamento.dataSource.data.length)).slice(-3);
        var dscontarec       = widgetParcelamento.dataSource.data[widgetParcelamento.dataSource.data.length - 2].DSCONTAREC;
        var vrtotalparc      = valorTotalParcelamento(widgetParcelamento);
        var vttotbolrec      = widgetDocumentos.currentRow.VRNOTAFISC;
        
        dscontarec = (!dscontarec)?(widgetDocumentos.currentRow.DSDEFACTREC?widgetDocumentos.currentRow.DSDEFACTREC:widgetDocumentos.currentRow.DSTPCTRECEB):dscontarec;

        widgetParcelamento.currentRow.NRPARCBOLREC     = nrparcbolrec;
        widgetParcelamento.currentRow.NRPARCBOLRECVISU = nrparcbolrecvisu;
        widgetParcelamento.currentRow.DSCONTAREC       = dscontarec;
        widgetParcelamento.currentRow.IDEXCLUIR        = 'S';
        widgetParcelamento.currentRow.VRFINALBREC      = ((vttotbolrec - vrtotalparc) >= 0)?(vttotbolrec - vrtotalparc):0;
        
        widgetParcelamento.dataSource.data[widgetParcelamento.dataSource.data.length - 2].IDEXCLUIR = null;
    };
    
    /**
     * Excluir Parcela Títulos a Receber
     * @param widget
     */
    self.excluirParcela = function(widget){
        widget.list();
        self.habDesCampos('DocumentosForm', false);
        
        widget.dataSource.data.splice(widget.currentRow.__index, 1);
        
        var vrtotalparc = 0;
        var vrnotafisc  = widget.getParent().currentRow.VRNOTAFISC;
        
        widget.dataSource.data.forEach(function(data){
            vrtotalparc += self.formataValor(data.VRFINALBREC);
        });
        
        var vrdifparcnf = (vrnotafisc - vrtotalparc); 
        
        widget.dataSource.data[widget.currentRow.__index - 1].VRFINALBREC = (vrdifparcnf > 0)?self.formataValor(widget.dataSource.data[widget.currentRow.__index - 1].VRFINALBREC) + vrdifparcnf:widget.dataSource.data[widget.currentRow.__index - 1].VRFINALBREC;
        
        if(widget.currentRow.__index == '1'){
            widget.dataSource.data[widget.currentRow.__index - 1].NRPARCBOLREC     = "00";
            widget.dataSource.data[widget.currentRow.__index - 1].NRPARCBOLRECVISU = "000";
        }else widget.dataSource.data[widget.currentRow.__index - 1].IDEXCLUIR = 'S';
    };
    
        /**
     * Excluir Parcela Títulos a Receber
     * @param widget
     */
    self.cancelarParcela = function(widget){
        widget.list();
        self.habDesCampos('DocumentosForm', false);
        
        widget.dataSource.data.forEach(function (data){
            if(data.__is_new == true)
                widget.dataSource.data.splice(data.__index, 1);
        });
        
        widget.dataSource.data.forEach(function(data){
            if(data.hasOwnProperty('DSCONTAREC_inline'))
                delete data.DSCONTAREC_inline;
            if(data.hasOwnProperty('DTVENBOLREC_inline'))
                delete data.DTVENBOLREC_inline;
            if(data.hasOwnProperty('VRFINALBREC_inline'))
                delete data.VRFINALBREC_inline;
                
            if(data.hasOwnProperty('changed_DSCONTAREC')){
                data.DSCONTAREC = data.changed_DSCONTAREC;
                delete data.changed_DSCONTAREC;
            }
            if(data.hasOwnProperty('changed_VRFINALBREC')){
                data.VRFINALBREC = data.changed_VRFINALBREC;
                delete data.changed_VRFINALBREC;
            }
            if(data.hasOwnProperty('changed_DTVENBOLREC')){
                data.DTVENBOLREC = data.changed_DTVENBOLREC;
                delete data.changed_DTVENBOLREC;
            }
            
            if(data.hasOwnProperty('changed'))
                delete data.changed;
            if(data.hasOwnProperty('__is_new'))
                delete data.__is_new;
        });
        
        if(widget.currentRow.__index == '1')
            widget.dataSource.data[widget.dataSource.data.length - 1].NRPARCBOLREC = "00";
        else if (widget.currentRow.__index != '0')
            widget.dataSource.data[widget.dataSource.data.length - 1].IDEXCLUIR = 'S';
    };
    
    /**
     * Excluir Parcela Títulos a Receber
     * @param widget
     */
    self.salvarParcela = function(widget){
        var widgetParcelamentoDocGrid = templateManager.container.getWidget('ParcelamentoDocGrid');
    
        if(widgetParcelamentoDocGrid.isValid()){
            self.habDesCampos('DocumentosForm', false);
            
            if(widget.currentRow.VRFINALBREC <= 0){
                ScreenService.showMessage('Operação bloqueada. Valor da parcela deve ser maior que zero.');
                return;
            }
            
            widget.list();

            widget.dataSource.data.forEach(function(data){
                if(data.hasOwnProperty('DSCONTAREC_inline'))
                    delete data.DSCONTAREC_inline;
                if(data.hasOwnProperty('DTVENBOLREC_inline'))
                    delete data.DTVENBOLREC_inline;
                if(data.hasOwnProperty('VRFINALBREC_inline'))
                    delete data.VRFINALBREC_inline;
                if(data.hasOwnProperty('changed_DSCONTAREC'))
                    delete data.changed_DSCONTAREC;
                if(data.hasOwnProperty('changed_VRFINALBREC'))
                    delete data.changed_VRFINALBREC;
                if(data.hasOwnProperty('changed_DTVENBOLREC'))
                    delete data.changed_DTVENBOLREC;
                if(data.hasOwnProperty('changed'))
                    delete data.changed;
                if(data.hasOwnProperty('__is_new'))
                    delete data.__is_new;
            });
        }else{
            ScreenService.showMessage('Operação bloqueada. Preencha o(s) campo(s) de vencimento(s).');
        }
    };

    /**
     * Excluir Parcela Títulos a Receber
     * @param widget
     */
    self.habDesCampos = function(widget_name, read_only){
        var widget = templateManager.container.getWidget(widget_name);
        
        widget.fields.forEach(function(field){
            field.readOnly = read_only;
        });
    };
    
    
    /**
     * Edita Documento Grid
     * @param widgetParcelamentoDocGrid
     */
    self.validaDataVencimento = function(widgetParcelamentoDocGrid){
        var deferred = ZHPromise.defer();
        var ultdata    = null;
        var datavalida = true;
    
        widgetParcelamentoDocGrid.dataSource.data.forEach(function(data){
            if(ultdata){
                if(ultdata > moment(data.DTVENBOLREC, 'DD/MM/YYYY')){
                    datavalida = false;
                    deferred.reject('Operação bloqueada. Datas de vencimento das parcelas devem seguir uma sequencia crescente.');
                }else ultdata = moment(data.DTVENBOLREC, 'DD/MM/YYYY');
            }else ultdata = moment(data.DTVENBOLREC, 'DD/MM/YYYY');
        });
        
        if(datavalida)
            deferred.resolve(datavalida);
            
        return deferred.promise;
        
    };
    
    /**
     * Novo Ajuste Titulo Baixa
     * @param widget
     */
    self.novoAjusteTituloBaixa = function(){
        var widgetTitulosBaixa      = templateManager.container.getWidget('NewTitulosBaixaGrid');
        var widgetAjusteTituloBaixa = templateManager.container.getWidget('AjusteTituloBaixaGrid');

        widgetAjusteTituloBaixa.newRow();
        widgetAjusteTituloBaixa.getField('NRORG').setValue(widgetTitulosBaixa.currentRow.NRORG);
        widgetAjusteTituloBaixa.getField('CDFILIAL').setValue(widgetTitulosBaixa.currentRow.CDFILIAL);
        widgetAjusteTituloBaixa.getField('NRLANBOLREC').setValue(widgetTitulosBaixa.currentRow.NRLANBOLREC);
        widgetAjusteTituloBaixa.getField('IDOPERACAO').setValue('I');
        widgetAjusteTituloBaixa.getField('IDORIGAJBREC').setValue('2');
    };
    
    /**
     * Salva Ajuste Titulo Baixa
     * @param args
     */
    self.salvaAjusteTituloBaixa = function(){
        var widgetBaixa             = templateManager.container.getWidget('NewBaixaTabbed');
        var widgetTitulosBaixa      = templateManager.container.getWidget('NewTitulosBaixaGrid');
        var widgetAjusteTituloBaixa = templateManager.container.getWidget('AjusteTituloBaixaGrid');
        
        if(widgetAjusteTituloBaixa.isValid()){
            var currentRowAjuste = widgetAjusteTituloBaixa.currentRow;
            var dataAjuste = widgetAjusteTituloBaixa.dataSource.data;
            
            var cdajuctrec = dataAjuste.filter(function(filter) {
                return (filter.CDAJUCTREC == currentRowAjuste.CDAJUCTREC);
            });
            
            if(cdajuctrec.length == 2){
                ScreenService.showMessage('Operação bloqueado. Ajuste já cadastrado.');
                return;
            }
            
            localStorageEngine.getDataSource('fin_contaReceber#/ajbolrec_tipoajreceber').then(
                function (dataLocal) {
                    dataLocal.push(currentRowAjuste);
                    localStorageEngine.setDataSource('fin_contaReceber#/ajbolrec_tipoajreceber', dataLocal);
                    
                    // Valor de Ajuste do Título
                    var idajuctrec  = widgetAjusteTituloBaixa.currentRow.IDAJUCTREC;
                    idajuctrec      = (idajuctrec == 'A')?'A':'D';
                    var vrajbolrec  = parseFloat(widgetAjusteTituloBaixa.currentRow.VRAJBOLREC);
                    vrajbolrec      = (idajuctrec == 'A')?vrajbolrec:-(vrajbolrec);
        
                    // Atualiza Valor Líquido do Título
                    var vrfinalbrec = parseFloat(widgetTitulosBaixa.currentRow.VRFINALBREC);
                    vrfinalbrec    += vrajbolrec;
                    
                    if(vrfinalbrec < 0){
                        ScreenService.showMessage('Operação bloqueada. Valor do título não pode ficar negativo.');
                        return;
                    }
                    
                    widgetTitulosBaixa.currentRow.VRFINALBREC = vrfinalbrec;
                    widgetTitulosBaixa.currentRow.VRFINALBRECCALC = vrfinalbrec;
                    
                    // Atuliza Valor da Baixa
                    var vrbaixarec = parseFloat(widgetBaixa.currentRow.VRBAIXAREC);
                    vrbaixarec    += vrajbolrec;
                    widgetBaixa.currentRow.VRBAIXAREC = vrbaixarec;
                    
                    ScreenService.goBack();
                    ScreenService.showMessage('Registro salvo com sucesso.');
                    widgetTitulosBaixa.currentRow.__ajusteAtualizado = true;
                    
                    self.recalculaJurosTitulos();
                }
            );
            

        }
    };
    
    /**
     * Exclui Ajuste Título Baixa
     * @param args
    */
    self.excluiAjusteTituloBaixa = function(args){
        var widget = args.owner.widget;
        var widgetBaixa = templateManager.container.getWidget('NewBaixaTabbed');
        var widgetTitulosBaixa = templateManager.container.getWidget('NewTitulosBaixaGrid');

        if(widget.currentRow.IDORIGAJBREC == '4') {
            ScreenService.showMessage('Operação bloqueada. Ajuste originado de uma compensação não pode ser excluído.');
            return;
        }

        ScreenService.confirmMessage('Deseja realmente excluir o ajuste?', 'question', function() {
            
            localStorageEngine.getDataSource('fin_contaReceber#/ajbolrec_tipoajreceber').then(
                function (dataLocal) {
                    for(var i in dataLocal){
                        if((dataLocal[i].CDFILIAL    == widget.currentRow.CDFILIAL   ) && 
                           (dataLocal[i].NRLANBOLREC == widget.currentRow.NRLANBOLREC) && 
                           (dataLocal[i].CDAJUCTREC  == widget.currentRow.CDAJUCTREC )){
                            dataLocal[i].IDOPERACAO = 'E';
                            widget.currentRow.IDOPERACAO = 'E';
                        }
                    }
                    
                    localStorageEngine.setDataSource('fin_contaReceber#/ajbolrec_tipoajreceber', dataLocal).then(
                        function () {
                            templateManager.container.getWidget('AjusteTituloBaixaGrid').reload();
                        }
                    );
                    
                     // Valor de Ajuste do Título
                    var idajuctrec  = widget.currentRow.IDAJUCTREC;
                    idajuctrec      = (idajuctrec == 'A')?'A':'D';
                    var vrajbolrec  = parseFloat(widget.currentRow.VRAJBOLREC);
                    vrajbolrec      = (idajuctrec == 'A')?-(vrajbolrec):vrajbolrec;
        
                    // Atualiza Valor Líquido do Título
                    var vrfinalbrec = parseFloat(widgetTitulosBaixa.currentRow.VRFINALBREC);
                    vrfinalbrec    += vrajbolrec;
                    
                    if(vrfinalbrec < 0){
                        ScreenService.showMessage('Operação bloqueada. Valor do título não pode ficar negativo.');
                        return;
                    }
                    
                    widgetTitulosBaixa.currentRow.VRFINALBREC = vrfinalbrec;
                    
                    // Atuliza Valor da Baixa
                    var vrbaixarec = parseFloat(widgetBaixa.currentRow.VRBAIXAREC);
                    vrbaixarec    += vrajbolrec;
                    widgetBaixa.currentRow.VRBAIXAREC = vrbaixarec;
                    
                    ScreenService.goBack();
                    ScreenService.showMessage('Registro excluído com sucesso.');
                    widgetTitulosBaixa.currentRow.__ajusteAtualizado = true;
                }
            );
        });
    };
    
    /**
     * Data Source Ajuste Titulo Baixado
     */
    self.dataSourceAjusteTituloBaixo = function(){
        var widgetTitulosAReceber   = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetAjusteTituloBaixa = templateManager.container.getWidget('AjusteTituloBaixaGrid');
        
        var route = 'fin_contaReceber#/buscaTodosAjustesBoletosRec';
        
        General.callRestEngine(route, 'DataSet', widgetTitulosAReceber.getCheckedRows()).then(function (ajustesboletos) {
            var dadosDeTodosAjustes = ajustesboletos.dataset.buscaTodosAjustesBoletosRec;
            
            localStorageEngine.setDataSource('fin_contaReceber#/ajbolrec_tipoajreceber', dadosDeTodosAjustes);
            
            widgetAjusteTituloBaixa.reload();
        });
    };
    
    this.setaMascCnpjCpfCliente = function(widget) {
	    var data = widget.dataSource.data;
	    var inscFormatada;
	    data.forEach(function(value){
	        if(value.NRINSJURCLIE.length === 14) inscFormatada = value.NRINSJURCLIE.substr(0, 2) + '.' + value.NRINSJURCLIE.substr(2, 3) + '.' + value.NRINSJURCLIE.substr(5, 3) + '/' + value.NRINSJURCLIE.substr(8, 4) + '-' + value.NRINSJURCLIE.substr(12, 2);
          else if(value.NRINSJURCLIE.length === 11) inscFormatada = value.NRINSJURCLIE.substr(0, 3) + '.' + value.NRINSJURCLIE.substr(3, 3) + '.' + value.NRINSJURCLIE.substr(6, 3) + '-' + value.NRINSJURCLIE.substr(9, 2);
          else inscFormatada = null;
          value.NRINSJURCLIE = inscFormatada?inscFormatada:value.NRINSJURCLIE;
	    });
	};
	
	/**
     * Cancela Tipo de Recebimento
     * @param widget
     */
    self.cancelaTipoRecebimento = function(widget){
        widget.reload();
        templateManager.updateTemplate();
        self.widgetEmEdicao('TipoRecebimentoGrid', false);
        self.desabilitaAbas('TipoRecebimentoGrid', false);
    };
    
    this.changeHeaderValues = function(widget){
        var codigo; 
        var nmempresa = widget.owner.appliedFilter.FILTER_ROW.NMEMPRESA;
        widget.owner.dataSourceFilter.forEach(function(empresa){
           if(empresa.name == 'CDEMPRESA'){
               codigo = empresa.value;
           } 
        });
        
        var cdempresa = {
            'label' : "Empresa",
            'value' : "é igual a. ".concat(codigo).concat(' - ').concat(nmempresa)
        };
        
        var filter = widget.e.metadata.filter;
        var newFilter = [];
        newFilter.push(cdempresa);
        filter.forEach(function(x){
            if((x.value != "é igual a.") && (x.label != "Código Empresa") && (x.label != "Organização")){
                newFilter.push(x);
            }
        });
        
        var correctFilter = [];
        var value;
        newFilter.forEach(function(aux){
            if(aux.value.match(/é igual a./)){
                value = aux.value.substr(11);
                aux.value = value;
                correctFilter.push(aux);
            }else if(aux.value.match(/está entre/)){
                value = aux.value.substr(11);
                aux.value = value;
                correctFilter.push(aux);
            }
        });
        
        widget.e.metadata.filter = correctFilter;    
        
    };
    
    self.diasDeAtraso = function(){
        var titulos = templateManager.container.getWidget('TitulosAReceberGrid');
        titulos.dataSource.data.forEach(function(data){
        	var dataVencimento = data.DTVENBOLREC;
        	var today = self.getCurrentDate();
            var split;
    
    		split = dataVencimento.split('/');
            dataVencimento = split[1] + "/" +split[0]+"/"+split[2];
    
    		dataVencimento = self.days_between(today, dataVencimento);
    		if(dataVencimento > 0 && data.IDSTATBREC != 'B')
        		data.DTATRVALREC = dataVencimento;
        	else
        	    data.DTATRVALREC = '';
        });
    };
    
    self.getCurrentDate = function(){
        var today = new Date();
        var dd = String(today.getDate()).padStart(2, '0');
        var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
        var yyyy = today.getFullYear();
        
        today = mm + '/' + dd + '/' + yyyy;
        
        return today;
    };
    
    self.days_between = function(date1, date2) {
        date1 = new Date(date1);
        date2 = new Date(date2);

        // The number of milliseconds in one day
        var ONE_DAY = 1000 * 60 * 60 * 24;
    
        // Convert both dates to milliseconds
        var date1_ms = date1.getTime();
        var date2_ms = date2.getTime();
    
        // Calculate the difference in milliseconds
        var difference_ms = Math.abs(date1_ms - date2_ms);
    
        // Convert back to days and return
        return Math.round(difference_ms/ONE_DAY);
    
    };
    
    self.onChangeEmpresaFilter = function(widget){
        var cdempresa = widget.currentRow.CDEMPRESA;
        var cdtpctreceb = widget.getField('CDTPCTRECEB');
        
        cdtpctreceb.setValue("");
        cdtpctreceb.dataSourceFilter[0].value = cdempresa;
        cdtpctreceb.reload();
    };
    
     /**
     * Busca Parametrização Tipo de Juros Compostos
     * @param args
     * @param widget_name
     */
    self.alteraTipoJurosCompostos = function() {
        var widgetCalculoTipoJurosCompostos = templateManager.container.getWidget('CalculoAjusteForm');
        widgetCalculoTipoJurosCompostos.getField('NMINDICE').setValue(null);
        widgetCalculoTipoJurosCompostos.getField('CDINDICE').setValue(null);
        widgetCalculoTipoJurosCompostos.getField('VRPERCENTUAL').setValue(0.0);
        
        if(widgetCalculoTipoJurosCompostos.getField('IDJUROSCOMP').value() == 'I'){
            widgetCalculoTipoJurosCompostos.getField('NMINDICE').readOnly     = false;
            
            widgetCalculoTipoJurosCompostos.getField('VRPERCENTUAL').readOnly = true;
            templateManager.updateTemplate();
        }else{
            widgetCalculoTipoJurosCompostos.getField('VRPERCENTUAL').readOnly = false;
            
            widgetCalculoTipoJurosCompostos.getField('NMINDICE').readOnly     = true;
            templateManager.updateTemplate();
        }
    };
    
    /**
     * Confirma Cálculo de Ajuste
     * @param args
     * @param widget_name
     */
    self.confirmaCalculoAjuste = function() {
        var calculoAjusteForm = templateManager.container.getWidget('CalculoAjusteForm');
        var currentRowTitulo  = calculoAjusteForm.getParent().getLastSelectedRow();
        var currentRowAjuste  = calculoAjusteForm.currentRow;
        
        if(calculoAjusteForm.isValid()){
            
            var route = 'fin_contaReceber#/confirmaCalculoAjuste';
            var dataSet = [
                currentRowTitulo,
                currentRowAjuste
            ];
            
            General.callRestEngine(route, 'DataSet', dataSet).then(
                function (result) {
                    ScreenService.closeSwipe();
                    calculoAjusteForm.isVisible = false;
                    
                    var valorcalculado = parseFloat(parseFloat(currentRowTitulo.VRFINALBREC) + parseFloat(currentRowAjuste.VRMULTABREC) + parseFloat(currentRowAjuste.VRMORDIABREC)).toFixed(2);
                    
                    currentRowTitulo.VRFINALBREC = valorcalculado;
                    
                    ScreenService.showMessage('Cálculo de juros realizado com sucesso.');
                }
            );
        }
    };

    /**
     * Altera Tipo de Prorrogação
     */
    self.alteraTipoProrrogacao = function(){
        var widgetProrrogar = templateManager.container.getWidget('ProrrogarForm');
        var idtppror        = widgetProrrogar.getField('IDTPPROR').value();

        if(idtppror == 'F') {
            widgetProrrogar.getField('DTVENBOLREC').readOnly = false;
            widgetProrrogar.getField('DTVENBOLREC').validations.required = true;
            widgetProrrogar.getField('DTVENBOLREC').setValue('');
            
            widgetProrrogar.getField('NRDIASVENC').readOnly  = true;
            delete widgetProrrogar.getField('NRDIASVENC').validations.required;
            delete widgetProrrogar.getField('NRDIASVENC').validations.min;
            widgetProrrogar.getField('NRDIASVENC').clearValue();
        }else{
            widgetProrrogar.getField('DTVENBOLREC').readOnly = true;
            delete widgetProrrogar.getField('DTVENBOLREC').validations.required;
            widgetProrrogar.getField('DTVENBOLREC').setValue('');
            
            widgetProrrogar.getField('NRDIASVENC').readOnly  = false;
            widgetProrrogar.getField('NRDIASVENC').validations.required = true;
            widgetProrrogar.getField('NRDIASVENC').validations.min = {"limit" : 0};
            widgetProrrogar.getField('NRDIASVENC').setValue(30);
        }
        
        templateManager.updateTemplate();
    };
    
    
    
    
    
    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMultaBaixa = function(row){
        row.VRMULTABREC        = row.VRMULTABREC_inline;
        row.VRPEMULBREC        = valueToPerc(row.VRMULTABREC_inline, row.VRFINALBREC);
        row.VRPEMULBREC_inline = row.VRPEMULBREC;
        
        self.calculaValorLiquidoFinal(row);
    };

    /**
     * Cálcula Percentual para Valor Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMultaBaixa = function(row){
        row.VRPEMULBREC        = row.VRPEMULBREC_inline;
        row.VRMULTABREC        = percToValue(row.VRPEMULBREC_inline, row.VRFINALBREC);
        row.VRMULTABREC_inline = row.VRMULTABREC;
        
        self.calculaValorLiquidoFinal(row);
    };
    
    
    /**
     * Cálcula Valor para Percentual Multa Títulos a Receber/Recebidos
     * @param row
     */
    self.calcValorPercMoraBaixa = function(row){
        row.VRMORDIABREC       = row.VRMORDIABREC_inline;
        row.VRPEMORBREC        = valueToPerc(row.VRMORDIABREC_inline, row.VRFINALBREC);
        row.VRPEMORBREC_inline = row.VRPEMORBREC;
        
        self.calculaValorLiquidoFinal(row);
    };

    /**
     * Cálcula Percentual para Valor Mora Títulos a Receber/Recebidos
     * @param row
     */
    self.calcPercValorMoraBaixa = function(row){
        row.VRPEMORBREC         = row.VRPEMORBREC_inline.replace(',','.');
        row.VRMORDIABREC        = percToValue(row.VRPEMORBREC_inline, row.VRFINALBREC);
        row.VRMORDIABREC_inline = row.VRMORDIABREC;
        
        self.calculaValorLiquidoFinal(row);
    };
    
    self.calculaValorLiquidoFinal = function(row){
       var widgetNewBaixaTabbed = templateManager.container.getWidget('NewBaixaTabbed');
        
        row.NRDIASATRASO = self.verificaDiasEmAtraso(widgetNewBaixaTabbed.currentRow.DTBAIXAREC, row.DTVENBOLREC);
        
        row.VRMORDIABREC_inline = row.VRMORDIABREC_inline ? row.VRMORDIABREC_inline : row.VRMORDIABREC;
        row.VRMULTABREC_inline  = row.VRMULTABREC_inline  ? row.VRMULTABREC_inline  : row.VRMULTABREC;
        
        if((row.NRDIASATRASO > 0) && (row.IDJUROS)){
            if(row.IDJUROS == 'S'){
                row.VRMORDIABRECTOT = parseFloat(row.VRMORDIABREC_inline*row.NRDIASATRASO);
            }else{
                row.VRPEMORBREC = row.VRPEMORBREC ? row.VRPEMORBREC : 0;
                row.VRMORDIABRECTOT = (parseFloat(row.VRFINALBREC)*(Math.pow((1 + parseFloat(row.VRPEMORBREC) / 100), parseInt(row.NRDIASATRASO)))) - parseFloat(row.VRFINALBREC);
            }
            
            row.VRFINALBRECCALC        = parseFloat(parseFloat(row.VRFINALBREC) + parseFloat(row.VRMORDIABRECTOT) + parseFloat(row.VRMULTABREC_inline)).toFixed(2);
            row.VRFINALBRECCALC_inline = parseFloat(parseFloat(row.VRFINALBREC) + parseFloat(row.VRMORDIABRECTOT) + parseFloat(row.VRMULTABREC_inline)).toFixed(2);
        }else{
            row.VRFINALBRECCALC        = parseFloat(row.VRFINALBREC).toFixed(2);
            row.VRFINALBRECCALC_inline = parseFloat(row.VRFINALBREC).toFixed(2);
        }
    };
    
    self.verificaDiasEmAtraso = function(dataProcessamento, dataVencimento){
       var diasEmAtraso = (moment(dataProcessamento, 'DD/MM/YYYY') - moment(dataVencimento, 'DD/MM/YYYY')) / 86400000;
       diasEmAtraso = diasEmAtraso > 0?diasEmAtraso:0;
       
       return diasEmAtraso;
    };
    
    self.recalculaJurosTitulos = function(){
        var widgetNewBaixaTabbed      = templateManager.container.getWidget('NewBaixaTabbed');
        var widgetNewTitulosBaixaGrid = templateManager.container.getWidget('NewTitulosBaixaGrid');
        
        if(widgetNewBaixaTabbed.currentRow.DTBAIXAREC){
            widgetNewTitulosBaixaGrid.dataSource.data.forEach(function(row){
                self.calculaValorLiquidoFinal(row);
            });
        }
    };
    
    /**
     * Gera Ajuste de Multa e Mora na Baixa
     * @param args
     */
    self.geraAjusteMultaMoraBaixa = function(){
        var deferred = ZHPromise.defer();
        var widgetTitulosBaixa = templateManager.container.getWidget('NewTitulosBaixaGrid');
        
        // Busca Ajustes dos Títulos a Receber/Recebidos
        localStorageEngine.getDataSource('fin_contaReceber#/ajbolrec_tipoajreceber').then(function (dataLocal) {
                
            // Busca Parâmetros de Títulos a Receber/Recebidos
            self.buscaGeralRec().then(function(response_geralrec) {

                var geral_rec = response_geralrec.dataset.geral_rec[0];
            
                self.insereAjusteMultaMoraBaixa(widgetTitulosBaixa, geral_rec, dataLocal).then(function(dataLocal){
                    localStorageEngine.setDataSource('fin_contaReceber#/ajbolrec_tipoajreceber', dataLocal);
                    deferred.resolve(dataLocal);
                });
                
            });
        });
        
        return deferred.promise;
    };
    
    /**
     * Gera Ajuste de Multa e Mora na Baixa
     * @param args
     */
    self.insereAjusteMultaMoraBaixa = function(widgetTitulosBaixa, geral_rec, dataLocal){
        var deferred = ZHPromise.defer();
        
        // Percorre Títulos a Receber/Recebidos
        widgetTitulosBaixa.dataSource.data.forEach(function(titulo){
                
            // Verifica Dias em Atraso e Tipo de Juros
            if((titulo.NRDIASATRASO > 0) && (titulo.IDJUROS)){
                
                // Verifica Parametrização dos Tipos de Ajuste da Baixa
                if((!geral_rec.CDAJMULTAREC) || (!geral_rec.CDAJMORAREC)){
                    ScreenService.showMessage('Operação bloqueada. Parâmetros de Tipos de Ajuste da Baixa, Multa e/ou Juros de Mora, não cadastrados na tela de Parâmetros de Títulos a Receber.');
                    deferred.reject();
                }else{
                
                    // Verifica Valor de Multa
                    if(titulo.VRMULTABREC > 0){
                        var currentRowMulta = {
                            "CDAJUCTREC"   : geral_rec.CDAJMULTAREC,
                            "DSAJUCTREC"   : "",
                            "IDAJUCTREC"   : "A",
                            "VRAJBOLREC"   : titulo.VRMULTABREC,
                            "NRORG"        : titulo.NRORG,
                            "CDFILIAL"     : titulo.CDFILIAL,
                            "NRLANBOLREC"  : titulo.NRLANBOLREC,
                            "IDORIGAJBREC" : "2",
                            "IDOPERACAO"   : "I"
                        };
                        
                        // Insere Ajuste Multa
                        dataLocal.push(currentRowMulta);
                    }
                    
                    // Verifica Valor de Mora
                    if(titulo.VRMORDIABRECTOT > 0){
                        var currentRowMora = {
                            "CDAJUCTREC"   : geral_rec.CDAJMORAREC,
                            "DSAJUCTREC"   : "",
                            "IDAJUCTREC"   : "A",
                            "VRAJBOLREC"   : titulo.VRMORDIABRECTOT,
                            "NRORG"        : titulo.NRORG,
                            "CDFILIAL"     : titulo.CDFILIAL,
                            "NRLANBOLREC"  : titulo.NRLANBOLREC,
                            "IDORIGAJBREC" : "2",
                            "IDOPERACAO"   : "I"
                        };
                        
                        // Insere Ajuste Mora
                        dataLocal.push(currentRowMora);
                    }
                }
            }
        });
        
        deferred.resolve(dataLocal);
        
        return deferred.promise;
    };
    
    
    
    
    
    
    /**
     * Abre Envio de Carta de Cobrança
     */
    self.abreEnvioCartaCobranca = function(){
        var widgetCartaCobrancaTabbed = templateManager.container.getWidget('CartaCobrancaTabbed');
        widgetCartaCobrancaTabbed.isVisible = true;
        
        ScreenService.closePopup();
        ScreenService.openSwipe(widgetCartaCobrancaTabbed);
        
        self.buscaPadraoCartaCobranca();
    };

    /**
     * Busca Padrão de Envio de Carta de Cobrança
     */
    self.buscaPadraoCartaCobranca = function (){
        Rec00001_TitulosAReceber_Service.buscaEndefili(getLocalVar('CDFILIAL'), 'P').then(function (response_endefili){
            var widgetCartaCobrancaTabbed = templateManager.container.getWidget('CartaCobrancaTabbed');
            
            var endefili    = response_endefili.dataset.endefili[0];
            var dsemailfili = endefili.DSEMAILFILI;


            var assunto  = '[EMPRESA] - Carta de Cobrança - Vencimento [VENCIMENTO]';
            var mensagem =
                '[MUNICIPIO], [DIA] de [MES] de [ANO].\n\n' +
                'Prezado(a) Sr(a) [CLIENTE],\n\n' +
                'Consta em nossos registros que o pagamento referente ao título com vencimento para o dia [VENCIMENTO], no valor de [VALOR], encontra-se em aberto.\n\n' +
                'Desta forma, fazemos uso do presente para cientificá-lo(a) do débito pendente e solicitar sua mais breve regularização.\n\n' +
                'Qualquer dúvida, pedimos a gentileza de entrar em contato conosco para juntos resolvemos esta situação.\n\n' +
                'Atenciosamente,\n'+
                '[EMPRESA]';

            widgetCartaCobrancaTabbed.getField('DSEMAILFILI').setValue(dsemailfili);
            widgetCartaCobrancaTabbed.getField('DSASSUEMAIL').setValue(assunto);
            widgetCartaCobrancaTabbed.getField('DSMENSEMAIL').setValue(mensagem);

            var widgetTitulosAReceberGrid = templateManager.container.getWidget('TitulosAReceberGrid');
            var titulos = widgetTitulosAReceberGrid.getCheckedRows().filter(function(data){
            	return data.IDSTATBREC != 'B' && data.IDSTATUSREC == 'A';
            });
            var datasource = [];

            titulos.forEach(function(titulo){
                datasource.push(
                    {
                        NRINSJURCLIE   : titulo.NRINSJURCLIE,
                        NMRAZSOCCLIE   : titulo.NMRAZSOCCLIE,
                        DSEMAILCLIE    : titulo.DSEMAILCLIE,
                        DSEMAILCLIECOP : titulo.DSEMAILCLIECOP
                    }
                );
            });
            
            var widgetCartaCobrancaGrid   = templateManager.container.getWidget('CartaCobrancaGrid');
            widgetCartaCobrancaGrid.dataSource.data = datasource;
            
            templateManager.updateTemplate();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /**
     * Envia Título por E-mail
     */
    self.enviaCartaPorEmail = function(){
        var widgetTitulos     = templateManager.container.getWidget('TitulosAReceberGrid');
        var widgetEnviaTitulo = templateManager.container.getWidget('CartaCobrancaTabbed');

        var titulos = widgetTitulos.getCheckedRows().filter(function(data){
            return data.IDSTATBREC != 'B' && data.IDSTATUSREC == 'A';
        });
        
        var dataSet = [titulos, widgetEnviaTitulo.currentRow];

        General.callRestEngine('fin_contaReceber#/enviaCartaCobrancaPorEmail', 'DataSet', dataSet).then(function () {
            ScreenService.showMessage('Carta(s) de cobrança enviada(s) por e-mail com sucesso.');
            ScreenService.closeSwipe();

            widgetEnviaTitulo.isVisible = false;

            widgetTitulos.dataSource.unSelectAll();
            self.unsetStripeDataFooter();
            self.forceActivate();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };

    /**
     * Valida Tipo de Baixa
     */
    self.validaTipoBaixa = function(widget){
        if(widget.currentRow.IDBAIXAUTILR == 'P'){
            ScreenService.showMessage('Operação bloqueada. Tipo de baixa de compensação não pode ser utilizada.');
            
            widget.currentRow.NMTPBAIXAREC = '';
            widget.currentRow.CDTPBAIXAREC = '';
            widget.currentRow.IDBAIXAUTILR = '';
        }
    };
    
    /**
     * Verifica se existe filial parametrizada na tela de conta corrente, caso tenha insere automaticamente
     * ao novo campo de filial a filial filtrada;
     */
     
     self.preencheFilial =  function(cdReduCont){
         var contaCorrente = {
            cdReduCont: cdReduCont,
        };
          var grid =  templateManager.container.getWidget('RemessaForm');
          Rec00001_TitulosAReceber_Service.buscaContaCorrenteVinculada(contaCorrente).then(function(contaCorrente) {
              if(contaCorrente.dataset.filial_conta_corrente.filial_conta_corrente.length === 1) {
                  var filial = contaCorrente.dataset.filial_conta_corrente.filial_conta_corrente[0];
                  grid.getField('CDFILIAL').setValue(filial.CDFILIAL);
              } else {
                  grid.getField('CDFILIAL').setValue("");
                  grid.getField('CDFILIAL').reload();
                  
              }
        });
     };
     
    /**
     * Abre Tela Preparação Titulos a Receber
     */
     self.abrirPreparacaoTitulos =  function(){
        var widgetPreparacaoTitulosForm =  templateManager.container.getWidget('PreparacaoTitulosForm');
        var widgetPreparacaoTitulosGrid =  templateManager.container.getWidget('PreparacaoTitulosGrid');
        var widgetTitulosAReceberGrid   =  templateManager.container.getWidget('TitulosAReceberGrid');
        
        var titulosEmAberto = widgetTitulosAReceberGrid.getCheckedRows().filter(function(boleto){
            return boleto.IDSTATBREC == 'A';
        });
        
        self.buscaPadraoPreparacaoTitulos(widgetPreparacaoTitulosForm, widgetPreparacaoTitulosGrid, titulosEmAberto).then(
            function () {
                ScreenService.closePopup();
                widgetPreparacaoTitulosForm.isVisible = true;
                ScreenService.openSwipe(widgetPreparacaoTitulosForm).then(
                    function () {
                        widgetPreparacaoTitulosForm.editing = true;
                        widgetPreparacaoTitulosGrid.reload();
                    });
            });
     };
     
     /**
     * Busca Padrão Preparação Títulos a Receber
     */
    self.buscaPadraoPreparacaoTitulos = function (widgetPreparacaoTitulosForm, widgetPreparacaoTitulosGrid, titulosEmAberto){
        var deferred = ZHPromise.defer();
        
        widgetPreparacaoTitulosForm.currentRow.NMTPBAIXAREC = '';
        widgetPreparacaoTitulosForm.currentRow.DSCONTCORR   = '';
        widgetPreparacaoTitulosForm.currentRow.CDBANCO      = '';
        widgetPreparacaoTitulosForm.currentRow.CDAGENCIA    = '';
        widgetPreparacaoTitulosForm.currentRow.CDCONTCORR   = '';
        widgetPreparacaoTitulosGrid.dataSource.data = [];
        
        localStorageEngine.setDataSource("fin#/preparacao_titulos", titulosEmAberto).then(function () {
            deferred.resolve();
        }, function (error) {
            ScreenService.showMessage(error.data.error);
            deferred.reject();
        });
        
        return deferred.promise;
    };

    /**
     * Confirma Preparação Títulos a Receber
     */
    self.confirmaPreparacaoTitulos = function(){
        
        var widgetPreparacaoTitulosForm =  templateManager.container.getWidget('PreparacaoTitulosForm');
        var widgetPreparacaoTitulosGrid =  templateManager.container.getWidget('PreparacaoTitulosGrid');
        var widgetTitulosAReceberGrid   =  templateManager.container.getWidget('TitulosAReceberGrid');
        
        if(widgetPreparacaoTitulosForm.isValid()){
            var dataSet = [widgetPreparacaoTitulosForm.currentRow, widgetPreparacaoTitulosGrid.dataSource.data];
    
            General.callRestEngine('fin_contaReceber#/preparacaoTitulosReceber', 'DataSet', dataSet).then(function () {
                ScreenService.showMessage('Títulos preparados com sucesso.');
                
                ScreenService.closeSwipe();
                widgetPreparacaoTitulosForm.editing = false;
                widgetPreparacaoTitulosForm.isVisible = false;
                
                self.resetTituloAReceber();
            }).catch(function(erro){
                ScreenService.showMessage(erro.data.error);
            });
        }
    };
    
    // Reset as Configurações da tela de Títulos a Receber
    self.resetTituloAReceber = function(){
        var widget   =  templateManager.container.getWidget('TitulosAReceberGrid');
        widget.dataSource.unSelectAll();
        self.unsetStripeDataFooter();
        self.forceActivate();
        widget.reload();
    };
    
    // Verifica se teve alteração do campo de unidade, caso ocorra limpa o campo de série para vincular a série desejada
    self.verificaAlteracaoUnidade =  function(widget){
        widget.getField('DSSERIE').setValue('');
        widget.getField('DSSERIE').reload();
    };

};

/* global Configuration */
Configuration(function (ContextRegister)
{
    ContextRegister.register('Rec00001_TitulosAReceber_Controller', rec00001_TitulosAReceber_Controller);
});